from typing import List, Optional, Dict, Iterable
import aspose.pycore
import aspose.pydrawing
import aspose.svg
import aspose.svg.builder
import aspose.svg.collections
import aspose.svg.converters
import aspose.svg.datatypes
import aspose.svg.diagnostics
import aspose.svg.dom
import aspose.svg.dom.attributes
import aspose.svg.dom.canvas
import aspose.svg.dom.css
import aspose.svg.dom.events
import aspose.svg.dom.mutations
import aspose.svg.dom.traversal
import aspose.svg.dom.traversal.filters
import aspose.svg.dom.views
import aspose.svg.dom.xpath
import aspose.svg.drawing
import aspose.svg.drawing.skiasharp
import aspose.svg.events
import aspose.svg.filters
import aspose.svg.imagevectorization
import aspose.svg.io
import aspose.svg.net
import aspose.svg.net.headers
import aspose.svg.net.messagefilters
import aspose.svg.net.messagehandlers
import aspose.svg.paths
import aspose.svg.rendering
import aspose.svg.rendering.devices
import aspose.svg.rendering.fonts
import aspose.svg.rendering.image
import aspose.svg.rendering.pdf
import aspose.svg.rendering.pdf.encryption
import aspose.svg.rendering.styles
import aspose.svg.rendering.styles.paintservers
import aspose.svg.rendering.xps
import aspose.svg.saving
import aspose.svg.saving.resourcehandlers
import aspose.svg.services
import aspose.svg.toolkit
import aspose.svg.toolkit.optimizers
import aspose.svg.window

class Angle(Dimension):
    '''The angle data type'''
    
    @overload
    def get_value(self) -> float:
        '''Gets the unit value.
        
        :returns: The object value.'''
        ...
    
    @overload
    def get_value(self, unit_type : aspose.svg.drawing.UnitType) -> float:
        '''Gets the value converted to the specified :py:class:`aspose.svg.drawing.UnitType`.
        
        :param unit_type: Type of the unit.
        :returns: Returns value that is converted to specified type.'''
        ...
    
    def equals(self, other : aspose.svg.drawing.Unit) -> bool:
        '''Determines whether the specified :py:class:`aspose.svg.drawing.Unit`, is equal to this instance.
        
        :param other: The :py:class:`aspose.svg.drawing.Unit` to compare with this instance.
        :returns: ``true`` if the specified :py:class:`aspose.svg.drawing.Unit` is equal to this instance; otherwise, ``false``.'''
        ...
    
    @staticmethod
    def from_centimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in centimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_millimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in millimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_quarter_millimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in quarter-millimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_inches(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in inches.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_picas(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in picas.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_points(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in points.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_pixels(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in pixels.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_degrees(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in degrees.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_gradians(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in gradians.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_radians(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in radians.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_turns(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in turns.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_seconds(value : float) -> aspose.svg.drawing.Time:
        '''Returns a :py:class:`aspose.svg.drawing.Time` object that is represented in seconds.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Time` object.'''
        ...
    
    @staticmethod
    def from_milliseconds(value : float) -> aspose.svg.drawing.Time:
        '''Returns a :py:class:`aspose.svg.drawing.Time` object that is represented in milliseconds.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Time` object.'''
        ...
    
    @staticmethod
    def from_hertz(value : float) -> aspose.svg.drawing.Frequency:
        '''Returns a :py:class:`aspose.svg.drawing.Frequency` object that is represented in hertz.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Frequency` object.'''
        ...
    
    @staticmethod
    def from_kilo_hertz(value : float) -> aspose.svg.drawing.Frequency:
        '''Returns a :py:class:`aspose.svg.drawing.Frequency` object that is represented in kiloHertz.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Frequency` object.'''
        ...
    
    @staticmethod
    def from_dots_per_inch(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per inch.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    @staticmethod
    def from_dots_per_centimeters(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per centimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    @staticmethod
    def from_dots_per_pixel(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per pixels.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    def compare_to(self, other : aspose.svg.drawing.Numeric) -> int:
        '''Compares the current instance with another object of the same type and returns an integer that indicates whether the current instance precedes, follows, or occurs in the same position in the sort order as the other object.
        
        :param other: The other object to compare.
        :returns: A value that indicates the relative order of the objects being compared.'''
        ...
    
    @property
    def unit_type(self) -> aspose.svg.drawing.UnitType:
        ...
    
    ...

class Color:
    '''The Color class lets you specify colors as
    Red-Green-Blue (RGB) values,
    Hue-Saturation-Luminosity (HSL) values,
    Hue-Saturation-Value (HSV) values,
    Hue-Whiteness-Blackness (HWB) values,
    lightness-A-B (LAB) values,
    Luminance-Chroma-Hue (LCH) values,
    Cyan-Magenta-Yellow-Key (CMYK) values,
    Natural colors (NCOL) values,
    or with a color name.
    An Alpha channel is also available to indicate transparency.'''
    
    @overload
    @staticmethod
    def from_rgb(red : bytegreen : byte, blue : byte) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested ged, green, blue values.
        All color components must be in the range 0-255.
        
        :param red: A byte that represents the red component of the color.
        :param green: A byte that represents the green component of the color.
        :param blue: A byte that represents the blue component of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @overload
    @staticmethod
    def from_rgb(red : intgreen : int, blue : int) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested ged, green, blue values.
        All color components must be in the range 0-255.
        
        :param red: A int that represents the red component of the color.
        :param green: A int that represents the green component of the color.
        :param blue: A int that represents the blue component of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @overload
    @staticmethod
    def from_rgb(red : floatgreen : float, blue : float) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested ged, green, blue values.
        All color components must be in the range 0-1.
        
        :param red: A float that represents the red component of the color.
        :param green: A float that represents the green component of the color.
        :param blue: A float that represents the blue component of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @overload
    @staticmethod
    def from_rgba(red : bytegreen : byte, blue : byte, alpha : byte) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested ged, green, blue, alpha values.
        All color components must be in the range 0-255.
        
        :param red: A byte that represents the red component of the color.
        :param green: A byte that represents the green component of the color.
        :param blue: A byte that represents the blue component of the color.
        :param alpha: A byte that represents the alpha component of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @overload
    @staticmethod
    def from_rgba(red : intgreen : int, blue : int, alpha : int) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested ged, green, blue, alpha values.
        All color components must be in the range 0-255.
        
        :param red: A int that represents the red component of the color.
        :param green: A int that represents the green component of the color.
        :param blue: A int that represents the blue component of the color.
        :param alpha: A int that represents the alpha component of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @overload
    @staticmethod
    def from_rgba(red : floatgreen : float, blue : float, alpha : float) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested ged, green, blue, alpha values.
        All color components must be in the range 0-1.
        
        :param red: A float that represents the red component of the color.
        :param green: A float that represents the green component of the color.
        :param blue: A float that represents the blue component of the color.
        :param alpha: A float that represents the alpha component of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @staticmethod
    def from_gray(gray : float) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested gray value.
        
        :param gray: A float that represents the gray value of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @staticmethod
    def from_uint(argb : int) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested ARGB value.
        
        :param argb: A uint that represents the ARGB value of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @staticmethod
    def from_int(argb : int) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested ARGB value.
        
        :param argb: A int that represents the ARGB value of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @staticmethod
    def from_string(color : str) -> aspose.svg.drawing.Color:
        '''Parses string containing the CSS color and returns a new Color.
        
        :param color: A string containing the color in the format RGB, HEX, HSL, HSV, HWB, CMYK, NCOL, LCH, OKLCH, LAB or OKLAB
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @staticmethod
    def from_hsl(hue : floatsaturation : float, lightness : float) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested hue, saturation, saturation values.
        
        :param hue: A float that represents the hue component of the color.
        :param saturation: A float that represents the saturation component of the color.
        :param lightness: A float that represents the lightness component of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @staticmethod
    def from_hsla(hue : floatsaturation : float, lightness : float, alpha : float) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested hue, saturation, saturation, alpha values.
        
        :param hue: A float that represents the hue component of the color.
        :param saturation: A float that represents the saturation component of the color.
        :param lightness: A float that represents the lightness component of the color.
        :param alpha: A float that represents the alpha component of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @staticmethod
    def from_hsv(hue : floatsaturation : float, value : float) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested hue, saturation, value.
        
        :param hue: A float that represents the hue component of the color.
        :param saturation: A float that represents the saturation component of the color.
        :param value: A float that represents the value component of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @staticmethod
    def from_hsva(hue : floatsaturation : float, value : float, alpha : float) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested hue, saturation, value, alpha.
        
        :param hue: A float that represents the hue component of the color.
        :param saturation: A float that represents the saturation component of the color.
        :param value: A float that represents the value component of the color.
        :param alpha: A float that represents the alpha component of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @staticmethod
    def from_hwb(hue : floatwhiteness : float, blackness : float) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested hue, whiteness, blackness values.
        
        :param hue: A float that represents the hue component of the color.
        :param whiteness: A float that represents the whiteness component of the color.
        :param blackness: A float that represents the blackness component of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @staticmethod
    def from_hwba(hue : floatwhiteness : float, blackness : float, alpha : float) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested hue, whiteness, blackness values.
        
        :param hue: A float that represents the hue component of the color.
        :param whiteness: A float that represents the whiteness component of the color.
        :param blackness: A float that represents the blackness component of the color.
        :param alpha: A float that represents the alpha component of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @staticmethod
    def from_cmyk(cyan : floatmagenta : float, yellow : float, key : float) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested cyan, magenta, yellow, key (black) values.
        
        :param cyan: A float that represents the cyan component of the color.
        :param magenta: A float that represents the magenta component of the color.
        :param yellow: A float that represents the yellow component of the color.
        :param key: A float that represents the key component of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @staticmethod
    def from_cmyka(cyan : floatmagenta : float, yellow : float, key : float, alpha : float) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested cyan, magenta, yellow, key (black), alpha values.
        
        :param cyan: A float that represents the cyan component of the color.
        :param magenta: A float that represents the magenta component of the color.
        :param yellow: A float that represents the yellow component of the color.
        :param key: A float that represents the key component of the color.
        :param alpha: A float that represents the alpha component of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @staticmethod
    def from_lab(lightness : floata : float, b : float) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested lightness, A, B values.
        
        :param lightness: A float that represents the lightness component of the color.
        :param a: A float that represents the A component of the color.
        :param b: A float that represents the B component of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @staticmethod
    def from_laba(lightness : floata : float, b : float, alpha : float) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested lightness, A, B, alpha values.
        
        :param lightness: A float that represents the lightness component of the color.
        :param a: A float that represents the A component of the color.
        :param b: A float that represents the B component of the color.
        :param alpha: A float that represents the alpha component of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @staticmethod
    def from_oklab(lightness : floata : float, b : float) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested lightness, A, B values for OKLAB model.
        
        :param lightness: A float that represents the lightness component of the color.
        :param a: A float that represents the A component of the color.
        :param b: A float that represents the B component of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @staticmethod
    def from_oklaba(lightness : floata : float, b : float, alpha : float) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested lightness, A, B, alpha values for OKLAB model.
        
        :param lightness: A float that represents the lightness component of the color.
        :param a: A float that represents the A component of the color.
        :param b: A float that represents the B component of the color.
        :param alpha: A float that represents the alpha component of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @staticmethod
    def from_lch(luminance : floatchroma : float, hue : float) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested luminance, chroma, hue values.
        
        :param luminance: A float that represents the luminance component of the color.
        :param chroma: A float that represents the chroma component of the color.
        :param hue: A float that represents the hue component of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @staticmethod
    def from_lcha(luminance : floatchroma : float, hue : float, alpha : float) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested luminance, chroma, hue, alpha values.
        
        :param luminance: A float that represents the luminance component of the color.
        :param chroma: A float that represents the chroma component of the color.
        :param hue: A float that represents the hue component of the color.
        :param alpha: A float that represents the alpha component of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @staticmethod
    def from_oklch(luminance : floatchroma : float, hue : float) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested luminance, chroma, hue values for OKLAB model.
        
        :param luminance: A float that represents the luminance component of the color.
        :param chroma: A float that represents the chroma component of the color.
        :param hue: A float that represents the hue component of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    @staticmethod
    def from_oklcha(luminance : floatchroma : float, hue : float, alpha : float) -> aspose.svg.drawing.Color:
        '''Returns a new Color with the requested luminance, chroma, hue, alpha values for OKLAB model.
        
        :param luminance: A float that represents the luminance component of the color.
        :param chroma: A float that represents the chroma component of the color.
        :param hue: A float that represents the hue component of the color.
        :param alpha: A float that represents the alpha component of the color.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    def to_rgb_hex_string(self) -> str:
        '''Returns a hexadecimal color is specified with: #RRGGBB.
        
        :returns: A hexadecimal color string.'''
        ...
    
    def to_natural_color_string(self, digits : int) -> str:
        '''Returns a Natural colors (NCol) specified color using a color letter with a number to specify the distance (in percent) from the color.
        
        :param digits: Sets the rounding precision for color components.
        :returns: A Natural colors (NCol) string'''
        ...
    
    def to_name(self) -> str:
        '''Returns the name of the color if it matches a color in the list of CSS named colors, or an empty string.
        
        :returns: A color name.'''
        ...
    
    def convert(self, model : aspose.svg.drawing.ColorModel) -> aspose.svg.drawing.IColorComponents:
        '''Returns a color components in the format of the specified color model.
        
        :param model: The color model.
        :returns: A new instance of the :py:class:`aspose.svg.drawing.IColorComponents` interface'''
        ...
    
    def to_rgb_string(self) -> str:
        '''Returns a string containing the RGB color specified by: rgb(R, G, B).
        
        :returns: A rgb string.'''
        ...
    
    def to_rgba_hex_string(self) -> str:
        '''Returns a Hexadecimal color is specified with: #RRGGBBAA.
        
        :returns: A Hexadecimal color string.'''
        ...
    
    def to_rgba_string(self) -> str:
        '''Returns a string containing the RGBA color specified by: rgba(R, G, B, A).
        
        :returns: A rgba string.'''
        ...
    
    def to_int(self) -> int:
        '''Encodes the Color ARGB components into int.
        
        :returns: Encoded int.'''
        ...
    
    def to_uint(self) -> int:
        '''Encodes the Color ARGB components into unsigned int.
        
        :returns: Encoded unsigned int.'''
        ...
    
    def get_luminosity(self) -> float:
        '''Returns a luminosity of the Color.
        
        :returns: A luminosity of the Color.'''
        ...
    
    def add_luminosity(self, delta : float) -> aspose.svg.drawing.Color:
        '''Creates copy of the Color with Sum of its luminosity and the delta value.
        
        :param delta: Value of luminosity
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    def with_luminosity(self, luminosity : float) -> aspose.svg.drawing.Color:
        '''Creates copy of the Color with specified luminosity.
        
        :param luminosity: Value of luminosity
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class.'''
        ...
    
    def with_alpha(self, alpha : float) -> aspose.svg.drawing.Color:
        '''Creates copy of the Color with specified alpha component.
        
        :param alpha: Value of Alpha component
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    def get_saturation(self) -> float:
        '''Returns a saturation of the Color.
        
        :returns: A saturation of the Color.'''
        ...
    
    def with_saturation(self, saturation : float) -> aspose.svg.drawing.Color:
        '''Creates copy of the Color with specified saturation.
        
        :param saturation: Value of saturation.
        :returns: >A new instance of the :py:class:`aspose.svg.drawing.Color` class.'''
        ...
    
    def get_hue(self) -> float:
        '''Returns a Hue of the Color.
        
        :returns: A Hue of the Color.'''
        ...
    
    def with_hue(self, hue : float) -> aspose.svg.drawing.Color:
        '''Creates copy of the Color with specified Hue.
        
        :param hue: Value of Hue.
        :returns: >A new instance of the :py:class:`aspose.svg.drawing.Color` class.'''
        ...
    
    def get_complementary(self) -> aspose.svg.drawing.Color:
        '''Returns a new color that is on the opposite side of the color wheel from the original.
        
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class.'''
        ...
    
    @property
    def red(self) -> float:
        '''Represents the red component of the color'''
        ...
    
    @property
    def green(self) -> float:
        '''Represents the green component of the color.'''
        ...
    
    @property
    def blue(self) -> float:
        '''Represents the blue component of the color.'''
        ...
    
    @property
    def alpha(self) -> float:
        '''Represents the alpha component of the color.'''
        ...
    
    ...

class Dimension(Numeric):
    '''Provides the base class for dimensions.
    The general term 'dimension' refers to a number with a unit attached to it, and are denoted by :py:class:`aspose.svg.drawing.UnitType`.'''
    
    @overload
    def get_value(self) -> float:
        '''Gets the unit value.
        
        :returns: The object value.'''
        ...
    
    @overload
    def get_value(self, unit_type : aspose.svg.drawing.UnitType) -> float:
        '''Gets the value converted to the specified :py:class:`aspose.svg.drawing.UnitType`.
        
        :param unit_type: Type of the unit.
        :returns: Returns value that is converted to specified type.'''
        ...
    
    def equals(self, other : aspose.svg.drawing.Unit) -> bool:
        '''Determines whether the specified :py:class:`aspose.svg.drawing.Unit`, is equal to this instance.
        
        :param other: The :py:class:`aspose.svg.drawing.Unit` to compare with this instance.
        :returns: ``true`` if the specified :py:class:`aspose.svg.drawing.Unit` is equal to this instance; otherwise, ``false``.'''
        ...
    
    @staticmethod
    def from_centimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in centimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_millimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in millimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_quarter_millimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in quarter-millimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_inches(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in inches.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_picas(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in picas.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_points(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in points.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_pixels(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in pixels.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_degrees(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in degrees.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_gradians(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in gradians.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_radians(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in radians.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_turns(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in turns.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_seconds(value : float) -> aspose.svg.drawing.Time:
        '''Returns a :py:class:`aspose.svg.drawing.Time` object that is represented in seconds.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Time` object.'''
        ...
    
    @staticmethod
    def from_milliseconds(value : float) -> aspose.svg.drawing.Time:
        '''Returns a :py:class:`aspose.svg.drawing.Time` object that is represented in milliseconds.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Time` object.'''
        ...
    
    @staticmethod
    def from_hertz(value : float) -> aspose.svg.drawing.Frequency:
        '''Returns a :py:class:`aspose.svg.drawing.Frequency` object that is represented in hertz.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Frequency` object.'''
        ...
    
    @staticmethod
    def from_kilo_hertz(value : float) -> aspose.svg.drawing.Frequency:
        '''Returns a :py:class:`aspose.svg.drawing.Frequency` object that is represented in kiloHertz.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Frequency` object.'''
        ...
    
    @staticmethod
    def from_dots_per_inch(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per inch.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    @staticmethod
    def from_dots_per_centimeters(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per centimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    @staticmethod
    def from_dots_per_pixel(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per pixels.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    def compare_to(self, other : aspose.svg.drawing.Numeric) -> int:
        '''Compares the current instance with another object of the same type and returns an integer that indicates whether the current instance precedes, follows, or occurs in the same position in the sort order as the other object.
        
        :param other: The other object to compare.
        :returns: A value that indicates the relative order of the objects being compared.'''
        ...
    
    @property
    def unit_type(self) -> aspose.svg.drawing.UnitType:
        ...
    
    ...

class Frequency(Dimension):
    '''The 'frequency' unit.'''
    
    @overload
    def get_value(self) -> float:
        '''Gets the unit value.
        
        :returns: The object value.'''
        ...
    
    @overload
    def get_value(self, unit_type : aspose.svg.drawing.UnitType) -> float:
        '''Gets the value converted to the specified :py:class:`aspose.svg.drawing.UnitType`.
        
        :param unit_type: Type of the unit.
        :returns: Returns value that is converted to specified type.'''
        ...
    
    def equals(self, other : aspose.svg.drawing.Unit) -> bool:
        '''Determines whether the specified :py:class:`aspose.svg.drawing.Unit`, is equal to this instance.
        
        :param other: The :py:class:`aspose.svg.drawing.Unit` to compare with this instance.
        :returns: ``true`` if the specified :py:class:`aspose.svg.drawing.Unit` is equal to this instance; otherwise, ``false``.'''
        ...
    
    @staticmethod
    def from_centimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in centimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_millimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in millimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_quarter_millimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in quarter-millimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_inches(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in inches.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_picas(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in picas.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_points(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in points.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_pixels(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in pixels.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_degrees(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in degrees.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_gradians(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in gradians.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_radians(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in radians.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_turns(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in turns.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_seconds(value : float) -> aspose.svg.drawing.Time:
        '''Returns a :py:class:`aspose.svg.drawing.Time` object that is represented in seconds.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Time` object.'''
        ...
    
    @staticmethod
    def from_milliseconds(value : float) -> aspose.svg.drawing.Time:
        '''Returns a :py:class:`aspose.svg.drawing.Time` object that is represented in milliseconds.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Time` object.'''
        ...
    
    @staticmethod
    def from_hertz(value : float) -> aspose.svg.drawing.Frequency:
        '''Returns a :py:class:`aspose.svg.drawing.Frequency` object that is represented in hertz.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Frequency` object.'''
        ...
    
    @staticmethod
    def from_kilo_hertz(value : float) -> aspose.svg.drawing.Frequency:
        '''Returns a :py:class:`aspose.svg.drawing.Frequency` object that is represented in kiloHertz.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Frequency` object.'''
        ...
    
    @staticmethod
    def from_dots_per_inch(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per inch.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    @staticmethod
    def from_dots_per_centimeters(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per centimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    @staticmethod
    def from_dots_per_pixel(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per pixels.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    def compare_to(self, other : aspose.svg.drawing.Numeric) -> int:
        '''Compares the current instance with another object of the same type and returns an integer that indicates whether the current instance precedes, follows, or occurs in the same position in the sort order as the other object.
        
        :param other: The other object to compare.
        :returns: A value that indicates the relative order of the objects being compared.'''
        ...
    
    @property
    def unit_type(self) -> aspose.svg.drawing.UnitType:
        ...
    
    ...

class IBitmap:
    '''Represents a bitmap image.'''
    
    def save(self, stream : io.RawIOBase, image_format : aspose.svg.drawing.WebImageFormat, quality : int):
        '''Saves the bitmap image to the specified stream with the specified image format and quality.
        
        :param stream: The stream to which the image will be saved.
        :param image_format: The image format :py:class:`aspose.svg.drawing.WebImageFormat` to use for saving.
        :param quality: The quality level of the saved image.'''
        ...
    
    def set_transparent(self, color : aspose.pydrawing.Color):
        '''Sets the specified color as transparent in the bitmap image.
        
        :param color: The color to set as transparent.'''
        ...
    
    def apply_opacity(self, opacity : float):
        '''Applies the specified opacity to the bitmap image.
        
        :param opacity: The opacity value to apply.'''
        ...
    
    def draw_bitmap(self, src_rect : aspose.pydrawing.Rectangle, dst_rect : aspose.pydrawing.Rectangle, bitmap : aspose.svg.drawing.IBitmap):
        '''Draws the specified source rectangle of the given bitmap onto the specified destination rectangle of the current bitmap.
        
        :param src_rect: The source rectangle within the source bitmap.
        :param dst_rect: The destination rectangle within the current bitmap.
        :param bitmap: The source bitmap :py:class:`aspose.svg.drawing.IBitmap` from which to draw.'''
        ...
    
    def fill_rectangle(self, rectangle : aspose.pydrawing.Rectangle, brush : aspose.svg.drawing.IBrush):
        '''Fills the specified rectangle with the specified brush.
        
        :param rectangle: The rectangle to fill.
        :param brush: The brush :py:class:`aspose.svg.drawing.IBrush` to use for filling.'''
        ...
    
    def rotate_flip(self, rotate_flip_type : aspose.pydrawing.RotateFlipType):
        '''Rotates and flips the bitmap image according to the specified rotation and flip type.
        
        :param rotate_flip_type: The rotation and flip type :py:class:`aspose.pydrawing.RotateFlipType` to apply.'''
        ...
    
    def get_pixels_map(self, convert_to_monochrome : bool, allow_transparency_color_conversion : bool) -> aspose.svg.drawing.IPixelsMap:
        '''Retrieves the pixel map representation of the bitmap image, optionally converting to monochrome and allowing transparency color conversion.
        
        :param convert_to_monochrome: Specifies whether to convert the pixel map to monochrome.
        :param allow_transparency_color_conversion: Specifies whether to allow transparency color conversion in the pixel map.
        :returns: The pixel map representation of the bitmap image :py:class:`aspose.svg.drawing.IPixelsMap`.'''
        ...
    
    @property
    def width(self) -> int:
        '''Gets the width of the bitmap image.'''
        ...
    
    @property
    def height(self) -> int:
        '''Gets the height of the bitmap image.'''
        ...
    
    @property
    def horizontal_resolution(self) -> float:
        ...
    
    @property
    def vertical_resolution(self) -> float:
        ...
    
    @property
    def color_space(self) -> aspose.svg.drawing.ColorSpace:
        ...
    
    @property
    def color_table(self) -> aspose.pydrawing.Color[]:
        ...
    
    @property
    def format(self) -> aspose.svg.drawing.WebImageFormat:
        '''Gets the format of the bitmap image :py:class:`aspose.svg.drawing.WebImageFormat`.'''
        ...
    
    ...

class IBrush:
    '''Declares method for getting of brush type.'''
    
    def to_native(self) -> any:
        '''Converts the brush to a native representation.
        
        :returns: The native representation of the brush.'''
        ...
    
    @property
    def type(self) -> aspose.svg.drawing.BrushType:
        '''Get type of brush; See :py:class:`aspose.svg.drawing.BrushType`.'''
        ...
    
    @property
    def supports_shader(self) -> bool:
        ...
    
    ...

class ICodec:
    '''Represents a codec for decoding images.'''
    
    @property
    def format(self) -> aspose.svg.drawing.WebImageFormat:
        '''Gets the format of the image :py:class:`aspose.svg.drawing.WebImageFormat`.'''
        ...
    
    @property
    def width(self) -> int:
        '''Gets the width of the image.'''
        ...
    
    @property
    def height(self) -> int:
        '''Gets the height of the image.'''
        ...
    
    @property
    def horizontal_resolution(self) -> float:
        ...
    
    @property
    def vertical_resolution(self) -> float:
        ...
    
    ...

class IColorComponents:
    '''Declares method and properties for processing color components.'''
    
    def to_color(self) -> aspose.svg.drawing.Color:
        '''Converts the color components to the Color object.
        
        :returns: A new instance of the :py:class:`aspose.svg.drawing.Color` class'''
        ...
    
    def to_string(self, include_alpha : bool, as_decimal : bool, digits : int) -> str:
        '''Converts color components to string representation.
        
        :param include_alpha: Specifies whether to add Alpha component.
        :param as_decimal: Specifies whether color components are preserved as a decimal number or as a percentage.
        :param digits: Sets the rounding precision for color components.
        :returns: String representation of the color components.'''
        ...
    
    @property
    def model(self) -> aspose.svg.drawing.ColorModel:
        '''Returns the color model.'''
        ...
    
    @property
    def components(self) -> List[float]:
        '''Returns the color components as float array.'''
        ...
    
    @property
    def alpha(self) -> float:
        '''Returns the alpha component.'''
        ...
    
    ...

class IDrawingFactory:
    '''Represents a factory for creating drawing-related objects.'''
    
    @overload
    def create_texture_brush(self, image_bytes : bytes, spread_mode : aspose.svg.drawing.SpreadMode, opacity : float, transformation_matrix : aspose.svg.drawing.IMatrix) -> aspose.svg.drawing.ITextureBrush:
        '''Creates a texture brush with the specified parameters.
        
        :param image_bytes: The byte array containing the image data.
        :param spread_mode: The spread mode for the brush. See :py:class:`aspose.svg.drawing.SpreadMode`.
        :param opacity: The opacity of the brush.
        :param transformation_matrix: The transformation matrix for the brush.
        :returns: The created :py:class:`aspose.svg.drawing.ITextureBrush`.'''
        ...
    
    @overload
    def create_texture_brush(self, center_point : aspose.pydrawing.PointF, transformation : aspose.svg.drawing.IMatrix, interpolation_colors : List[aspose.svg.drawing.IInterpolationColor], bounds : aspose.pydrawing.RectangleF, opacity : float, elipse_rect : aspose.pydrawing.RectangleF) -> aspose.svg.drawing.ITextureBrush:
        '''Creates a texture brush with the specified parameters for an elliptical shape.
        
        :param center_point: The center point of the ellipse.
        :param transformation: The transformation matrix for the brush. See :py:class:`aspose.svg.drawing.IMatrix`.
        :param interpolation_colors: The interpolation colors for the brush. See :py:class:`aspose.svg.drawing.IInterpolationColor`.
        :param bounds: The bounds of the brush.
        :param opacity: The opacity of the brush.
        :param elipse_rect: The rectangle defining the elliptical shape.
        :returns: The created :py:class:`aspose.svg.drawing.ITextureBrush`.'''
        ...
    
    @overload
    def create_matrix(self, matrix : aspose.svg.drawing.IMatrix) -> aspose.svg.drawing.IMatrix:
        '''Creates a new matrix with the same contents as the specified matrix.
        
        :param matrix: The matrix to copy.
        :returns: The created :py:class:`aspose.svg.drawing.IMatrix`.'''
        ...
    
    @overload
    def create_matrix(self, m11 : float, m12 : float, m21 : float, m22 : float, m31 : float, m32 : float) -> aspose.svg.drawing.IMatrix:
        '''Creates a new matrix with the specified elements.
        
        :param m11: The value in the first row and first column of the matrix.
        :param m12: The value in the first row and second column of the matrix.
        :param m21: The value in the second row and first column of the matrix.
        :param m22: The value in the second row and second column of the matrix.
        :param m31: The value in the third row and first column of the matrix.
        :param m32: The value in the third row and second column of the matrix.
        :returns: The created :py:class:`aspose.svg.drawing.IMatrix`.'''
        ...
    
    @overload
    def create_matrix(self) -> aspose.svg.drawing.IMatrix:
        '''Creates a new identity matrix.
        
        :returns: The created :py:class:`aspose.svg.drawing.IMatrix`.'''
        ...
    
    def create_solid_brush(self, color : aspose.pydrawing.Color) -> aspose.svg.drawing.ISolidBrush:
        '''Creates a solid brush with the specified color.
        
        :param color: The color of the solid brush.
        :returns: The created :py:class:`aspose.svg.drawing.ISolidBrush`.'''
        ...
    
    def create_linear_gradient_brush(self, rect : aspose.pydrawing.RectangleF, angle : float, is_scaled : bool, colors : List[aspose.svg.drawing.IInterpolationColor], spread_mode : aspose.svg.drawing.SpreadMode) -> aspose.svg.drawing.ILinearGradientBrush:
        '''Creates a linear gradient brush with the specified parameters.
        
        :param rect: The rectangle defining the gradient bounds.
        :param angle: The angle of the gradient.
        :param is_scaled: Determines whether the gradient is scaled with the rectangle.
        :param colors: The interpolation colors for the gradient. See :py:class:`aspose.svg.drawing.IInterpolationColor`.
        :param spread_mode: The spread mode for the gradient. See :py:class:`aspose.svg.drawing.SpreadMode`.
        :returns: The created :py:class:`aspose.svg.drawing.ILinearGradientBrush`.'''
        ...
    
    def create_bitmap_from_image_byte_array(self, image_bytes : bytes) -> aspose.svg.drawing.IBitmap:
        '''Creates a bitmap from the specified image byte array.
        
        :param image_bytes: The byte array containing the image data.
        :returns: The created :py:class:`aspose.svg.drawing.IBitmap`.'''
        ...
    
    def create_bitmap_from_pixel_byte_array(self, byte_array : bytes, width : int, height : int) -> aspose.svg.drawing.IBitmap:
        '''Creates a bitmap from the specified pixel byte array with the specified width and height.
        
        :param byte_array: The byte array containing the pixel data.
        :param width: The width of the bitmap.
        :param height: The height of the bitmap.
        :returns: The created :py:class:`aspose.svg.drawing.IBitmap`.'''
        ...
    
    def create_bitmap_from_image_stream(self, image_stream : io.RawIOBase) -> aspose.svg.drawing.IBitmap:
        '''Creates a bitmap from the specified image stream.
        
        :param image_stream: The stream containing the image data.
        :returns: The created :py:class:`aspose.svg.drawing.IBitmap`.'''
        ...
    
    def create_bitmap(self, width : int, height : int) -> aspose.svg.drawing.IBitmap:
        '''Creates a bitmap with the specified width and height.
        
        :param width: The width of the bitmap.
        :param height: The height of the bitmap.
        :returns: The created :py:class:`aspose.svg.drawing.IBitmap`.'''
        ...
    
    def create_codec(self, image : bytes) -> aspose.svg.drawing.ICodec:
        '''Creates a codec for the specified image.
        
        :param image: The byte array containing the image data.
        :returns: The created :py:class:`aspose.svg.drawing.ICodec`.'''
        ...
    
    ...

class IGradientBrush(ITransformableBrush):
    '''Declare methods for getting common properties of gradient brushes.'''
    
    def to_native(self) -> any:
        '''Converts the brush to a native representation.
        
        :returns: The native representation of the brush.'''
        ...
    
    @property
    def interpolation_colors(self) -> List[aspose.svg.drawing.IInterpolationColor]:
        ...
    
    @interpolation_colors.setter
    def interpolation_colors(self, value : List[aspose.svg.drawing.IInterpolationColor]):
        ...
    
    @property
    def transformation_matrix(self) -> aspose.svg.drawing.IMatrix:
        ...
    
    @transformation_matrix.setter
    def transformation_matrix(self, value : aspose.svg.drawing.IMatrix):
        ...
    
    @property
    def spread_mode(self) -> aspose.svg.drawing.SpreadMode:
        ...
    
    @spread_mode.setter
    def spread_mode(self, value : aspose.svg.drawing.SpreadMode):
        ...
    
    @property
    def type(self) -> aspose.svg.drawing.BrushType:
        '''Get type of brush; See :py:class:`aspose.svg.drawing.BrushType`.'''
        ...
    
    @property
    def supports_shader(self) -> bool:
        ...
    
    ...

class IInterpolationColor:
    '''Desclares methods for getting interpolation color.'''
    
    @property
    def color(self) -> aspose.pydrawing.Color:
        '''Get the color that represents the colors to use at corresponding positions along a gradient.'''
        ...
    
    @property
    def position(self) -> float:
        '''Gets the color position.'''
        ...
    
    ...

class ILinearGradientBrush(IGradientBrush):
    '''Defines an interface for a brush with a linear gradient.'''
    
    def convert_to_texture_brush(self) -> aspose.svg.drawing.ITextureBrush:
        '''Converts the linear gradient brush to a texture brush. See :py:class:`aspose.svg.drawing.ITextureBrush`.
        
        :returns: The converted texture brush.'''
        ...
    
    def clone(self) -> aspose.svg.drawing.ILinearGradientBrush:
        '''Creates a deep copy of the linear gradient brush. See :py:class:`aspose.svg.drawing.ILinearGradientBrush`.
        
        :returns: A new instance of the linear gradient brush.'''
        ...
    
    def to_native(self) -> any:
        '''Converts the brush to a native representation.
        
        :returns: The native representation of the brush.'''
        ...
    
    @property
    def rect(self) -> aspose.pydrawing.RectangleF:
        '''Gets the rectangular region that defines the starting and ending points of the gradient.'''
        ...
    
    @rect.setter
    def rect(self, value : aspose.pydrawing.RectangleF):
        '''Sets the rectangular region that defines the starting and ending points of the gradient.'''
        ...
    
    @property
    def angle(self) -> float:
        '''Gets the angle, measured in degrees clockwise from the x-axis, of the gradient's orientation line.'''
        ...
    
    @angle.setter
    def angle(self, value : float):
        '''Sets the angle, measured in degrees clockwise from the x-axis, of the gradient's orientation line.'''
        ...
    
    @property
    def interpolation_colors(self) -> List[aspose.svg.drawing.IInterpolationColor]:
        ...
    
    @interpolation_colors.setter
    def interpolation_colors(self, value : List[aspose.svg.drawing.IInterpolationColor]):
        ...
    
    @property
    def transformation_matrix(self) -> aspose.svg.drawing.IMatrix:
        ...
    
    @transformation_matrix.setter
    def transformation_matrix(self, value : aspose.svg.drawing.IMatrix):
        ...
    
    @property
    def spread_mode(self) -> aspose.svg.drawing.SpreadMode:
        ...
    
    @spread_mode.setter
    def spread_mode(self, value : aspose.svg.drawing.SpreadMode):
        ...
    
    @property
    def type(self) -> aspose.svg.drawing.BrushType:
        '''Get type of brush; See :py:class:`aspose.svg.drawing.BrushType`.'''
        ...
    
    @property
    def supports_shader(self) -> bool:
        ...
    
    ...

class IMatrix:
    '''Represents a matrix used for transformations.'''
    
    @overload
    def scale(self, scale_x : float, scale_y : float, order : aspose.svg.drawing.SvgMatrixOrder):
        '''Scales the matrix by the specified scale factors in the specified order.
        
        :param scale_x: The scale factor along the x-axis.
        :param scale_y: The scale factor along the y-axis.
        :param order: The order in which scaling is applied.'''
        ...
    
    @overload
    def scale(self, scale_x : float, scale_y : float):
        '''Scales the matrix by the specified scale factors uniformly.
        
        :param scale_x: The uniform scale factor.
        :param scale_y: The uniform scale factor.'''
        ...
    
    @overload
    def translate(self, offset_x : float, offset_y : float, order : aspose.svg.drawing.SvgMatrixOrder):
        '''Translates the matrix by the specified offset values in the specified order.
        
        :param offset_x: The offset value along the x-axis.
        :param offset_y: The offset value along the y-axis.
        :param order: The order in which translation is applied.'''
        ...
    
    @overload
    def translate(self, tx : float, ty : float):
        '''Translates the matrix by the specified offset values.
        
        :param tx: The offset value along the x-axis.
        :param ty: The offset value along the y-axis.'''
        ...
    
    @overload
    def multiply(self, matrix : aspose.svg.drawing.IMatrix, order : aspose.svg.drawing.SvgMatrixOrder):
        '''Multiplies this matrix by another matrix in the specified order.
        
        :param matrix: The matrix to multiply by.
        :param order: The order in which multiplication is applied.'''
        ...
    
    @overload
    def multiply(self, matrix : aspose.svg.drawing.IMatrix):
        '''Multiplies this matrix by another matrix.
        
        :param matrix: The matrix to multiply by.'''
        ...
    
    @overload
    def rotate(self, angle : float, order : aspose.svg.drawing.SvgMatrixOrder):
        '''Rotates the matrix by the specified angle in the specified order.
        
        :param angle: The angle of rotation in degrees.
        :param order: The order in which rotation is applied.'''
        ...
    
    @overload
    def rotate(self, angle : float):
        '''Rotates the matrix by the specified angle.
        
        :param angle: The angle of rotation in degrees.'''
        ...
    
    @overload
    def rotate_at(self, angle : float, point : aspose.pydrawing.PointF, order : aspose.svg.drawing.SvgMatrixOrder):
        '''Rotates the matrix by the specified angle around the specified point in the specified order.
        
        :param angle: The angle of rotation in degrees.
        :param point: The point to rotate around.
        :param order: The order in which rotation is applied.'''
        ...
    
    @overload
    def rotate_at(self, angle : float, point : aspose.pydrawing.PointF):
        '''Rotates the matrix by the specified angle around the specified point.
        
        :param angle: The angle of rotation in degrees.
        :param point: The point to rotate around.'''
        ...
    
    def invert(self):
        '''Inverts this matrix.'''
        ...
    
    def get_elements(self) -> List[float]:
        '''Gets the elements of the matrix as an array.
        
        :returns: The elements of the matrix.'''
        ...
    
    def transform_point(self, point : aspose.pydrawing.PointF) -> aspose.pydrawing.PointF:
        '''Transforms the specified point using this matrix.
        
        :param point: The point to transform.
        :returns: The transformed point.'''
        ...
    
    def transform_points(self, points : aspose.pydrawing.PointF[]):
        '''Transforms an array of points using this matrix.
        
        :param points: The array of points to transform.'''
        ...
    
    def transform(self, rect : aspose.pydrawing.RectangleF) -> aspose.pydrawing.RectangleF:
        '''Transforms the specified rectangle using this matrix.
        
        :param rect: The rectangle to transform.
        :returns: The transformed rectangle.'''
        ...
    
    def skew(self, skew_x : float, skew_y : float):
        '''Applies a skew transformation to the matrix.
        
        :param skew_x: The angle by which to skew in the x-axis direction.
        :param skew_y: The angle by which to skew in the y-axis direction.'''
        ...
    
    def reset(self):
        '''Resets the matrix to the identity matrix.'''
        ...
    
    def clone(self) -> aspose.svg.drawing.IMatrix:
        '''Creates a copy of this matrix.
        
        :returns: A new instance of :py:class:`aspose.svg.drawing.IMatrix` that is a copy of this matrix.'''
        ...
    
    def to_native(self) -> any:
        '''Converts the matrix to a native representation.
        
        :returns: The native representation of the matrix.'''
        ...
    
    @property
    def is_identity(self) -> bool:
        ...
    
    @property
    def m11(self) -> float:
        '''Gets the value in the first row and first column of the matrix.'''
        ...
    
    @m11.setter
    def m11(self, value : float):
        '''Sets the value in the first row and first column of the matrix.'''
        ...
    
    @property
    def m12(self) -> float:
        '''Gets the value in the first row and second column of the matrix.'''
        ...
    
    @m12.setter
    def m12(self, value : float):
        '''Sets the value in the first row and second column of the matrix.'''
        ...
    
    @property
    def m21(self) -> float:
        '''Gets the value in the second row and first column of the matrix.'''
        ...
    
    @m21.setter
    def m21(self, value : float):
        '''Sets the value in the second row and first column of the matrix.'''
        ...
    
    @property
    def m22(self) -> float:
        '''Gets the value in the second row and second column of the matrix.'''
        ...
    
    @m22.setter
    def m22(self, value : float):
        '''Sets the value in the second row and second column of the matrix.'''
        ...
    
    @property
    def m31(self) -> float:
        '''Gets the value in the third row and first column of the matrix.'''
        ...
    
    @m31.setter
    def m31(self, value : float):
        '''Sets the value in the third row and first column of the matrix.'''
        ...
    
    @property
    def m32(self) -> float:
        '''Gets the value in the third row and second column of the matrix.'''
        ...
    
    @m32.setter
    def m32(self, value : float):
        '''Sets the value in the third row and second column of the matrix.'''
        ...
    
    @property
    def is_invertible(self) -> bool:
        ...
    
    ...

class IPixelsMap:
    '''Represents a map of pixel data.'''
    
    @property
    def color_values(self) -> bytes:
        ...
    
    @property
    def alpha_values(self) -> bytes:
        ...
    
    @property
    def has_transparent_pixels(self) -> bool:
        ...
    
    @property
    def color_space(self) -> aspose.svg.drawing.ColorSpace:
        ...
    
    @property
    def bits_per_component(self) -> int:
        ...
    
    ...

class ISolidBrush(IBrush):
    '''Defines brush interface of a single color'''
    
    def to_native(self) -> any:
        '''Converts the brush to a native representation.
        
        :returns: The native representation of the brush.'''
        ...
    
    @property
    def color(self) -> aspose.pydrawing.Color:
        '''Get color of the brush.'''
        ...
    
    @property
    def type(self) -> aspose.svg.drawing.BrushType:
        '''Get type of brush; See :py:class:`aspose.svg.drawing.BrushType`.'''
        ...
    
    @property
    def supports_shader(self) -> bool:
        ...
    
    ...

class ITextureBrush(ITransformableBrush):
    '''Defines brush interface that uses an image to fill the interior of a shape.'''
    
    def to_native(self) -> any:
        '''Converts the brush to a native representation.
        
        :returns: The native representation of the brush.'''
        ...
    
    @property
    def image(self) -> bytes:
        '''Gets the image used by the brush.'''
        ...
    
    @property
    def opacity(self) -> float:
        '''Get opacity value in a color transform matrix.'''
        ...
    
    @property
    def image_area(self) -> aspose.pydrawing.RectangleF:
        ...
    
    @property
    def color_map(self) -> aspose.pydrawing.Color[]:
        ...
    
    @property
    def transformation_matrix(self) -> aspose.svg.drawing.IMatrix:
        ...
    
    @transformation_matrix.setter
    def transformation_matrix(self, value : aspose.svg.drawing.IMatrix):
        ...
    
    @property
    def spread_mode(self) -> aspose.svg.drawing.SpreadMode:
        ...
    
    @spread_mode.setter
    def spread_mode(self, value : aspose.svg.drawing.SpreadMode):
        ...
    
    @property
    def type(self) -> aspose.svg.drawing.BrushType:
        '''Get type of brush; See :py:class:`aspose.svg.drawing.BrushType`.'''
        ...
    
    @property
    def supports_shader(self) -> bool:
        ...
    
    ...

class ITransformableBrush(IBrush):
    '''Desclares methods for getting transformation matrix and wrap mode.'''
    
    def to_native(self) -> any:
        '''Converts the brush to a native representation.
        
        :returns: The native representation of the brush.'''
        ...
    
    @property
    def transformation_matrix(self) -> aspose.svg.drawing.IMatrix:
        ...
    
    @transformation_matrix.setter
    def transformation_matrix(self, value : aspose.svg.drawing.IMatrix):
        ...
    
    @property
    def spread_mode(self) -> aspose.svg.drawing.SpreadMode:
        ...
    
    @spread_mode.setter
    def spread_mode(self, value : aspose.svg.drawing.SpreadMode):
        ...
    
    @property
    def type(self) -> aspose.svg.drawing.BrushType:
        '''Get type of brush; See :py:class:`aspose.svg.drawing.BrushType`.'''
        ...
    
    @property
    def supports_shader(self) -> bool:
        ...
    
    ...

class ITrueTypeFont:
    '''Declares methods for working with TrueType fonts.'''
    
    def get_data(self) -> io.RawIOBase:
        '''Opens the stream with the font data. The caller is responsible for disposing the stream.
        
        :returns: The stream with the font data.'''
        ...
    
    def get_descent(self, font_size : float) -> float:
        '''Gets the descent of the font at the specified font size.
        
        :param font_size: The size of the font.
        :returns: The descent of the font in points.'''
        ...
    
    def get_ascent(self, font_size : float) -> float:
        '''Gets the ascent of the font at the specified font size.
        
        :param font_size: The size of the font.
        :returns: The ascent of the font in points.'''
        ...
    
    @property
    def family_name(self) -> str:
        ...
    
    @property
    def sub_family_name(self) -> str:
        ...
    
    @property
    def full_font_name(self) -> str:
        ...
    
    @property
    def data_size(self) -> float:
        ...
    
    @property
    def style(self) -> aspose.pydrawing.FontStyle:
        '''Gets the style of the font.'''
        ...
    
    ...

class Length(Dimension):
    '''Represents a length measurement unit.'''
    
    @overload
    def get_value(self) -> float:
        '''Gets the unit value.
        
        :returns: The object value.'''
        ...
    
    @overload
    def get_value(self, unit_type : aspose.svg.drawing.UnitType) -> float:
        '''Gets the value converted to the specified :py:class:`aspose.svg.drawing.UnitType`.
        
        :param unit_type: Type of the unit.
        :returns: Returns value that is converted to specified type.'''
        ...
    
    def equals(self, other : aspose.svg.drawing.Unit) -> bool:
        '''Determines whether the specified :py:class:`aspose.svg.drawing.Unit`, is equal to this instance.
        
        :param other: The :py:class:`aspose.svg.drawing.Unit` to compare with this instance.
        :returns: ``true`` if the specified :py:class:`aspose.svg.drawing.Unit` is equal to this instance; otherwise, ``false``.'''
        ...
    
    @staticmethod
    def from_centimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in centimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_millimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in millimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_quarter_millimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in quarter-millimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_inches(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in inches.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_picas(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in picas.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_points(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in points.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_pixels(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in pixels.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_degrees(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in degrees.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_gradians(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in gradians.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_radians(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in radians.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_turns(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in turns.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_seconds(value : float) -> aspose.svg.drawing.Time:
        '''Returns a :py:class:`aspose.svg.drawing.Time` object that is represented in seconds.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Time` object.'''
        ...
    
    @staticmethod
    def from_milliseconds(value : float) -> aspose.svg.drawing.Time:
        '''Returns a :py:class:`aspose.svg.drawing.Time` object that is represented in milliseconds.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Time` object.'''
        ...
    
    @staticmethod
    def from_hertz(value : float) -> aspose.svg.drawing.Frequency:
        '''Returns a :py:class:`aspose.svg.drawing.Frequency` object that is represented in hertz.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Frequency` object.'''
        ...
    
    @staticmethod
    def from_kilo_hertz(value : float) -> aspose.svg.drawing.Frequency:
        '''Returns a :py:class:`aspose.svg.drawing.Frequency` object that is represented in kiloHertz.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Frequency` object.'''
        ...
    
    @staticmethod
    def from_dots_per_inch(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per inch.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    @staticmethod
    def from_dots_per_centimeters(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per centimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    @staticmethod
    def from_dots_per_pixel(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per pixels.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    def compare_to(self, other : aspose.svg.drawing.Numeric) -> int:
        '''Compares the current instance with another object of the same type and returns an integer that indicates whether the current instance precedes, follows, or occurs in the same position in the sort order as the other object.
        
        :param other: The other object to compare.
        :returns: A value that indicates the relative order of the objects being compared.'''
        ...
    
    @property
    def unit_type(self) -> aspose.svg.drawing.UnitType:
        ...
    
    ...

class LengthOrAuto(Unit):
    '''Represents a container for storage length or 'auto' units..'''
    
    def equals(self, other : aspose.svg.drawing.Unit) -> bool:
        '''Determines whether the specified :py:class:`aspose.svg.drawing.Unit`, is equal to this instance.
        
        :param other: The :py:class:`aspose.svg.drawing.Unit` to compare with this instance.
        :returns: ``true`` if the specified :py:class:`aspose.svg.drawing.Unit` is equal to this instance; otherwise, ``false``.'''
        ...
    
    @staticmethod
    def from_centimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in centimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_millimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in millimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_quarter_millimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in quarter-millimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_inches(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in inches.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_picas(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in picas.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_points(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in points.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_pixels(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in pixels.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_degrees(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in degrees.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_gradians(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in gradians.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_radians(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in radians.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_turns(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in turns.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_seconds(value : float) -> aspose.svg.drawing.Time:
        '''Returns a :py:class:`aspose.svg.drawing.Time` object that is represented in seconds.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Time` object.'''
        ...
    
    @staticmethod
    def from_milliseconds(value : float) -> aspose.svg.drawing.Time:
        '''Returns a :py:class:`aspose.svg.drawing.Time` object that is represented in milliseconds.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Time` object.'''
        ...
    
    @staticmethod
    def from_hertz(value : float) -> aspose.svg.drawing.Frequency:
        '''Returns a :py:class:`aspose.svg.drawing.Frequency` object that is represented in hertz.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Frequency` object.'''
        ...
    
    @staticmethod
    def from_kilo_hertz(value : float) -> aspose.svg.drawing.Frequency:
        '''Returns a :py:class:`aspose.svg.drawing.Frequency` object that is represented in kiloHertz.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Frequency` object.'''
        ...
    
    @staticmethod
    def from_dots_per_inch(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per inch.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    @staticmethod
    def from_dots_per_centimeters(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per centimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    @staticmethod
    def from_dots_per_pixel(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per pixels.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    def set_auto(self):
        '''Resets container to state 'auto'.'''
        ...
    
    @property
    def unit_type(self) -> aspose.svg.drawing.UnitType:
        ...
    
    @property
    def length(self) -> aspose.svg.drawing.Length:
        '''Gets the length.'''
        ...
    
    @length.setter
    def length(self, value : aspose.svg.drawing.Length):
        '''Sets the length.'''
        ...
    
    @property
    def is_auto(self) -> bool:
        ...
    
    ...

class Margin:
    '''Represents page margin.'''
    
    @property
    def top(self) -> aspose.svg.drawing.LengthOrAuto:
        '''Gets the top.'''
        ...
    
    @top.setter
    def top(self, value : aspose.svg.drawing.LengthOrAuto):
        '''Sets the top.'''
        ...
    
    @property
    def right(self) -> aspose.svg.drawing.LengthOrAuto:
        '''Gets the right.'''
        ...
    
    @right.setter
    def right(self, value : aspose.svg.drawing.LengthOrAuto):
        '''Sets the right.'''
        ...
    
    @property
    def bottom(self) -> aspose.svg.drawing.LengthOrAuto:
        '''Gets the bottom.'''
        ...
    
    @bottom.setter
    def bottom(self, value : aspose.svg.drawing.LengthOrAuto):
        '''Sets the bottom.'''
        ...
    
    @property
    def left(self) -> aspose.svg.drawing.LengthOrAuto:
        '''Gets the left.'''
        ...
    
    @left.setter
    def left(self, value : aspose.svg.drawing.LengthOrAuto):
        '''Sets the left.'''
        ...
    
    ...

class Numeric(Unit):
    '''Provides the base class for numeric types.'''
    
    @overload
    def get_value(self) -> float:
        '''Gets the unit value.
        
        :returns: The object value.'''
        ...
    
    @overload
    def get_value(self, unit_type : aspose.svg.drawing.UnitType) -> float:
        '''Gets the value converted to the specified :py:class:`aspose.svg.drawing.UnitType`.
        
        :param unit_type: Type of the unit.
        :returns: Returns value that is converted to specified type.'''
        ...
    
    def equals(self, other : aspose.svg.drawing.Unit) -> bool:
        '''Determines whether the specified :py:class:`aspose.svg.drawing.Unit`, is equal to this instance.
        
        :param other: The :py:class:`aspose.svg.drawing.Unit` to compare with this instance.
        :returns: ``true`` if the specified :py:class:`aspose.svg.drawing.Unit` is equal to this instance; otherwise, ``false``.'''
        ...
    
    @staticmethod
    def from_centimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in centimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_millimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in millimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_quarter_millimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in quarter-millimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_inches(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in inches.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_picas(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in picas.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_points(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in points.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_pixels(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in pixels.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_degrees(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in degrees.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_gradians(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in gradians.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_radians(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in radians.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_turns(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in turns.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_seconds(value : float) -> aspose.svg.drawing.Time:
        '''Returns a :py:class:`aspose.svg.drawing.Time` object that is represented in seconds.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Time` object.'''
        ...
    
    @staticmethod
    def from_milliseconds(value : float) -> aspose.svg.drawing.Time:
        '''Returns a :py:class:`aspose.svg.drawing.Time` object that is represented in milliseconds.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Time` object.'''
        ...
    
    @staticmethod
    def from_hertz(value : float) -> aspose.svg.drawing.Frequency:
        '''Returns a :py:class:`aspose.svg.drawing.Frequency` object that is represented in hertz.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Frequency` object.'''
        ...
    
    @staticmethod
    def from_kilo_hertz(value : float) -> aspose.svg.drawing.Frequency:
        '''Returns a :py:class:`aspose.svg.drawing.Frequency` object that is represented in kiloHertz.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Frequency` object.'''
        ...
    
    @staticmethod
    def from_dots_per_inch(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per inch.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    @staticmethod
    def from_dots_per_centimeters(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per centimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    @staticmethod
    def from_dots_per_pixel(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per pixels.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    def compare_to(self, other : aspose.svg.drawing.Numeric) -> int:
        '''Compares the current instance with another object of the same type and returns an integer that indicates whether the current instance precedes, follows, or occurs in the same position in the sort order as the other object.
        
        :param other: The other object to compare.
        :returns: A value that indicates the relative order of the objects being compared.'''
        ...
    
    @property
    def unit_type(self) -> aspose.svg.drawing.UnitType:
        ...
    
    ...

class Page:
    '''Represents a page object is used for configuration output page.
    The lacuna value for page size is A4(210x297mm)'''
    
    @property
    def size(self) -> aspose.svg.drawing.Size:
        '''Gets the page size.'''
        ...
    
    @size.setter
    def size(self, value : aspose.svg.drawing.Size):
        '''Sets the page size.'''
        ...
    
    @property
    def margin(self) -> aspose.svg.drawing.Margin:
        '''Gets the page margin.'''
        ...
    
    @margin.setter
    def margin(self, value : aspose.svg.drawing.Margin):
        '''Sets the page margin.'''
        ...
    
    ...

class Resolution(Dimension):
    '''Represents a resolution unit.'''
    
    @overload
    def get_value(self) -> float:
        '''Gets the unit value.
        
        :returns: The object value.'''
        ...
    
    @overload
    def get_value(self, unit_type : aspose.svg.drawing.UnitType) -> float:
        '''Gets the value converted to the specified :py:class:`aspose.svg.drawing.UnitType`.
        
        :param unit_type: Type of the unit.
        :returns: Returns value that is converted to specified type.'''
        ...
    
    def equals(self, other : aspose.svg.drawing.Unit) -> bool:
        '''Determines whether the specified :py:class:`aspose.svg.drawing.Unit`, is equal to this instance.
        
        :param other: The :py:class:`aspose.svg.drawing.Unit` to compare with this instance.
        :returns: ``true`` if the specified :py:class:`aspose.svg.drawing.Unit` is equal to this instance; otherwise, ``false``.'''
        ...
    
    @staticmethod
    def from_centimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in centimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_millimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in millimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_quarter_millimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in quarter-millimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_inches(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in inches.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_picas(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in picas.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_points(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in points.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_pixels(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in pixels.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_degrees(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in degrees.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_gradians(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in gradians.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_radians(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in radians.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_turns(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in turns.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_seconds(value : float) -> aspose.svg.drawing.Time:
        '''Returns a :py:class:`aspose.svg.drawing.Time` object that is represented in seconds.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Time` object.'''
        ...
    
    @staticmethod
    def from_milliseconds(value : float) -> aspose.svg.drawing.Time:
        '''Returns a :py:class:`aspose.svg.drawing.Time` object that is represented in milliseconds.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Time` object.'''
        ...
    
    @staticmethod
    def from_hertz(value : float) -> aspose.svg.drawing.Frequency:
        '''Returns a :py:class:`aspose.svg.drawing.Frequency` object that is represented in hertz.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Frequency` object.'''
        ...
    
    @staticmethod
    def from_kilo_hertz(value : float) -> aspose.svg.drawing.Frequency:
        '''Returns a :py:class:`aspose.svg.drawing.Frequency` object that is represented in kiloHertz.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Frequency` object.'''
        ...
    
    @staticmethod
    def from_dots_per_inch(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per inch.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    @staticmethod
    def from_dots_per_centimeters(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per centimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    @staticmethod
    def from_dots_per_pixel(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per pixels.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    def compare_to(self, other : aspose.svg.drawing.Numeric) -> int:
        '''Compares the current instance with another object of the same type and returns an integer that indicates whether the current instance precedes, follows, or occurs in the same position in the sort order as the other object.
        
        :param other: The other object to compare.
        :returns: A value that indicates the relative order of the objects being compared.'''
        ...
    
    @property
    def unit_type(self) -> aspose.svg.drawing.UnitType:
        ...
    
    ...

class Size:
    '''Stores a values which specify a Height and Width.'''
    
    @property
    def height(self) -> aspose.svg.drawing.Length:
        '''Gets the vertical component of this :py:class:`aspose.svg.drawing.Size`.'''
        ...
    
    @height.setter
    def height(self, value : aspose.svg.drawing.Length):
        '''Sets the vertical component of this :py:class:`aspose.svg.drawing.Size`.'''
        ...
    
    @property
    def width(self) -> aspose.svg.drawing.Length:
        '''Gets the horizontal component of this :py:class:`aspose.svg.drawing.Size`.'''
        ...
    
    @width.setter
    def width(self, value : aspose.svg.drawing.Length):
        '''Sets the horizontal component of this :py:class:`aspose.svg.drawing.Size`.'''
        ...
    
    ...

class Time(Dimension):
    '''Represents a time unit.'''
    
    @overload
    def get_value(self) -> float:
        '''Gets the unit value.
        
        :returns: The object value.'''
        ...
    
    @overload
    def get_value(self, unit_type : aspose.svg.drawing.UnitType) -> float:
        '''Gets the value converted to the specified :py:class:`aspose.svg.drawing.UnitType`.
        
        :param unit_type: Type of the unit.
        :returns: Returns value that is converted to specified type.'''
        ...
    
    def equals(self, other : aspose.svg.drawing.Unit) -> bool:
        '''Determines whether the specified :py:class:`aspose.svg.drawing.Unit`, is equal to this instance.
        
        :param other: The :py:class:`aspose.svg.drawing.Unit` to compare with this instance.
        :returns: ``true`` if the specified :py:class:`aspose.svg.drawing.Unit` is equal to this instance; otherwise, ``false``.'''
        ...
    
    @staticmethod
    def from_centimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in centimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_millimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in millimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_quarter_millimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in quarter-millimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_inches(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in inches.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_picas(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in picas.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_points(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in points.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_pixels(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in pixels.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_degrees(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in degrees.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_gradians(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in gradians.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_radians(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in radians.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_turns(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in turns.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_seconds(value : float) -> aspose.svg.drawing.Time:
        '''Returns a :py:class:`aspose.svg.drawing.Time` object that is represented in seconds.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Time` object.'''
        ...
    
    @staticmethod
    def from_milliseconds(value : float) -> aspose.svg.drawing.Time:
        '''Returns a :py:class:`aspose.svg.drawing.Time` object that is represented in milliseconds.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Time` object.'''
        ...
    
    @staticmethod
    def from_hertz(value : float) -> aspose.svg.drawing.Frequency:
        '''Returns a :py:class:`aspose.svg.drawing.Frequency` object that is represented in hertz.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Frequency` object.'''
        ...
    
    @staticmethod
    def from_kilo_hertz(value : float) -> aspose.svg.drawing.Frequency:
        '''Returns a :py:class:`aspose.svg.drawing.Frequency` object that is represented in kiloHertz.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Frequency` object.'''
        ...
    
    @staticmethod
    def from_dots_per_inch(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per inch.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    @staticmethod
    def from_dots_per_centimeters(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per centimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    @staticmethod
    def from_dots_per_pixel(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per pixels.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    def compare_to(self, other : aspose.svg.drawing.Numeric) -> int:
        '''Compares the current instance with another object of the same type and returns an integer that indicates whether the current instance precedes, follows, or occurs in the same position in the sort order as the other object.
        
        :param other: The other object to compare.
        :returns: A value that indicates the relative order of the objects being compared.'''
        ...
    
    @property
    def unit_type(self) -> aspose.svg.drawing.UnitType:
        ...
    
    ...

class Unit:
    '''Provides the base class for units of measurement.'''
    
    def equals(self, other : aspose.svg.drawing.Unit) -> bool:
        '''Determines whether the specified :py:class:`aspose.svg.drawing.Unit`, is equal to this instance.
        
        :param other: The :py:class:`aspose.svg.drawing.Unit` to compare with this instance.
        :returns: ``true`` if the specified :py:class:`aspose.svg.drawing.Unit` is equal to this instance; otherwise, ``false``.'''
        ...
    
    @staticmethod
    def from_centimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in centimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_millimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in millimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_quarter_millimeters(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in quarter-millimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_inches(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in inches.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_picas(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in picas.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_points(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in points.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_pixels(value : float) -> aspose.svg.drawing.Length:
        '''Returns a :py:class:`aspose.svg.drawing.Length` object that is represented in pixels.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Length` object.'''
        ...
    
    @staticmethod
    def from_degrees(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in degrees.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_gradians(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in gradians.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_radians(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in radians.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_turns(value : float) -> aspose.svg.drawing.Angle:
        '''Returns a :py:class:`aspose.svg.drawing.Angle` object that is represented in turns.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Angle` object.'''
        ...
    
    @staticmethod
    def from_seconds(value : float) -> aspose.svg.drawing.Time:
        '''Returns a :py:class:`aspose.svg.drawing.Time` object that is represented in seconds.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Time` object.'''
        ...
    
    @staticmethod
    def from_milliseconds(value : float) -> aspose.svg.drawing.Time:
        '''Returns a :py:class:`aspose.svg.drawing.Time` object that is represented in milliseconds.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Time` object.'''
        ...
    
    @staticmethod
    def from_hertz(value : float) -> aspose.svg.drawing.Frequency:
        '''Returns a :py:class:`aspose.svg.drawing.Frequency` object that is represented in hertz.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Frequency` object.'''
        ...
    
    @staticmethod
    def from_kilo_hertz(value : float) -> aspose.svg.drawing.Frequency:
        '''Returns a :py:class:`aspose.svg.drawing.Frequency` object that is represented in kiloHertz.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Frequency` object.'''
        ...
    
    @staticmethod
    def from_dots_per_inch(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per inch.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    @staticmethod
    def from_dots_per_centimeters(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per centimeters.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    @staticmethod
    def from_dots_per_pixel(value : float) -> aspose.svg.drawing.Resolution:
        '''Returns a :py:class:`aspose.svg.drawing.Resolution` object that is represented in dots per pixels.
        
        :param value: The value.
        :returns: Returns a :py:class:`aspose.svg.drawing.Resolution` object.'''
        ...
    
    @property
    def unit_type(self) -> aspose.svg.drawing.UnitType:
        ...
    
    ...

class UnitType:
    '''Specifies the unit of measurement.'''
    
    def equals(self, other : aspose.svg.drawing.UnitType) -> bool:
        '''Determines whether the specified :py:class:`aspose.svg.drawing.UnitType`, is equal to this instance.
        
        :param other: The :py:class:`aspose.svg.drawing.UnitType` to compare with this instance.
        :returns: ``true`` if the specified :py:class:`aspose.svg.drawing.UnitType` is equal to this instance; otherwise, ``false``.'''
        ...
    
    @classmethod
    @property
    def EM(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is relative to the height of the parent element's font.'''
        ...
    
    @classmethod
    @property
    def EX(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is relative to the height of the lowercase letter x of the parent element's font.'''
        ...
    
    @classmethod
    @property
    def CH(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is relative to width of the "0" (zero).'''
        ...
    
    @classmethod
    @property
    def REM(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is relative to font-size of the root element.'''
        ...
    
    @classmethod
    @property
    def VW(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is relative to 1% of the width of the viewport*'''
        ...
    
    @classmethod
    @property
    def VH(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is relative to 1% of the height of the viewport* Try it'''
        ...
    
    @classmethod
    @property
    def VMIN(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is relative to 1% of viewport's* smaller dimension Try it'''
        ...
    
    @classmethod
    @property
    def VMAX(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is relative to 1% of viewport's* larger dimension Try it'''
        ...
    
    @classmethod
    @property
    def CM(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is in centimeters'''
        ...
    
    @classmethod
    @property
    def MM(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is in millimeters'''
        ...
    
    @classmethod
    @property
    def Q(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is in quarter-millimeters'''
        ...
    
    @classmethod
    @property
    def IN(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is in inches'''
        ...
    
    @classmethod
    @property
    def PC(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is in picas'''
        ...
    
    @classmethod
    @property
    def PT(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is in points'''
        ...
    
    @classmethod
    @property
    def PX(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is in pixels'''
        ...
    
    @classmethod
    @property
    def DEG(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is in degrees.'''
        ...
    
    @classmethod
    @property
    def GRAD(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is in gradians.'''
        ...
    
    @classmethod
    @property
    def RAD(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is in radians.'''
        ...
    
    @classmethod
    @property
    def TURN(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is in turns.'''
        ...
    
    @classmethod
    @property
    def S(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is in seconds.'''
        ...
    
    @classmethod
    @property
    def MS(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is in milliseconds.'''
        ...
    
    @classmethod
    @property
    def HZ(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is in hertz.'''
        ...
    
    @classmethod
    @property
    def K_HZ(cls) -> aspose.svg.drawing.UnitType:
        ...
    
    @classmethod
    @property
    def DPI(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is in dots per inch.'''
        ...
    
    @classmethod
    @property
    def DPCM(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is in dots per centimeters.'''
        ...
    
    @classmethod
    @property
    def DPPX(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is in Dots per pixels unit.'''
        ...
    
    @classmethod
    @property
    def AUTO(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is not defined.'''
        ...
    
    @classmethod
    @property
    def PERCENTAGE(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is in percentage.'''
        ...
    
    @classmethod
    @property
    def INTEGER(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is an integer number.'''
        ...
    
    @classmethod
    @property
    def REAL(cls) -> aspose.svg.drawing.UnitType:
        '''Measurement is a real number.'''
        ...
    
    ...

class Viewport:
    '''Represents a viewport that defines the width and height of a visual area.'''
    
    @staticmethod
    def load(page : aspose.svg.drawing.Page) -> aspose.svg.drawing.Viewport:
        '''Loads a :py:class:`aspose.svg.drawing.Viewport` from the specified :py:class:`aspose.svg.drawing.Page`.
        
        :param page: The page from which to load the viewport.
        :returns: The loaded :py:class:`aspose.svg.drawing.Viewport`.'''
        ...
    
    @property
    def width(self) -> aspose.svg.drawing.Length:
        '''Gets the width of the viewport.'''
        ...
    
    @property
    def height(self) -> aspose.svg.drawing.Length:
        '''Gets the height of the viewport.'''
        ...
    
    ...

class BrushType:
    '''Specifies the type of brush.'''
    
    @classmethod
    @property
    def SOLID(cls) -> BrushType:
        '''Type is ISolidBrush'''
        ...
    
    @classmethod
    @property
    def TEXTURE(cls) -> BrushType:
        '''Type is ITextureBrush'''
        ...
    
    @classmethod
    @property
    def LINEAR_GRADIENT(cls) -> BrushType:
        '''Type is ILinearGradientBrush'''
        ...
    
    ...

class ColorModel:
    '''This enumeration is used to select the color model for working with color components.'''
    
    @classmethod
    @property
    def RGB(cls) -> ColorModel:
        '''Red-Green-Blue color model'''
        ...
    
    @classmethod
    @property
    def HSL(cls) -> ColorModel:
        '''Hue-Saturation-Luminosity color model'''
        ...
    
    @classmethod
    @property
    def HSV(cls) -> ColorModel:
        '''Hue-Saturation-Value color model'''
        ...
    
    @classmethod
    @property
    def HWB(cls) -> ColorModel:
        '''Hue-Whiteness-Blackness color model'''
        ...
    
    @classmethod
    @property
    def CMYK(cls) -> ColorModel:
        '''Cyan-Magenta-Yellow-Key color model'''
        ...
    
    @classmethod
    @property
    def LAB(cls) -> ColorModel:
        '''Lightness-A-B color model'''
        ...
    
    @classmethod
    @property
    def OKLAB(cls) -> ColorModel:
        '''Improved Lightness-A-B model'''
        ...
    
    @classmethod
    @property
    def LCH(cls) -> ColorModel:
        '''Luminance-Chroma-Hue color model'''
        ...
    
    @classmethod
    @property
    def OKLCH(cls) -> ColorModel:
        '''Improved Luminance-Chroma-Hue color model'''
        ...
    
    ...

class ColorSpace:
    '''Specifies the color space or color model used in a pixel map :py:class:`aspose.svg.drawing.IPixelsMap`.'''
    
    @classmethod
    @property
    def RGB(cls) -> ColorSpace:
        '''The RGB color space.'''
        ...
    
    @classmethod
    @property
    def INDEXED(cls) -> ColorSpace:
        '''An indexed color space.'''
        ...
    
    @classmethod
    @property
    def GRAY_SCALE(cls) -> ColorSpace:
        '''A grayscale color space.'''
        ...
    
    ...

class FillRule:
    '''Specifies the fill rule used in rendering SVG and HTML.'''
    
    @classmethod
    @property
    def EVEN_ODD(cls) -> FillRule:
        '''Determines the fill area using the even-odd rule.'''
        ...
    
    @classmethod
    @property
    def NON_ZERO(cls) -> FillRule:
        '''Determines the fill area using the non-zero rule.'''
        ...
    
    ...

class SpreadMode:
    '''Specifies the spread mode used in rendering SVG and HTML.'''
    
    @classmethod
    @property
    def TILE(cls) -> SpreadMode:
        '''The gradient is tiled.'''
        ...
    
    @classmethod
    @property
    def TILE_FLIP_X(cls) -> SpreadMode:
        '''The gradient is tiled and flipped horizontally.'''
        ...
    
    @classmethod
    @property
    def TILE_FLIP_Y(cls) -> SpreadMode:
        '''The gradient is tiled and flipped vertically.'''
        ...
    
    @classmethod
    @property
    def TILE_FLIP_XY(cls) -> SpreadMode:
        '''The gradient is tiled and flipped both horizontally and vertically.'''
        ...
    
    @classmethod
    @property
    def CLAMP(cls) -> SpreadMode:
        '''The gradient is clamped to the edge.'''
        ...
    
    ...

class StrokeLineCap:
    '''Specifies the line cap used in rendering SVG and HTML.'''
    
    @classmethod
    @property
    def BUTT(cls) -> StrokeLineCap:
        '''The stroke ends with a flat edge.'''
        ...
    
    @classmethod
    @property
    def SQUARE(cls) -> StrokeLineCap:
        '''The stroke ends with a square projection beyond the endpoint.'''
        ...
    
    @classmethod
    @property
    def ROUND(cls) -> StrokeLineCap:
        '''The stroke ends with a rounded cap.'''
        ...
    
    ...

class StrokeLineJoin:
    '''Specifies the line join style used in rendering SVG and HTML.'''
    
    @classmethod
    @property
    def MITER(cls) -> StrokeLineJoin:
        '''The line joins with a sharp point, extending beyond the endpoints.'''
        ...
    
    @classmethod
    @property
    def ROUND(cls) -> StrokeLineJoin:
        '''The line joins with a rounded corner.'''
        ...
    
    @classmethod
    @property
    def BEVEL(cls) -> StrokeLineJoin:
        '''The line joins with a beveled corner.'''
        ...
    
    ...

class SvgMatrixOrder:
    '''Specifies the order in which matrix transformations are applied.'''
    
    @classmethod
    @property
    def APPEND(cls) -> SvgMatrixOrder:
        '''Specifies that the transformation is appended to the existing transformation.'''
        ...
    
    @classmethod
    @property
    def PREPEND(cls) -> SvgMatrixOrder:
        '''Specifies that the transformation is prepended to the existing transformation.'''
        ...
    
    ...

class WebImageFormat:
    '''Specifies the supported image formats.'''
    
    @classmethod
    @property
    def BMP(cls) -> WebImageFormat:
        '''The BMP image format.'''
        ...
    
    @classmethod
    @property
    def GIF(cls) -> WebImageFormat:
        '''The GIF image format.'''
        ...
    
    @classmethod
    @property
    def ICO(cls) -> WebImageFormat:
        '''The ICO image format.'''
        ...
    
    @classmethod
    @property
    def JPEG(cls) -> WebImageFormat:
        '''The JPEG image format.'''
        ...
    
    @classmethod
    @property
    def PNG(cls) -> WebImageFormat:
        '''The PNG image format.'''
        ...
    
    @classmethod
    @property
    def WBMP(cls) -> WebImageFormat:
        '''The WBMP image format.'''
        ...
    
    @classmethod
    @property
    def WEBP(cls) -> WebImageFormat:
        '''The WEBP image format.'''
        ...
    
    @classmethod
    @property
    def PKM(cls) -> WebImageFormat:
        '''The PKM image format.'''
        ...
    
    @classmethod
    @property
    def KTX(cls) -> WebImageFormat:
        '''The KTX image format.'''
        ...
    
    @classmethod
    @property
    def ASTC(cls) -> WebImageFormat:
        '''The ASTC image format.'''
        ...
    
    @classmethod
    @property
    def DNG(cls) -> WebImageFormat:
        '''The Adobe DNG image format.'''
        ...
    
    @classmethod
    @property
    def HEIF(cls) -> WebImageFormat:
        '''The HEIF or High Efficiency Image File format.'''
        ...
    
    @classmethod
    @property
    def AVIF(cls) -> WebImageFormat:
        '''Avif image type.'''
        ...
    
    @classmethod
    @property
    def TIFF(cls) -> WebImageFormat:
        '''Tiff image type.'''
        ...
    
    @classmethod
    @property
    def UNKNOWN(cls) -> WebImageFormat:
        '''An unknown image type.'''
        ...
    
    ...

