"""This is a wrapper module for Aspose.SVG Aspose.Svg.Drawing.SkiaSharp .NET assembly"""

from typing import Any

def get_pyinstaller_hook_dirs() -> Any:
  """Function required by PyInstaller. Returns paths to module 
  PyInstaller hooks. Not intended to be called explicitly."""
    ...

from typing import List, Optional, Dict, Iterable
import aspose.pycore
import aspose.pydrawing
import aspose.svg
import aspose.svg.builder
import aspose.svg.collections
import aspose.svg.converters
import aspose.svg.datatypes
import aspose.svg.diagnostics
import aspose.svg.dom
import aspose.svg.dom.attributes
import aspose.svg.dom.canvas
import aspose.svg.dom.css
import aspose.svg.dom.events
import aspose.svg.dom.mutations
import aspose.svg.dom.traversal
import aspose.svg.dom.traversal.filters
import aspose.svg.dom.views
import aspose.svg.dom.xpath
import aspose.svg.drawing
import aspose.svg.drawing.skiasharp
import aspose.svg.events
import aspose.svg.filters
import aspose.svg.imagevectorization
import aspose.svg.io
import aspose.svg.net
import aspose.svg.net.headers
import aspose.svg.net.messagefilters
import aspose.svg.net.messagehandlers
import aspose.svg.paths
import aspose.svg.rendering
import aspose.svg.rendering.devices
import aspose.svg.rendering.fonts
import aspose.svg.rendering.image
import aspose.svg.rendering.pdf
import aspose.svg.rendering.pdf.encryption
import aspose.svg.rendering.styles
import aspose.svg.rendering.styles.paintservers
import aspose.svg.rendering.xps
import aspose.svg.saving
import aspose.svg.saving.resourcehandlers
import aspose.svg.services
import aspose.svg.toolkit
import aspose.svg.toolkit.optimizers
import aspose.svg.window

class Configuration:
    '''Represents the configuration context object that is used to set up the environment settings for the application.'''
    
    @staticmethod
    def create() -> aspose.svg.Configuration:
        '''Create and configure the instance of Configuration object.
        
        :returns: The instance of Configuration object.'''
        ...
    
    def get_service(self, service_type : Type) -> any:
        ...
    
    @staticmethod
    def set_extension(extension : aspose.svg.IConfigurationExtension):
        '''Sets the extension for the configuration.
        
        :param extension: The configuration extension to set. See :py:class:`aspose.svg.IConfigurationExtension`.'''
        ...
    
    @property
    def security(self) -> aspose.svg.Sandbox:
        '''Gets the sandboxing flag of the configuration.'''
        ...
    
    @security.setter
    def security(self, value : aspose.svg.Sandbox):
        '''Sets the sandboxing flag of the configuration.'''
        ...
    
    ...

class FontsSettings:
    '''Represents fonts handling settings.'''
    
    @overload
    def set_fonts_lookup_folder(self, fonts_folder : str):
        '''Sets folder used during fonts selection.
        
        :param fonts_folder: The fonts folder.'''
        ...
    
    @overload
    def set_fonts_lookup_folder(self, fonts_folder : str, recursive : bool):
        '''Sets folder used during fonts selection.
        
        :param fonts_folder: The fonts folder.
        :param recursive: If set to ``true`` all nested directories will be used. Default value is ``false``.'''
        ...
    
    @overload
    def set_fonts_lookup_folders(self, fonts_folders : List[str]):
        '''Sets an array of folders used during fonts selection.
        
        :param fonts_folders: The fonts folders.'''
        ...
    
    @overload
    def set_fonts_lookup_folders(self, fonts_folders : List[str], recursive : bool):
        '''Sets an array of folders used during fonts selection.
        
        :param fonts_folders: The fonts folders.
        :param recursive: If set to ``true`` all nested directories will be used. Default value is ``false``.'''
        ...
    
    def get_fonts_lookup_folders(self) -> List[str]:
        '''Gets a copy of array which contains fonts folders. Fonts found in these folders are used for characters rendering.
        
        :returns: A copy of fonts folders array.'''
        ...
    
    @property
    def font_matcher(self) -> aspose.svg.rendering.fonts.FontMatcher:
        ...
    
    @font_matcher.setter
    def font_matcher(self, value : aspose.svg.rendering.fonts.FontMatcher):
        ...
    
    ...

class IConfigurationBuilder:
    '''Represents a Configuration object builder.'''
    
    ...

class IConfigurationExtension:
    '''Represents an extension for configuration, allowing the addition and retrieval of key-value pairs.'''
    
    ...

class ISVGAnimatedPoints:
    '''The SVGAnimatedPoints interface supports elements which have a ‘points’ attribute which holds a list of coordinate values and which support the ability to animate that attribute.
    Additionally, the ‘points’ attribute on the original element accessed via the XML DOM(e.g., using the getAttribute() method call) will reflect any changes made to points.'''
    
    @property
    def points(self) -> aspose.svg.datatypes.SVGPointList:
        '''Provides access to the base (i.e., static) contents of the ‘points’ attribute.'''
        ...
    
    @property
    def animated_points(self) -> aspose.svg.datatypes.SVGPointList:
        ...
    
    ...

class ISVGFitToViewBox:
    '''Interface SVGFitToViewBox defines DOM attributes that apply to elements which have XML attributes ‘viewBox’ and ‘preserveAspectRatio’.'''
    
    @property
    def view_box(self) -> aspose.svg.datatypes.SVGAnimatedRect:
        ...
    
    @property
    def preserve_aspect_ratio(self) -> aspose.svg.datatypes.SVGAnimatedPreserveAspectRatio:
        ...
    
    ...

class ISVGRenderingIntent:
    '''The SVGRenderingIntent interface defines the enumerated list of possible values for ‘rendering-intent’ attributes or descriptors.'''
    
    ...

class ISVGTests:
    '''Interface SVGTests defines an interface which applies to all elements which have attributes ‘requiredFeatures’, ‘requiredExtensions’ and ‘systemLanguage’.'''
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    ...

class ISVGURIReference:
    '''Interface SVGURIReference defines an interface which applies to all elements which have the collection of XLink attributes, such as ‘xlink:href’, which define a URI reference.'''
    
    @property
    def href(self) -> aspose.svg.datatypes.SVGAnimatedString:
        '''Corresponds to attribute ‘xlink:href’ on the given element.'''
        ...
    
    ...

class ISVGUnitTypes:
    '''The SVGUnitTypes interface defines a commonly used set of constants and is a base interface used by SVGGradientElement, SVGPatternElement, SVGClipPathElement, SVGMaskElement and SVGFilterElement.'''
    
    ...

class ISVGZoomAndPan:
    '''The SVGZoomAndPan interface defines attribute zoomAndPan and associated constants.'''
    
    @property
    def zoom_and_pan(self) -> int:
        ...
    
    @zoom_and_pan.setter
    def zoom_and_pan(self, value : int):
        ...
    
    ...

class IUrlSearchParams:
    '''Provides methods to work with URLs query string.'''
    
    def append(self, name : str, value : str):
        '''Appends a new name-value pair whose name is ``name`` and value is ``value``.
        
        :param name: Name of the new name-value pair.
        :param value: Value of the new name-value pair.'''
        ...
    
    def delete(self, name : str):
        '''Removes all name-value pairs whose name is ``name``.
        
        :param name: Key which will be used to find name-value pairs.'''
        ...
    
    def get(self, name : str) -> str:
        '''Returns value of the first name-value pair whose name is ``name``.
        
        :param name: Key which will be used to find name-value pair.
        :returns: Value of the first name-value pair whose name is ``name`` or null
        if there is none.'''
        ...
    
    def get_all(self, name : str) -> List[str]:
        '''Returns all values whose name is ``name``.
        
        :param name: Key which will be used to find name-value pair.
        :returns: List containing all values whose name is ``name``.'''
        ...
    
    def has(self, name : str) -> bool:
        '''Checks if there is a name-value pair whose name is ``name`` in list.
        
        :param name: Key which will be used to find name-value pair.
        :returns: ``True`` if there is a name-value pair whose name is ``name``
        in list, and ``false`` otherwise.'''
        ...
    
    def set(self, name : str, value : str):
        '''Sets value of the first found name-value pair to the specified value and removes the others.
        If no name-value pairs with the specified name are found, new one will be appended to the list.
        
        :param name: Key which will be used to find name-value pairs.
        :param value: Value which will be set.'''
        ...
    
    def sort(self):
        '''Sorts all name-value pairs, if any, by their names.'''
        ...
    
    ...

class License:
    '''Provides methods to license the component.'''
    
    @overload
    def set_license(self, license_name : str):
        '''Licenses the component.
        
        :param license_name: Can be a full or short file name.
        Use an empty string to switch to evaluation mode.'''
        ...
    
    @overload
    def set_license(self, stream : io.RawIOBase):
        '''Licenses the component.
        
        :param stream: A stream that contains the license.'''
        ...
    
    ...

class Metered:
    '''Provides methods to set metered key.'''
    
    def set_metered_key(self, public_key : str, private_key : str):
        '''Sets metered public and private key.
        If you purchase metered license, when start application, this API should be called, normally, this is enough.
        However, if always fail to upload consumption data and exceed 24 hours, the license will be set to evaluation status,
        to avoid such case, you should regularly check the license status, if it is evaluation status, call this API again.
        
        :param public_key: public key
        :param private_key: private key'''
        ...
    
    @staticmethod
    def get_consumption_quantity() -> float:
        '''Gets consumption file size
        
        :returns: consumption quantity'''
        ...
    
    @staticmethod
    def get_consumption_credit() -> float:
        '''Gets consumption credit
        
        :returns: consumption quantity'''
        ...
    
    @staticmethod
    def is_metered_licensed() -> bool:
        '''Check whether metered is licensed
        
        :returns: True or false'''
        ...
    
    ...

class MimeType:
    '''Represents an Internet Media Types'''
    
    def equals(self, other : aspose.svg.MimeType) -> bool:
        '''Indicates whether the current object is equal to another object of the same type.
        
        :param other: An object to compare with this object.
        :returns: true if the current object is equal to the ``other`` parameter; otherwise, false.'''
        ...
    
    @staticmethod
    def from_file_extension(file_name : str) -> aspose.svg.MimeType:
        '''Creates a new MIME type based on file extension.
        
        :param file_name: The name of the file.
        :returns: The new instance of MIME type'''
        ...
    
    @property
    def type(self) -> str:
        '''Gets the media type.'''
        ...
    
    @property
    def sub_type(self) -> str:
        ...
    
    ...

class PlatformException:
    '''Represents the base class for all exceptions that may occur during the application execution.'''
    
    ...

class SVGAElement(SVGGraphicsElement):
    '''The SVGAElement interface corresponds to the ‘a’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def get_b_box(self) -> aspose.svg.datatypes.SVGRect:
        '''Returns the tight bounding box in current user space (i.e., after application of the ‘transform’ attribute, if any) on the geometry of all contained graphics elements, exclusive of stroking, clipping, masking and filter effects). Note that getBBox must return the actual bounding box at the time the method was called, even in case the element has not yet been rendered.
        
        :returns: An SVGRect object that defines the bounding box.'''
        ...
    
    def get_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the viewport coordinate system for the nearestViewportElement.
        
        :returns: An SVGMatrix object that defines the CTM.'''
        ...
    
    def get_screen_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the parent user agent's notice of a "pixel". For display devices, ideally this represents a physical screen pixel. For other devices or environments where physical pixel sizes are not known, then an algorithm similar to the CSS2 definition of a "pixel" can be used instead. Note that null is returned if this element is not hooked into the document tree. This method would have been more aptly named as getClientCTM, but the name getScreenCTM is kept for historical reasons.
        
        :returns: An SVGMatrix object that defines the given transformation matrix.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def nearest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def farthest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        '''Corresponds to attribute ‘transform’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def href(self) -> aspose.svg.datatypes.SVGAnimatedString:
        '''Corresponds to attribute ‘xlink:href’ on the given element.'''
        ...
    
    @property
    def target(self) -> aspose.svg.datatypes.SVGAnimatedString:
        '''Corresponds to attribute ‘target’ on the given ‘a’ element.'''
        ...
    
    ...

class SVGAnimateElement(SVGAnimationElement):
    '''The SVGAnimateElement interface corresponds to the ‘animate’ element.
    Object-oriented access to the attributes of the ‘animate’ element via the SVG DOM is not available.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def target_element(self) -> aspose.svg.SVGElement:
        ...
    
    ...

class SVGAnimateMotionElement(SVGAnimationElement):
    '''The SVGAnimateMotionElement interface corresponds to the ‘animateMotion’ element.
    Object-oriented access to the attributes of the ‘animateMotion’ element via the SVG DOM is not available.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def target_element(self) -> aspose.svg.SVGElement:
        ...
    
    ...

class SVGAnimateTransformElement(SVGAnimationElement):
    '''The SVGAnimateTransformElement interface corresponds to the ‘animateTransform’ element.
    Object-oriented access to the attributes of the ‘animateTransform’ element via the SVG DOM is not available.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def target_element(self) -> aspose.svg.SVGElement:
        ...
    
    ...

class SVGAnimationElement(SVGElement):
    '''The SVGAnimationElement interface is the base interface for all of the animation element interfaces: SVGAnimateElement, SVGSetElement, SVGAnimateColorElement, SVGAnimateMotionElement and SVGAnimateTransformElement.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def target_element(self) -> aspose.svg.SVGElement:
        ...
    
    ...

class SVGCircleElement(SVGGeometryElement):
    '''The SVGCircleElement interface corresponds to the ‘circle’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def get_b_box(self) -> aspose.svg.datatypes.SVGRect:
        '''Returns the tight bounding box in current user space (i.e., after application of the ‘transform’ attribute, if any) on the geometry of all contained graphics elements, exclusive of stroking, clipping, masking and filter effects). Note that getBBox must return the actual bounding box at the time the method was called, even in case the element has not yet been rendered.
        
        :returns: An SVGRect object that defines the bounding box.'''
        ...
    
    def get_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the viewport coordinate system for the nearestViewportElement.
        
        :returns: An SVGMatrix object that defines the CTM.'''
        ...
    
    def get_screen_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the parent user agent's notice of a "pixel". For display devices, ideally this represents a physical screen pixel. For other devices or environments where physical pixel sizes are not known, then an algorithm similar to the CSS2 definition of a "pixel" can be used instead. Note that null is returned if this element is not hooked into the document tree. This method would have been more aptly named as getClientCTM, but the name getScreenCTM is kept for historical reasons.
        
        :returns: An SVGMatrix object that defines the given transformation matrix.'''
        ...
    
    def get_equivalent_path(self) -> aspose.svg.paths.SVGPathSegList:
        '''Returns a new instance instance of the :py:class:`aspose.svg.paths.SVGPathSegList` which represents :py:class:`aspose.svg.SVGGeometryElement` as path segments.
        
        :returns: A new instance instance of the :py:class:`aspose.svg.paths.SVGPathSegList`.'''
        ...
    
    def get_equivalent_path_as_i_path(self) -> aspose.svg.rendering.IPath:
        '''Returns the equivalent path as an instance of :py:class:`aspose.svg.rendering.IPath`.
        
        :returns: An instance of :py:class:`aspose.svg.rendering.IPath` representing the equivalent path.'''
        ...
    
    def get_total_length(self) -> float:
        '''Returns the user agent's computed value for the total length of the path using the user agent's distance-along-a-path algorithm, as a distance in the current user coordinate system.
        
        :returns: The total length of the path.'''
        ...
    
    def get_point_at_length(self, distance : float) -> aspose.svg.datatypes.SVGPoint:
        '''Returns the (x,y) coordinate in user space which is distance units along the path, utilizing the user agent's distance-along-a-path algorithm.
        
        :param distance: The distance along the path, relative to the start of the path, as a distance in the current user coordinate system.
        :returns: The returned point in user space.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def nearest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def farthest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        '''Corresponds to attribute ‘transform’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def path_length(self) -> aspose.svg.datatypes.SVGAnimatedNumber:
        ...
    
    @property
    def cx(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘cx’ on the given ‘circle’ element.'''
        ...
    
    @property
    def cy(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘cy’ on the given ‘circle’ element.'''
        ...
    
    @property
    def r(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘r’ on the given ‘circle’ element.'''
        ...
    
    ...

class SVGClipPathElement(SVGElement):
    '''The SVGClipPathElement interface corresponds to the ‘clipPath’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def clip_path_units(self) -> aspose.svg.datatypes.SVGAnimatedEnumeration:
        ...
    
    @property
    def transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        '''Corresponds to attribute ‘transform’ on the given element.'''
        ...
    
    ...

class SVGComponentTransferFunctionElement(SVGElement):
    '''This interface defines a base interface used by the component transfer function interfaces.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def type(self) -> aspose.svg.datatypes.SVGAnimatedEnumeration:
        '''Corresponds to attribute ‘type’ on the given element. Takes one of the SVG_FECOMPONENTTRANSFER_TYPE_* constants defined on this interface.'''
        ...
    
    @property
    def table_values(self) -> aspose.svg.datatypes.SVGAnimatedNumberList:
        ...
    
    @property
    def slope(self) -> aspose.svg.datatypes.SVGAnimatedNumber:
        '''Corresponds to attribute ‘slope’ on the given element.'''
        ...
    
    @property
    def intercept(self) -> aspose.svg.datatypes.SVGAnimatedNumber:
        '''Corresponds to attribute ‘intercept’ on the given element.'''
        ...
    
    @property
    def amplitude(self) -> aspose.svg.datatypes.SVGAnimatedNumber:
        '''Corresponds to attribute ‘amplitude’ on the given element.'''
        ...
    
    @property
    def exponent(self) -> aspose.svg.datatypes.SVGAnimatedNumber:
        '''Corresponds to attribute ‘exponent’ on the given element.'''
        ...
    
    @property
    def offset(self) -> aspose.svg.datatypes.SVGAnimatedNumber:
        '''Corresponds to attribute ‘offset’ on the given element.'''
        ...
    
    @classmethod
    @property
    def SVG_FECOMPONENTTRANSFER_TYPE_UNKNOWN(cls) -> int:
        '''The type is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.'''
        ...
    
    @classmethod
    @property
    def SVG_FECOMPONENTTRANSFER_TYPE_IDENTITY(cls) -> int:
        '''Corresponds to value 'identity'.'''
        ...
    
    @classmethod
    @property
    def SVG_FECOMPONENTTRANSFER_TYPE_TABLE(cls) -> int:
        '''Corresponds to value 'table'.'''
        ...
    
    @classmethod
    @property
    def SVG_FECOMPONENTTRANSFER_TYPE_DISCRETE(cls) -> int:
        '''Corresponds to value 'discrete'.'''
        ...
    
    @classmethod
    @property
    def SVG_FECOMPONENTTRANSFER_TYPE_LINEAR(cls) -> int:
        '''Corresponds to value 'linear'.'''
        ...
    
    @classmethod
    @property
    def SVG_FECOMPONENTTRANSFER_TYPE_GAMMA(cls) -> int:
        '''Corresponds to value 'gamma'.'''
        ...
    
    ...

class SVGCursorElement(SVGElement):
    '''The SVGCursorElement interface corresponds to the ‘cursor’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def href(self) -> aspose.svg.datatypes.SVGAnimatedString:
        '''Corresponds to attribute ‘xlink:href’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def x(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘x’ on the given ‘cursor’ element.'''
        ...
    
    @property
    def y(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘y’ on the given ‘cursor’ element.'''
        ...
    
    ...

class SVGDefsElement(SVGGraphicsElement):
    '''The SVGDefsElement interface corresponds to the ‘defs’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def get_b_box(self) -> aspose.svg.datatypes.SVGRect:
        '''Returns the tight bounding box in current user space (i.e., after application of the ‘transform’ attribute, if any) on the geometry of all contained graphics elements, exclusive of stroking, clipping, masking and filter effects). Note that getBBox must return the actual bounding box at the time the method was called, even in case the element has not yet been rendered.
        
        :returns: An SVGRect object that defines the bounding box.'''
        ...
    
    def get_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the viewport coordinate system for the nearestViewportElement.
        
        :returns: An SVGMatrix object that defines the CTM.'''
        ...
    
    def get_screen_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the parent user agent's notice of a "pixel". For display devices, ideally this represents a physical screen pixel. For other devices or environments where physical pixel sizes are not known, then an algorithm similar to the CSS2 definition of a "pixel" can be used instead. Note that null is returned if this element is not hooked into the document tree. This method would have been more aptly named as getClientCTM, but the name getScreenCTM is kept for historical reasons.
        
        :returns: An SVGMatrix object that defines the given transformation matrix.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def nearest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def farthest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        '''Corresponds to attribute ‘transform’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    ...

class SVGDescElement(SVGElement):
    '''The SVGDescElement interface corresponds to the ‘desc’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    ...

class SVGDocument(aspose.svg.dom.Document):
    '''An ``SVGDocument`` is the root of the SVG hierarchy and holds the entire content. Besides providing access to the hierarchy, it also provides some convenience methods for accessing certain sets of information from the document.
    When an ‘svg’ element is embedded inline as a component of a document from another namespace, such as when an ‘svg’ element is embedded inline within an XHTML document [XHTML], then an SVGDocument object will not exist; instead, the root object in the document object hierarchy will be a Document object of a different type, such as an HTMLDocument object.
    However, an SVGDocument object will indeed exist when the root element of the XML document hierarchy is an ‘svg’ element, such as when viewing a stand-alone SVG file(i.e., a file with MIME type "image/svg+xml"). In this case, the SVGDocument object will be the root object of the document object model hierarchy.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def navigate(self, address : str):
        '''Loads the document at the specified Uniform Resource Locator (URL) into the current instance, replacing the previous content.
        
        :param address: The document address. It will be combined with the current directory path to form an absolute URL.'''
        ...
    
    @overload
    def navigate(self, url : aspose.svg.Url):
        '''Loads the document at the specified Uniform Resource Locator (URL) into the current instance, replacing the previous content.
        
        :param url: The document URL.'''
        ...
    
    @overload
    def navigate(self, content : str, base_uri : str):
        '''Loads the document from specified content and using baseUri to resolve relative resources, replacing the previous content.
        
        :param content: The document content.
        :param base_uri: The base URI to resolve relative resources. It will be combined with the current directory path to form an absolute URL.'''
        ...
    
    @overload
    def navigate(self, content : str, base_uri : aspose.svg.Url):
        '''Loads the document from specified content and using baseUri to resolve relative resources, replacing the previous content.
        
        :param content: The document content.
        :param base_uri: The base URI to resolve relative resources.'''
        ...
    
    @overload
    def navigate(self, content : io.RawIOBase, base_uri : str):
        '''Loads the document from specified content and using baseUri to resolve relative resources, replacing the previous content.
        Document loading starts from the current position in the stream.
        
        :param content: The document content.
        :param base_uri: The base URI to resolve relative resources. It will be combined with the current directory path to form an absolute URL.'''
        ...
    
    @overload
    def navigate(self, content : io.RawIOBase, base_uri : aspose.svg.Url):
        '''Loads the document from specified content and using baseUri to resolve relative resources, replacing the previous content.
        Document loading starts from the current position in the stream.
        
        :param content: The document content.
        :param base_uri: The base URI to resolve relative resources.'''
        ...
    
    @overload
    def navigate(self, request : aspose.svg.net.RequestMessage):
        '''Loads the document based on specified request object, replacing the previous content.
        
        :param request: The request object that is used to load document content.'''
        ...
    
    @overload
    def create_node_iterator(self, root : aspose.svg.dom.Node) -> aspose.svg.dom.traversal.INodeIterator:
        '''Create a new NodeIterator over the subtree rooted at the
        specified node.
        
        :param root: node which will be iterated together with its children.
        The iterator is initially positioned just before this node. The
        whatToShow flags and the filter, if any, are not
        considered when setting this position. The root must not be
        null.
        :returns: The newly created NodeIterator.'''
        ...
    
    @overload
    def create_node_iterator(self, root : aspose.svg.dom.Node, what_to_show : int) -> aspose.svg.dom.traversal.INodeIterator:
        '''Create a new NodeIterator over the subtree rooted at the
        specified node.
        
        :param root: node which will be iterated together with its children.
        The iterator is initially positioned just before this node. The
        whatToShow flags and the filter, if any, are not
        considered when setting this position. The root must not be
        null.
        :param what_to_show: flag specifies which node types may appear in
        the logical view of the tree presented by the iterator. See the
        description of NodeFilter for the set of possible
        SHOW_ values.These flags can be combined using
        OR.
        :returns: The newly created NodeIterator.'''
        ...
    
    @overload
    def create_node_iterator(self, root : aspose.svg.dom.Node, what_to_show : int, filter : aspose.svg.dom.traversal.INodeFilter) -> aspose.svg.dom.traversal.INodeIterator:
        '''Create a new NodeIterator over the subtree rooted at the
        specified node.
        
        :param root: node which will be iterated together with its children.
        The iterator is initially positioned just before this node. The
        whatToShow flags and the filter, if any, are not
        considered when setting this position. The root must not be
        null.
        :param what_to_show: flag specifies which node types may appear in
        the logical view of the tree presented by the iterator. See the
        description of NodeFilter for the set of possible
        SHOW_ values.These flags can be combined using
        OR.
        :param filter: NodeFilter to be used with this
        TreeWalker, or null to indicate no filter.
        :returns: The newly created NodeIterator.'''
        ...
    
    @overload
    def create_tree_walker(self, root : aspose.svg.dom.Node) -> aspose.svg.dom.traversal.ITreeWalker:
        '''Create a new TreeWalker over the subtree rooted at the
        specified node.
        
        :param root: node which will serve as the root for the
        TreeWalker. The whatToShow flags and the
        NodeFilter are not considered when setting this value;
        any node type will be accepted as the root. The
        currentNode of the TreeWalker is
        initialized to this node, whether or not it is visible. The
        root functions as a stopping point for traversal
        methods that look upward in the document structure, such as
        parentNode and nextNode. The root must
        not be null.
        :returns: The newly created TreeWalker.'''
        ...
    
    @overload
    def create_tree_walker(self, root : aspose.svg.dom.Node, what_to_show : int) -> aspose.svg.dom.traversal.ITreeWalker:
        '''Create a new TreeWalker over the subtree rooted at the
        specified node.
        
        :param root: node which will serve as the root for the
        TreeWalker. The whatToShow flags and the
        NodeFilter are not considered when setting this value;
        any node type will be accepted as the root. The
        currentNode of the TreeWalker is
        initialized to this node, whether or not it is visible. The
        root functions as a stopping point for traversal
        methods that look upward in the document structure, such as
        parentNode and nextNode. The root must
        not be null.
        :param what_to_show: flag specifies which node types may appear in
        the logical view of the tree presented by the tree-walker. See the
        description of NodeFilter for the set of possible
        SHOW_ values.These flags can be combined using OR.
        :returns: The newly created TreeWalker.'''
        ...
    
    @overload
    def create_tree_walker(self, root : aspose.svg.dom.Node, what_to_show : int, filter : aspose.svg.dom.traversal.INodeFilter) -> aspose.svg.dom.traversal.ITreeWalker:
        '''Create a new TreeWalker over the subtree rooted at the
        specified node.
        
        :param root: node which will serve as the root for the
        TreeWalker. The whatToShow flags and the
        NodeFilter are not considered when setting this value;
        any node type will be accepted as the root. The
        currentNode of the TreeWalker is
        initialized to this node, whether or not it is visible. The
        root functions as a stopping point for traversal
        methods that look upward in the document structure, such as
        parentNode and nextNode. The root must
        not be null.
        :param what_to_show: flag specifies which node types may appear in
        the logical view of the tree presented by the tree-walker. See the
        description of NodeFilter for the set of possible
        SHOW_ values.These flags can be combined using OR.
        :param filter: NodeFilter to be used with this
        TreeWalker, or null to indicate no filter.
        :returns: The newly created TreeWalker.'''
        ...
    
    @overload
    def save(self, url : aspose.svg.Url):
        '''Saves the document to local file specified by ``url``. All resources used in this document will be saved in
        to adjacent folder, whose name will be constructed as: output_file_name + "_files".
        
        :param url: Local URL to output file.'''
        ...
    
    @overload
    def save(self, path : str):
        '''Saves the document to local file specified by ``path``. All resources used in this document will be saved in
        to adjacent folder, whose name will be constructed as: output_file_name + "_files".
        
        :param path: Local path to output file.'''
        ...
    
    @overload
    def save(self, resource_handler : aspose.svg.saving.resourcehandlers.ResourceHandler):
        '''Saves the document content and resources using the :py:class:`aspose.svg.saving.resourcehandlers.ResourceHandler`.
        
        :param resource_handler: The resource handler :py:class:`aspose.svg.saving.resourcehandlers.ResourceHandler`.'''
        ...
    
    @overload
    def save(self, path : str, save_format : aspose.svg.saving.SVGSaveFormat):
        '''Saves the document to local file specified by ``path``. All resources used in this document will be saved in
        to adjacent folder, whose name will be constructed as: output_file_name + "_files".
        
        :param path: Local path to output file.
        :param save_format: Format in which document is saved.'''
        ...
    
    @overload
    def save(self, resource_handler : aspose.svg.saving.resourcehandlers.ResourceHandler, save_format : aspose.svg.saving.SVGSaveFormat):
        '''Saves the document content and resources using the :py:class:`aspose.svg.saving.resourcehandlers.ResourceHandler`.
        
        :param resource_handler: The resource handler :py:class:`aspose.svg.saving.resourcehandlers.ResourceHandler`.
        :param save_format: Format in which document is saved.'''
        ...
    
    @overload
    def save(self, path : str, save_options : aspose.svg.saving.SVGSaveOptions):
        '''Saves the document to local file specified by ``path``. All resources used in this document will be saved in
        to adjacent folder, whose name will be constructed as: output_file_name + "_files".
        
        :param path: Local path to output file.
        :param save_options: SVG save options.'''
        ...
    
    @overload
    def save(self, resource_handler : aspose.svg.saving.resourcehandlers.ResourceHandler, save_options : aspose.svg.saving.SVGSaveOptions):
        '''Saves the document content and resources using the :py:class:`aspose.svg.saving.resourcehandlers.ResourceHandler`.
        
        :param resource_handler: The resource handler :py:class:`aspose.svg.saving.resourcehandlers.ResourceHandler`.
        :param save_options: SVG save options.'''
        ...
    
    @overload
    def save(self, url : aspose.svg.Url, save_format : aspose.svg.saving.SVGSaveFormat):
        '''Saves the document to local file specified by ``url``. All resources used in this document will be saved in
        to adjacent folder, whose name will be constructed as: output_file_name + "_files".
        
        :param url: Local URL to output file.
        :param save_format: Format in which document is saved.'''
        ...
    
    @overload
    def save(self, url : aspose.svg.Url, save_options : aspose.svg.saving.SVGSaveOptions):
        '''Saves the document to local file specified by ``url``. All resources used in this document will be saved in
        to adjacent folder, whose name will be constructed as: output_file_name + "_files".
        
        :param url: Local URL to output file.
        :param save_options: SVG save options.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def create_element(self, local_name : str) -> aspose.svg.dom.Element:
        '''Creates an element of the type specified. Note that the instance returned implements the Element interface, so attributes can be specified directly on the returned object.
        
        :param local_name: Name of the tag.
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def create_element_ns(self, namespace_uri : str, qualified_name : str) -> aspose.svg.dom.Element:
        '''Creates an element of the given qualified name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def create_document_fragment(self) -> aspose.svg.dom.DocumentFragment:
        '''Creates an empty DocumentFragment object.
        
        :returns: The :py:class:`aspose.svg.dom.DocumentFragment`.'''
        ...
    
    def create_text_node(self, data : str) -> aspose.svg.dom.Text:
        '''Creates a Text node given the specified string.
        
        :param data: The text data.
        :returns: The :py:class:`aspose.svg.dom.Text`.'''
        ...
    
    def create_comment(self, data : str) -> aspose.svg.dom.Comment:
        '''Creates a Comment node given the specified string.
        
        :param data: The comment data.
        :returns: The :py:class:`aspose.svg.dom.Comment`.'''
        ...
    
    def create_cdata_section(self, data : str) -> aspose.svg.dom.CDATASection:
        '''Creates a CDATASection node whose value is the specified string.
        
        :param data: The CDATA data.
        :returns: The :py:class:`aspose.svg.dom.CDATASection`.'''
        ...
    
    def create_processing_instruction(self, target : str, data : str) -> aspose.svg.dom.ProcessingInstruction:
        '''Creates a ProcessingInstruction node given the specified name and data strings.
        
        :param target: The target.
        :param data: The instruction data.
        :returns: The :py:class:`aspose.svg.dom.ProcessingInstruction`.'''
        ...
    
    def create_attribute(self, local_name : str) -> aspose.svg.dom.Attr:
        '''Creates an Attr of the given name.
        
        :param local_name: The attribute name.
        :returns: The :py:class:`aspose.svg.dom.Attr`.'''
        ...
    
    def create_attribute_ns(self, namespace_uri : str, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Creates an attribute of the given qualified name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :returns: The :py:class:`aspose.svg.dom.Attr`.'''
        ...
    
    def create_entity_reference(self, name : str) -> aspose.svg.dom.EntityReference:
        '''Creates an EntityReference object. In addition, if the referenced entity is known, the child list of the EntityReference node is made the same as that of the corresponding Entity node.
        
        :param name: The entity name.
        :returns: The :py:class:`aspose.svg.dom.EntityReference`.'''
        ...
    
    def create_document_type(self, name : str, public_id : str, system_id : str, internal_subset : str) -> aspose.svg.dom.DocumentType:
        '''Creates a DocumentType node.
        
        :param name: The document type name.
        :param public_id: The public id.
        :param system_id: The system id.
        :param internal_subset: The internal subset.
        :returns: The :py:class:`aspose.svg.dom.DocumentType`.'''
        ...
    
    def get_elements_by_tag_name(self, tagname : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the Elements in document order with a given tag name and are contained in the document.
        
        :param tagname: The tagname.
        :returns: Returns nodes.'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns nodes'''
        ...
    
    def get_element_by_id(self, element_id : str) -> aspose.svg.dom.Element:
        '''Returns the Element that has an ID attribute with the given value. If no such element exists, this returns null. If more than one element has an ID attribute with that value, what is returned is undefined.
        
        :param element_id: The element id.
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The query selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched node.'''
        ...
    
    def import_node(self, imported_node : aspose.svg.dom.Node, deep : bool) -> aspose.svg.dom.Node:
        '''Imports a node from another document to this document, without altering or removing the source node from the original document; this method creates a new copy of the source node.
        
        :param imported_node: The imported node.
        :param deep: if set to ``true`` [deep].
        :returns: The :py:class:`aspose.svg.dom.Node`.'''
        ...
    
    def create_event(self, event_type : str) -> aspose.svg.dom.events.Event:
        '''Creates an :py:class:`aspose.svg.dom.events.Event` of a type supported by the implementation.
        
        :param event_type: The eventType parameter specifies the type of :py:class:`aspose.svg.dom.events.Event` interface to be created.
        :returns: The newly created :py:class:`aspose.svg.dom.events.Event`'''
        ...
    
    def write(self, texts : List[str]):
        '''Write a string of text to a document stream opened by
        open(). Note that the function will produce a document
        which is not necessarily driven by a DTD and therefore might be
        produce an invalid result in the context of the document.
        
        :param texts: The string to be parsed into some structure in the
        document structure model.'''
        ...
    
    def write_ln(self, texts : List[str]):
        '''Write a string of text followed by a newline character to a document
        stream opened by open(). Note that the function will
        produce a document which is not necessarily driven by a DTD and
        therefore might be produce an invalid result in the context of the
        document
        
        :param texts: The string to be parsed into some structure in the
        document structure model.'''
        ...
    
    def create_expression(self, expression : str, resolver : aspose.svg.dom.xpath.IXPathNSResolver) -> aspose.svg.dom.xpath.IXPathExpression:
        '''Creates a parsed XPath expression with resolved namespaces. This is useful
        when an expression will be reused in an application since it makes it possible
        to compile the expression string into a more efficient internal form and
        preresolve all namespace prefixes which occur within the expression.
        
        :param expression: The XPath expression string to be parsed.
        :param resolver: The ``resolver`` permits translation of all prefixes,
        including the ``xml`` namespace prefix, within the XPath expression into
        appropriate namespace URIs. If this is specified as ``null``, any namespace
        prefix within the expression will result in :py:class:`aspose.svg.dom.DOMException` being
        thrown with the code ``NAMESPACE_ERR``.
        :returns: The compiled form of the XPath expression.'''
        ...
    
    def create_ns_resolver(self, node_resolver : aspose.svg.dom.Node) -> aspose.svg.dom.xpath.IXPathNSResolver:
        '''Adapts any DOM node to resolve namespaces so that an XPath expression can be easily evaluated
        relative to the context of the node where it appeared within the document. This adapter works
        like the DOM Level 3 method ``lookupNamespaceURI`` on nodes in resolving the namespaceURI
        from a given prefix using the current information available in the node's hierarchy at the time
        lookupNamespaceURI is called, also correctly resolving the implicit xml prefix.
        
        :param node_resolver: The node to be used as a context for namespace resolution.
        :returns: :py:class:`aspose.svg.dom.xpath.IXPathNSResolver` which resolves namespaces with respect to the definitions in scope for a specified node.'''
        ...
    
    def evaluate(self, expression : str, context_node : aspose.svg.dom.Node, resolver : aspose.svg.dom.xpath.IXPathNSResolver, type : aspose.svg.dom.xpath.XPathResultType, result : any) -> aspose.svg.dom.xpath.IXPathResult:
        '''Evaluates an XPath expression string and returns a result of the specified type if possible.
        
        :param expression: The XPath expression string to be parsed and evaluated.
        :param context_node: The context is context node for the evaluation of this XPath expression.
        :param resolver: The resolver permits translation of all prefixes, including the xml
        namespace prefix, within the XPath expression into appropriate namespace URIs.
        :param type: If a specific type is specified, then the result will be returned as the corresponding type.
        :param result: The result specifies a specific result object which may be reused and returned by this method.
        :returns: The result of the evaluation of the XPath expression.'''
        ...
    
    def render_to(self, device : aspose.svg.rendering.IDevice):
        '''This method is used to print the contents of the current document to the specified device.
        
        :param device: The user device.'''
        ...
    
    def get_override_style(self, elt : aspose.svg.dom.Element, pseudo_elt : str) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''This method is used to retrieve the override style declaration for a specified element and a specified pseudo-element.
        
        :param elt: The element whose style is to be modified. This parameter cannot be null.
        :param pseudo_elt: The pseudo-element or null if none.
        :returns: The override style declaration'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def context(self) -> aspose.svg.dom.IBrowsingContext:
        '''Gets the current browsing context.'''
        ...
    
    @property
    def implementation(self) -> aspose.svg.dom.IDOMImplementation:
        '''The DOMImplementation object that handles this document.'''
        ...
    
    @property
    def location(self) -> aspose.svg.window.Location:
        '''The location of the document.'''
        ...
    
    @property
    def document_uri(self) -> str:
        ...
    
    @property
    def origin(self) -> str:
        '''Gets the document origin.'''
        ...
    
    @property
    def character_set(self) -> str:
        ...
    
    @property
    def charset(self) -> str:
        '''Gets the document's encoding.'''
        ...
    
    @property
    def input_encoding(self) -> str:
        ...
    
    @property
    def content_type(self) -> str:
        ...
    
    @property
    def ready_state(self) -> str:
        ...
    
    @property
    def doctype(self) -> aspose.svg.dom.DocumentType:
        '''The Document Type Declaration associated with this document.'''
        ...
    
    @property
    def document_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements.'''
        ...
    
    @property
    def xml_standalone(self) -> bool:
        ...
    
    @xml_standalone.setter
    def xml_standalone(self, value : bool):
        ...
    
    @property
    def xml_version(self) -> str:
        ...
    
    @xml_version.setter
    def xml_version(self, value : str):
        ...
    
    @property
    def strict_error_checking(self) -> bool:
        ...
    
    @strict_error_checking.setter
    def strict_error_checking(self, value : bool):
        ...
    
    @property
    def default_view(self) -> aspose.svg.window.IWindow:
        ...
    
    @property
    def style_sheets(self) -> aspose.svg.dom.css.IStyleSheetList:
        ...
    
    @property
    def title(self) -> str:
        '''The title of a document as specified by the ‘title’ sub-element of the ‘svg’ root element (i.e., )'''
        ...
    
    @property
    def referrer(self) -> str:
        '''Returns the URI of the page that linked to this page. The value is an empty string if the user navigated to the page directly (not through a link, but, for example, via a bookmark).'''
        ...
    
    @property
    def domain(self) -> str:
        '''The domain name of the server that served the document, or a null string if the server cannot be identified by a domain name.'''
        ...
    
    @property
    def url(self) -> str:
        '''The complete URI of the document.'''
        ...
    
    @property
    def root_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    ...

class SVGElement(aspose.svg.dom.Element):
    '''All of the SVG DOM interfaces that correspond directly to elements in the SVG language (such as the SVGPathElement interface for the ‘path’ element) derive from the SVGElement interface.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    ...

class SVGElementInstance(aspose.svg.dom.ShadowRoot):
    '''The root object of each use-element shadow tree implements the SVGUseElementShadowRoot interface. This interface does not currently define any extensions to the properties and methods defined for the ShadowRoot interface and DocumentOrShadowRoot mixin. However, the tree rooted at this node is entirely read-only from the perspective of author scripts.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def mode(self) -> aspose.svg.dom.ShadowRootMode:
        '''Mode in which this ShadowRoot operates.'''
        ...
    
    @property
    def host(self) -> aspose.svg.dom.Element:
        '''Host is an element which contains this ShadowRoot.'''
        ...
    
    ...

class SVGEllipseElement(SVGGeometryElement):
    '''The SVGEllipseElement interface corresponds to the ‘ellipse’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def get_b_box(self) -> aspose.svg.datatypes.SVGRect:
        '''Returns the tight bounding box in current user space (i.e., after application of the ‘transform’ attribute, if any) on the geometry of all contained graphics elements, exclusive of stroking, clipping, masking and filter effects). Note that getBBox must return the actual bounding box at the time the method was called, even in case the element has not yet been rendered.
        
        :returns: An SVGRect object that defines the bounding box.'''
        ...
    
    def get_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the viewport coordinate system for the nearestViewportElement.
        
        :returns: An SVGMatrix object that defines the CTM.'''
        ...
    
    def get_screen_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the parent user agent's notice of a "pixel". For display devices, ideally this represents a physical screen pixel. For other devices or environments where physical pixel sizes are not known, then an algorithm similar to the CSS2 definition of a "pixel" can be used instead. Note that null is returned if this element is not hooked into the document tree. This method would have been more aptly named as getClientCTM, but the name getScreenCTM is kept for historical reasons.
        
        :returns: An SVGMatrix object that defines the given transformation matrix.'''
        ...
    
    def get_equivalent_path(self) -> aspose.svg.paths.SVGPathSegList:
        '''Returns a new instance instance of the :py:class:`aspose.svg.paths.SVGPathSegList` which represents :py:class:`aspose.svg.SVGGeometryElement` as path segments.
        
        :returns: A new instance instance of the :py:class:`aspose.svg.paths.SVGPathSegList`.'''
        ...
    
    def get_equivalent_path_as_i_path(self) -> aspose.svg.rendering.IPath:
        '''Returns the equivalent path as an instance of :py:class:`aspose.svg.rendering.IPath`.
        
        :returns: An instance of :py:class:`aspose.svg.rendering.IPath` representing the equivalent path.'''
        ...
    
    def get_total_length(self) -> float:
        '''Returns the user agent's computed value for the total length of the path using the user agent's distance-along-a-path algorithm, as a distance in the current user coordinate system.
        
        :returns: The total length of the path.'''
        ...
    
    def get_point_at_length(self, distance : float) -> aspose.svg.datatypes.SVGPoint:
        '''Returns the (x,y) coordinate in user space which is distance units along the path, utilizing the user agent's distance-along-a-path algorithm.
        
        :param distance: The distance along the path, relative to the start of the path, as a distance in the current user coordinate system.
        :returns: The returned point in user space.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def nearest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def farthest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        '''Corresponds to attribute ‘transform’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def path_length(self) -> aspose.svg.datatypes.SVGAnimatedNumber:
        ...
    
    @property
    def cx(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘cx’ on the given ‘circle’ element.'''
        ...
    
    @property
    def cy(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘cy’ on the given ‘circle’ element.'''
        ...
    
    @property
    def rx(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘cx’ on the given ‘circle’ element.'''
        ...
    
    @property
    def ry(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘ry’ on the given ‘circle’ element.'''
        ...
    
    ...

class SVGException(PlatformException):
    '''This exception is raised when a specific SVG operation is impossible to perform.'''
    
    @property
    def code(self) -> int:
        '''A code identifying the reason why the requested operation could not be performed. The value of this member will be one of the constants in the SVGException code group.'''
        ...
    
    @classmethod
    @property
    def SVG_WRONG_TYPE_ERR(cls) -> int:
        '''Raised when an object of the wrong type is passed to an operation.'''
        ...
    
    @classmethod
    @property
    def SVG_INVALID_VALUE_ERR(cls) -> int:
        '''Raised when an invalid value is passed to an operation or assigned to an attribute.'''
        ...
    
    @classmethod
    @property
    def SVG_MATRIX_NOT_INVERTABLE(cls) -> int:
        '''Raised when an attempt is made to invert a matrix that is not invertible.'''
        ...
    
    ...

class SVGFilterElement(SVGElement):
    '''The SVGFilterElement interface corresponds to the ‘filter’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def href(self) -> aspose.svg.datatypes.SVGAnimatedString:
        '''Corresponds to attribute ‘xlink:href’ on the given element.'''
        ...
    
    @property
    def filter_units(self) -> aspose.svg.datatypes.SVGAnimatedEnumeration:
        ...
    
    @property
    def primitive_units(self) -> aspose.svg.datatypes.SVGAnimatedEnumeration:
        ...
    
    @property
    def x(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘x’ on the given ‘filter’ element.'''
        ...
    
    @property
    def y(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘y’ on the given ‘filter’ element.'''
        ...
    
    @property
    def width(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘width’ on the given ‘filter’ element.'''
        ...
    
    @property
    def height(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘height’ on the given ‘filter’ element.'''
        ...
    
    ...

class SVGForeignObjectElement(SVGGraphicsElement):
    '''The SVGForeignObjectElement interface corresponds to the ‘foreignObject’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def get_b_box(self) -> aspose.svg.datatypes.SVGRect:
        '''Returns the tight bounding box in current user space (i.e., after application of the ‘transform’ attribute, if any) on the geometry of all contained graphics elements, exclusive of stroking, clipping, masking and filter effects). Note that getBBox must return the actual bounding box at the time the method was called, even in case the element has not yet been rendered.
        
        :returns: An SVGRect object that defines the bounding box.'''
        ...
    
    def get_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the viewport coordinate system for the nearestViewportElement.
        
        :returns: An SVGMatrix object that defines the CTM.'''
        ...
    
    def get_screen_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the parent user agent's notice of a "pixel". For display devices, ideally this represents a physical screen pixel. For other devices or environments where physical pixel sizes are not known, then an algorithm similar to the CSS2 definition of a "pixel" can be used instead. Note that null is returned if this element is not hooked into the document tree. This method would have been more aptly named as getClientCTM, but the name getScreenCTM is kept for historical reasons.
        
        :returns: An SVGMatrix object that defines the given transformation matrix.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def nearest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def farthest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        '''Corresponds to attribute ‘transform’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def x(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘x’ on the given ‘foreignObject’ element.'''
        ...
    
    @property
    def y(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘y’ on the given ‘foreignObject’ element.'''
        ...
    
    @property
    def width(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘width’ on the given ‘foreignObject’ element.'''
        ...
    
    @property
    def height(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘height’ on the given ‘foreignObject’ element.'''
        ...
    
    ...

class SVGGElement(SVGGraphicsElement):
    '''The SVGGElement interface corresponds to the ‘g’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def get_b_box(self) -> aspose.svg.datatypes.SVGRect:
        '''Returns the tight bounding box in current user space (i.e., after application of the ‘transform’ attribute, if any) on the geometry of all contained graphics elements, exclusive of stroking, clipping, masking and filter effects). Note that getBBox must return the actual bounding box at the time the method was called, even in case the element has not yet been rendered.
        
        :returns: An SVGRect object that defines the bounding box.'''
        ...
    
    def get_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the viewport coordinate system for the nearestViewportElement.
        
        :returns: An SVGMatrix object that defines the CTM.'''
        ...
    
    def get_screen_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the parent user agent's notice of a "pixel". For display devices, ideally this represents a physical screen pixel. For other devices or environments where physical pixel sizes are not known, then an algorithm similar to the CSS2 definition of a "pixel" can be used instead. Note that null is returned if this element is not hooked into the document tree. This method would have been more aptly named as getClientCTM, but the name getScreenCTM is kept for historical reasons.
        
        :returns: An SVGMatrix object that defines the given transformation matrix.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def nearest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def farthest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        '''Corresponds to attribute ‘transform’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    ...

class SVGGeometryElement(SVGGraphicsElement):
    '''Interface SVGGeometryElement represents SVG elements whose rendering is defined by geometry with an equivalent path, and which can be filled and stroked. This includes paths and the basic shapes.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def get_b_box(self) -> aspose.svg.datatypes.SVGRect:
        '''Returns the tight bounding box in current user space (i.e., after application of the ‘transform’ attribute, if any) on the geometry of all contained graphics elements, exclusive of stroking, clipping, masking and filter effects). Note that getBBox must return the actual bounding box at the time the method was called, even in case the element has not yet been rendered.
        
        :returns: An SVGRect object that defines the bounding box.'''
        ...
    
    def get_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the viewport coordinate system for the nearestViewportElement.
        
        :returns: An SVGMatrix object that defines the CTM.'''
        ...
    
    def get_screen_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the parent user agent's notice of a "pixel". For display devices, ideally this represents a physical screen pixel. For other devices or environments where physical pixel sizes are not known, then an algorithm similar to the CSS2 definition of a "pixel" can be used instead. Note that null is returned if this element is not hooked into the document tree. This method would have been more aptly named as getClientCTM, but the name getScreenCTM is kept for historical reasons.
        
        :returns: An SVGMatrix object that defines the given transformation matrix.'''
        ...
    
    def get_equivalent_path(self) -> aspose.svg.paths.SVGPathSegList:
        '''Returns a new instance instance of the :py:class:`aspose.svg.paths.SVGPathSegList` which represents :py:class:`aspose.svg.SVGGeometryElement` as path segments.
        
        :returns: A new instance instance of the :py:class:`aspose.svg.paths.SVGPathSegList`.'''
        ...
    
    def get_equivalent_path_as_i_path(self) -> aspose.svg.rendering.IPath:
        '''Returns the equivalent path as an instance of :py:class:`aspose.svg.rendering.IPath`.
        
        :returns: An instance of :py:class:`aspose.svg.rendering.IPath` representing the equivalent path.'''
        ...
    
    def get_total_length(self) -> float:
        '''Returns the user agent's computed value for the total length of the path using the user agent's distance-along-a-path algorithm, as a distance in the current user coordinate system.
        
        :returns: The total length of the path.'''
        ...
    
    def get_point_at_length(self, distance : float) -> aspose.svg.datatypes.SVGPoint:
        '''Returns the (x,y) coordinate in user space which is distance units along the path, utilizing the user agent's distance-along-a-path algorithm.
        
        :param distance: The distance along the path, relative to the start of the path, as a distance in the current user coordinate system.
        :returns: The returned point in user space.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def nearest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def farthest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        '''Corresponds to attribute ‘transform’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def path_length(self) -> aspose.svg.datatypes.SVGAnimatedNumber:
        ...
    
    ...

class SVGGradientElement(SVGElement):
    '''The SVGGradientElement interface is a base interface used by SVGLinearGradientElement and SVGRadialGradientElement.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def href(self) -> aspose.svg.datatypes.SVGAnimatedString:
        '''Corresponds to attribute ‘xlink:href’ on the given element.'''
        ...
    
    @property
    def gradient_units(self) -> aspose.svg.datatypes.SVGAnimatedEnumeration:
        ...
    
    @property
    def gradient_transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        ...
    
    @property
    def spread_method(self) -> aspose.svg.datatypes.SVGAnimatedEnumeration:
        ...
    
    @classmethod
    @property
    def SVG_SPREADMETHOD_UNKNOWN(cls) -> int:
        '''The type is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.'''
        ...
    
    @classmethod
    @property
    def SVG_SPREADMETHOD_PAD(cls) -> int:
        '''Corresponds to value 'pad'.'''
        ...
    
    @classmethod
    @property
    def SVG_SPREADMETHOD_REFLECT(cls) -> int:
        '''Corresponds to value 'reflect'.'''
        ...
    
    @classmethod
    @property
    def SVG_SPREADMETHOD_REPEAT(cls) -> int:
        '''Corresponds to value 'repeat'.'''
        ...
    
    ...

class SVGGraphicsElement(SVGElement):
    '''The SVGGraphicsElement interface represents SVG elements whose primary purpose is to directly render graphics into a group.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def get_b_box(self) -> aspose.svg.datatypes.SVGRect:
        '''Returns the tight bounding box in current user space (i.e., after application of the ‘transform’ attribute, if any) on the geometry of all contained graphics elements, exclusive of stroking, clipping, masking and filter effects). Note that getBBox must return the actual bounding box at the time the method was called, even in case the element has not yet been rendered.
        
        :returns: An SVGRect object that defines the bounding box.'''
        ...
    
    def get_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the viewport coordinate system for the nearestViewportElement.
        
        :returns: An SVGMatrix object that defines the CTM.'''
        ...
    
    def get_screen_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the parent user agent's notice of a "pixel". For display devices, ideally this represents a physical screen pixel. For other devices or environments where physical pixel sizes are not known, then an algorithm similar to the CSS2 definition of a "pixel" can be used instead. Note that null is returned if this element is not hooked into the document tree. This method would have been more aptly named as getClientCTM, but the name getScreenCTM is kept for historical reasons.
        
        :returns: An SVGMatrix object that defines the given transformation matrix.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def nearest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def farthest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        '''Corresponds to attribute ‘transform’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    ...

class SVGImageElement(SVGGraphicsElement):
    '''The SVGImageElement interface corresponds to the ‘image’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def get_b_box(self) -> aspose.svg.datatypes.SVGRect:
        '''Returns the tight bounding box in current user space (i.e., after application of the ‘transform’ attribute, if any) on the geometry of all contained graphics elements, exclusive of stroking, clipping, masking and filter effects). Note that getBBox must return the actual bounding box at the time the method was called, even in case the element has not yet been rendered.
        
        :returns: An SVGRect object that defines the bounding box.'''
        ...
    
    def get_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the viewport coordinate system for the nearestViewportElement.
        
        :returns: An SVGMatrix object that defines the CTM.'''
        ...
    
    def get_screen_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the parent user agent's notice of a "pixel". For display devices, ideally this represents a physical screen pixel. For other devices or environments where physical pixel sizes are not known, then an algorithm similar to the CSS2 definition of a "pixel" can be used instead. Note that null is returned if this element is not hooked into the document tree. This method would have been more aptly named as getClientCTM, but the name getScreenCTM is kept for historical reasons.
        
        :returns: An SVGMatrix object that defines the given transformation matrix.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def nearest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def farthest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        '''Corresponds to attribute ‘transform’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def x(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘x’ on the given ‘image’ element.'''
        ...
    
    @property
    def y(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘y’ on the given ‘image’ element.'''
        ...
    
    @property
    def width(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘width’ on the given ‘image’ element.'''
        ...
    
    @property
    def height(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘height’ on the given ‘image’ element.'''
        ...
    
    @property
    def preserve_aspect_ratio(self) -> aspose.svg.datatypes.SVGAnimatedPreserveAspectRatio:
        ...
    
    @property
    def href(self) -> aspose.svg.datatypes.SVGAnimatedString:
        '''Corresponds to attribute ‘xlink:href’ on the given element.'''
        ...
    
    ...

class SVGLineElement(SVGGeometryElement):
    '''The SVGLineElement interface corresponds to the ‘line’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def get_b_box(self) -> aspose.svg.datatypes.SVGRect:
        '''Returns the tight bounding box in current user space (i.e., after application of the ‘transform’ attribute, if any) on the geometry of all contained graphics elements, exclusive of stroking, clipping, masking and filter effects). Note that getBBox must return the actual bounding box at the time the method was called, even in case the element has not yet been rendered.
        
        :returns: An SVGRect object that defines the bounding box.'''
        ...
    
    def get_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the viewport coordinate system for the nearestViewportElement.
        
        :returns: An SVGMatrix object that defines the CTM.'''
        ...
    
    def get_screen_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the parent user agent's notice of a "pixel". For display devices, ideally this represents a physical screen pixel. For other devices or environments where physical pixel sizes are not known, then an algorithm similar to the CSS2 definition of a "pixel" can be used instead. Note that null is returned if this element is not hooked into the document tree. This method would have been more aptly named as getClientCTM, but the name getScreenCTM is kept for historical reasons.
        
        :returns: An SVGMatrix object that defines the given transformation matrix.'''
        ...
    
    def get_equivalent_path(self) -> aspose.svg.paths.SVGPathSegList:
        '''Returns a new instance instance of the :py:class:`aspose.svg.paths.SVGPathSegList` which represents :py:class:`aspose.svg.SVGGeometryElement` as path segments.
        
        :returns: A new instance instance of the :py:class:`aspose.svg.paths.SVGPathSegList`.'''
        ...
    
    def get_equivalent_path_as_i_path(self) -> aspose.svg.rendering.IPath:
        '''Returns the equivalent path as an instance of :py:class:`aspose.svg.rendering.IPath`.
        
        :returns: An instance of :py:class:`aspose.svg.rendering.IPath` representing the equivalent path.'''
        ...
    
    def get_total_length(self) -> float:
        '''Returns the user agent's computed value for the total length of the path using the user agent's distance-along-a-path algorithm, as a distance in the current user coordinate system.
        
        :returns: The total length of the path.'''
        ...
    
    def get_point_at_length(self, distance : float) -> aspose.svg.datatypes.SVGPoint:
        '''Returns the (x,y) coordinate in user space which is distance units along the path, utilizing the user agent's distance-along-a-path algorithm.
        
        :param distance: The distance along the path, relative to the start of the path, as a distance in the current user coordinate system.
        :returns: The returned point in user space.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def nearest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def farthest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        '''Corresponds to attribute ‘transform’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def path_length(self) -> aspose.svg.datatypes.SVGAnimatedNumber:
        ...
    
    @property
    def x1(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘x1’ on the given ‘line’ element.'''
        ...
    
    @property
    def y1(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘y1’ on the given ‘line’ element.'''
        ...
    
    @property
    def x2(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘x2’ on the given ‘line’ element.'''
        ...
    
    @property
    def y2(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘y2’ on the given ‘line’ element.'''
        ...
    
    ...

class SVGLinearGradientElement(SVGGradientElement):
    '''The SVGLinearGradientElement interface corresponds to the ‘linearGradient’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def href(self) -> aspose.svg.datatypes.SVGAnimatedString:
        '''Corresponds to attribute ‘xlink:href’ on the given element.'''
        ...
    
    @property
    def gradient_units(self) -> aspose.svg.datatypes.SVGAnimatedEnumeration:
        ...
    
    @property
    def gradient_transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        ...
    
    @property
    def spread_method(self) -> aspose.svg.datatypes.SVGAnimatedEnumeration:
        ...
    
    @classmethod
    @property
    def SVG_SPREADMETHOD_UNKNOWN(cls) -> int:
        '''The type is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.'''
        ...
    
    @classmethod
    @property
    def SVG_SPREADMETHOD_PAD(cls) -> int:
        '''Corresponds to value 'pad'.'''
        ...
    
    @classmethod
    @property
    def SVG_SPREADMETHOD_REFLECT(cls) -> int:
        '''Corresponds to value 'reflect'.'''
        ...
    
    @classmethod
    @property
    def SVG_SPREADMETHOD_REPEAT(cls) -> int:
        '''Corresponds to value 'repeat'.'''
        ...
    
    @property
    def x1(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘x1’ on the given ‘linearGradient’ element.'''
        ...
    
    @property
    def y1(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘y1’ on the given ‘linearGradient’ element.'''
        ...
    
    @property
    def x2(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘x2’ on the given ‘linearGradient’ element.'''
        ...
    
    @property
    def y2(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘y2’ on the given ‘linearGradient’ element.'''
        ...
    
    ...

class SVGMPathElement(SVGElement):
    '''The SVGMPathElement interface corresponds to the ‘mpath’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def href(self) -> aspose.svg.datatypes.SVGAnimatedString:
        '''Corresponds to attribute ‘xlink:href’ on the given element.'''
        ...
    
    ...

class SVGMarkerElement(SVGElement):
    '''The SVGMarkerElement interface corresponds to the ‘marker’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def set_orient_to_auto(self):
        '''Sets the value of attribute ‘orient’ to 'auto'.'''
        ...
    
    def set_orient_to_angle(self, angle : aspose.svg.datatypes.SVGAngle):
        '''Sets the value of attribute ‘orient’ to the given angle.
        
        :param angle: The angle value to use for attribute ‘orient’.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def view_box(self) -> aspose.svg.datatypes.SVGAnimatedRect:
        ...
    
    @property
    def preserve_aspect_ratio(self) -> aspose.svg.datatypes.SVGAnimatedPreserveAspectRatio:
        ...
    
    @property
    def ref_x(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        ...
    
    @property
    def ref_y(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        ...
    
    @property
    def marker_units(self) -> aspose.svg.datatypes.SVGAnimatedEnumeration:
        ...
    
    @property
    def marker_width(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        ...
    
    @property
    def marker_height(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        ...
    
    @property
    def orient_type(self) -> aspose.svg.datatypes.SVGAnimatedEnumeration:
        ...
    
    @property
    def orient_angle(self) -> aspose.svg.datatypes.SVGAnimatedAngle:
        ...
    
    @classmethod
    @property
    def SVG_MARKERUNITS_UNKNOWN(cls) -> int:
        '''The marker unit type is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.'''
        ...
    
    @classmethod
    @property
    def SVG_MARKERUNITS_USERSPACEONUSE(cls) -> int:
        '''The value of attribute ‘markerUnits’ is 'userSpaceOnUse'.'''
        ...
    
    @classmethod
    @property
    def SVG_MARKERUNITS_STROKEWIDTH(cls) -> int:
        '''The value of attribute ‘markerUnits’ is 'strokeWidth'.'''
        ...
    
    @classmethod
    @property
    def SVG_MARKER_ORIENT_UNKNOWN(cls) -> int:
        '''The marker orientation is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.'''
        ...
    
    @classmethod
    @property
    def SVG_MARKER_ORIENT_AUTO(cls) -> int:
        '''Attribute ‘orient’ has value 'auto'.'''
        ...
    
    @classmethod
    @property
    def SVG_MARKER_ORIENT_ANGLE(cls) -> int:
        '''Attribute ‘orient’ has an angle value.'''
        ...
    
    ...

class SVGMaskElement(SVGElement):
    '''The SVGMaskElement interface corresponds to the ‘mask’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def mask_units(self) -> aspose.svg.datatypes.SVGAnimatedEnumeration:
        ...
    
    @property
    def mask_content_units(self) -> aspose.svg.datatypes.SVGAnimatedEnumeration:
        ...
    
    @property
    def x(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘x’ on the given ‘mask’ element. Takes one of the constants defined in SVGUnitTypes.'''
        ...
    
    @property
    def y(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘y’ on the given ‘mask’ element. Takes one of the constants defined in SVGUnitTypes.'''
        ...
    
    @property
    def width(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘width’ on the given ‘mask’ element. Takes one of the constants defined in SVGUnitTypes.'''
        ...
    
    @property
    def height(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘height’ on the given ‘mask’ element. Takes one of the constants defined in SVGUnitTypes.'''
        ...
    
    ...

class SVGMetadataElement(SVGElement):
    '''The SVGMetadataElement interface corresponds to the ‘metadata’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    ...

class SVGPathElement(SVGGeometryElement):
    '''The SVGPathElement interface corresponds to the ‘path’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def get_b_box(self) -> aspose.svg.datatypes.SVGRect:
        '''Returns the tight bounding box in current user space (i.e., after application of the ‘transform’ attribute, if any) on the geometry of all contained graphics elements, exclusive of stroking, clipping, masking and filter effects). Note that getBBox must return the actual bounding box at the time the method was called, even in case the element has not yet been rendered.
        
        :returns: An SVGRect object that defines the bounding box.'''
        ...
    
    def get_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the viewport coordinate system for the nearestViewportElement.
        
        :returns: An SVGMatrix object that defines the CTM.'''
        ...
    
    def get_screen_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the parent user agent's notice of a "pixel". For display devices, ideally this represents a physical screen pixel. For other devices or environments where physical pixel sizes are not known, then an algorithm similar to the CSS2 definition of a "pixel" can be used instead. Note that null is returned if this element is not hooked into the document tree. This method would have been more aptly named as getClientCTM, but the name getScreenCTM is kept for historical reasons.
        
        :returns: An SVGMatrix object that defines the given transformation matrix.'''
        ...
    
    def get_equivalent_path(self) -> aspose.svg.paths.SVGPathSegList:
        '''Returns a new instance instance of the :py:class:`aspose.svg.paths.SVGPathSegList` which represents :py:class:`aspose.svg.SVGGeometryElement` as path segments.
        
        :returns: A new instance instance of the :py:class:`aspose.svg.paths.SVGPathSegList`.'''
        ...
    
    def get_equivalent_path_as_i_path(self) -> aspose.svg.rendering.IPath:
        '''Returns the equivalent path as an instance of :py:class:`aspose.svg.rendering.IPath`.
        
        :returns: An instance of :py:class:`aspose.svg.rendering.IPath` representing the equivalent path.'''
        ...
    
    def get_total_length(self) -> float:
        '''Returns the user agent's computed value for the total length of the path using the user agent's distance-along-a-path algorithm, as a distance in the current user coordinate system.
        
        :returns: The total length of the path.'''
        ...
    
    def get_point_at_length(self, distance : float) -> aspose.svg.datatypes.SVGPoint:
        '''Returns the (x,y) coordinate in user space which is distance units along the path, utilizing the user agent's distance-along-a-path algorithm.
        
        :param distance: The distance along the path, relative to the start of the path, as a distance in the current user coordinate system.
        :returns: The returned point in user space.'''
        ...
    
    def create_svg_path_seg_close_path(self) -> aspose.svg.paths.SVGPathSegClosePath:
        '''Returns a stand-alone, parentless SVGPathSegClosePath object.
        
        :returns: A stand-alone, parentless SVGPathSegClosePath object.'''
        ...
    
    def create_svg_path_seg_moveto_abs(self, x : float, y : float) -> aspose.svg.paths.SVGPathSegMovetoAbs:
        '''Returns a stand-alone, parentless SVGPathSegMovetoAbs object.
        
        :param x: The absolute X coordinate for the end point of this path segment.
        :param y: The absolute Y coordinate for the end point of this path segment.
        :returns: A stand-alone, parentless SVGPathSegMovetoAbs object.'''
        ...
    
    def create_svg_path_seg_moveto_rel(self, x : float, y : float) -> aspose.svg.paths.SVGPathSegMovetoRel:
        '''Returns a stand-alone, parentless SVGPathSegMovetoRel object.
        
        :param x: The relative X coordinate for the end point of this path segment.
        :param y: The relative Y coordinate for the end point of this path segment.
        :returns: A stand-alone, parentless SVGPathSegMovetoRel object.'''
        ...
    
    def create_svg_path_seg_lineto_abs(self, x : float, y : float) -> aspose.svg.paths.SVGPathSegLinetoAbs:
        '''Returns a stand-alone, parentless SVGPathSegLinetoAbs object.
        
        :param x: The absolute X coordinate for the end point of this path segment.
        :param y: The absolute Y coordinate for the end point of this path segment.
        :returns: A stand-alone, parentless SVGPathSegLinetoAbs object.'''
        ...
    
    def create_svg_path_seg_lineto_rel(self, x : float, y : float) -> aspose.svg.paths.SVGPathSegLinetoRel:
        '''Returns a stand-alone, parentless SVGPathSegLinetoRel object.
        
        :param x: The relative X coordinate for the end point of this path segment.
        :param y: The relative Y coordinate for the end point of this path segment.
        :returns: A stand-alone, parentless SVGPathSegLinetoRel object.'''
        ...
    
    def create_svg_path_seg_curveto_cubic_abs(self, x : float, y : float, x1 : float, y1 : float, x2 : float, y2 : float) -> aspose.svg.paths.SVGPathSegCurvetoCubicAbs:
        '''Returns a stand-alone, parentless SVGPathSegCurvetoCubicAbs object.
        
        :param x: The absolute X coordinate for the end point of this path segment.
        :param y: The absolute Y coordinate for the end point of this path segment.
        :param x1: The absolute X coordinate for the first control point.
        :param y1: The absolute Y coordinate for the first control point.
        :param x2: The absolute X coordinate for the second control point.
        :param y2: The absolute Y coordinate for the second control point.
        :returns: A stand-alone, parentless SVGPathSegCurvetoCubicAbs object.'''
        ...
    
    def create_svg_path_seg_curveto_cubic_rel(self, x : float, y : float, x1 : float, y1 : float, x2 : float, y2 : float) -> aspose.svg.paths.SVGPathSegCurvetoCubicRel:
        '''Returns a stand-alone, parentless SVGPathSegCurvetoCubicRel object.
        
        :param x: The relative X coordinate for the end point of this path segment.
        :param y: The relative Y coordinate for the end point of this path segment.
        :param x1: The relative X coordinate for the first control point.
        :param y1: The relative Y coordinate for the first control point.
        :param x2: The relative X coordinate for the second control point.
        :param y2: The relative Y coordinate for the second control point.
        :returns: A stand-alone, parentless SVGPathSegCurvetoCubicRel object.'''
        ...
    
    def create_svg_path_seg_curveto_quadratic_abs(self, x : float, y : float, x1 : float, y1 : float) -> aspose.svg.paths.SVGPathSegCurvetoQuadraticAbs:
        '''Returns a stand-alone, parentless SVGPathSegCurvetoQuadraticAbs object.
        
        :param x: The absolute X coordinate for the end point of this path segment.
        :param y: The absolute Y coordinate for the end point of this path segment.
        :param x1: The absolute X coordinate for the first control point.
        :param y1: The absolute Y coordinate for the first control point.
        :returns: A stand-alone, parentless SVGPathSegCurvetoQuadraticAbs object.'''
        ...
    
    def create_svg_path_seg_curveto_quadratic_rel(self, x : float, y : float, x1 : float, y1 : float) -> aspose.svg.paths.SVGPathSegCurvetoQuadraticRel:
        '''Returns a stand-alone, parentless SVGPathSegCurvetoQuadraticRel object.
        
        :param x: The relative X coordinate for the end point of this path segment.
        :param y: The relative Y coordinate for the end point of this path segment.
        :param x1: The relative X coordinate for the first control point.
        :param y1: The relative Y coordinate for the first control point.
        :returns: A stand-alone, parentless SVGPathSegCurvetoQuadraticRel object.'''
        ...
    
    def create_svg_path_seg_arc_abs(self, x : float, y : float, r1 : float, r2 : float, angle : float, large_arc_flag : bool, sweep_flag : bool) -> aspose.svg.paths.SVGPathSegArcAbs:
        '''Returns a stand-alone, parentless SVGPathSegArcAbs object.
        
        :param x: The absolute X coordinate for the end point of this path segment.
        :param y: The absolute Y coordinate for the end point of this path segment.
        :param r1: The x-axis radius for the ellipse (i.e., r1).
        :param r2: The y-axis radius for the ellipse (i.e., r2).
        :param angle: The rotation angle in degrees for the ellipse's x-axis relative to the x-axis of the user coordinate system.
        :param large_arc_flag: The value of the large-arc-flag parameter.
        :param sweep_flag: The value of the large-arc-flag parameter.
        :returns: A stand-alone, parentless SVGPathSegArcAbs object.'''
        ...
    
    def create_svg_path_seg_arc_rel(self, x : float, y : float, r1 : float, r2 : float, angle : float, large_arc_flag : bool, sweep_flag : bool) -> aspose.svg.paths.SVGPathSegArcRel:
        '''Returns a stand-alone, parentless SVGPathSegArcRel object.
        
        :param x: The relative X coordinate for the end point of this path segment.
        :param y: The relative Y coordinate for the end point of this path segment.
        :param r1: The x-axis radius for the ellipse (i.e., r1).
        :param r2: The y-axis radius for the ellipse (i.e., r2).
        :param angle: The rotation angle in degrees for the ellipse's x-axis relative to the x-axis of the user coordinate system.
        :param large_arc_flag: The value of the large-arc-flag parameter.
        :param sweep_flag: The value of the large-arc-flag parameter.
        :returns: A stand-alone, parentless SVGPathSegArcRel object.'''
        ...
    
    def create_svg_path_seg_lineto_horizontal_abs(self, x : float) -> aspose.svg.paths.SVGPathSegLinetoHorizontalAbs:
        '''Returns a stand-alone, parentless SVGPathSegLinetoHorizontalAbs object.
        
        :param x: The absolute X coordinate for the end point of this path segment.
        :returns: A stand-alone, parentless SVGPathSegLinetoHorizontalAbs object.'''
        ...
    
    def create_svg_path_seg_lineto_horizontal_rel(self, x : float) -> aspose.svg.paths.SVGPathSegLinetoHorizontalRel:
        '''Returns a stand-alone, parentless SVGPathSegLinetoHorizontalRel object.
        
        :param x: The relative X coordinate for the end point of this path segment.
        :returns: A stand-alone, parentless SVGPathSegLinetoHorizontalRel object.'''
        ...
    
    def create_svg_path_seg_lineto_vertical_abs(self, y : float) -> aspose.svg.paths.SVGPathSegLinetoVerticalAbs:
        '''Returns a stand-alone, parentless SVGPathSegLinetoVerticalAbs object.
        
        :param y: The absolute Y coordinate for the end point of this path segment.
        :returns: A stand-alone, parentless SVGPathSegLinetoVerticalAbs object.'''
        ...
    
    def create_svg_path_seg_lineto_vertical_rel(self, y : float) -> aspose.svg.paths.SVGPathSegLinetoVerticalRel:
        '''Returns a stand-alone, parentless SVGPathSegLinetoVerticalRel object.
        
        :param y: The relative Y coordinate for the end point of this path segment.
        :returns: A stand-alone, parentless SVGPathSegLinetoVerticalRel object.'''
        ...
    
    def create_svg_path_seg_curveto_cubic_smooth_abs(self, x : float, y : float, x2 : float, y2 : float) -> aspose.svg.paths.SVGPathSegCurvetoCubicSmoothAbs:
        '''Returns a stand-alone, parentless SVGPathSegCurvetoCubicSmoothAbs object.
        
        :param x: The absolute X coordinate for the end point of this path segment.
        :param y: The absolute Y coordinate for the end point of this path segment.
        :param x2: The absolute X coordinate for the second control point.
        :param y2: The absolute Y coordinate for the second control point.
        :returns: A stand-alone, parentless SVGPathSegCurvetoCubicSmoothAbs object.'''
        ...
    
    def create_svg_path_seg_curveto_cubic_smooth_rel(self, x : float, y : float, x2 : float, y2 : float) -> aspose.svg.paths.SVGPathSegCurvetoCubicSmoothRel:
        '''Returns a stand-alone, parentless SVGPathSegCurvetoCubicSmoothRel object.
        
        :param x: The relative X coordinate for the end point of this path segment.
        :param y: The relative Y coordinate for the end point of this path segment.
        :param x2: The relative X coordinate for the second control point.
        :param y2: The relative Y coordinate for the second control point.
        :returns: A stand-alone, parentless SVGPathSegCurvetoCubicSmoothRel object.'''
        ...
    
    def create_svg_path_seg_curveto_quadratic_smooth_abs(self, x : float, y : float) -> aspose.svg.paths.SVGPathSegCurvetoQuadraticSmoothAbs:
        '''Returns a stand-alone, parentless SVGPathSegCurvetoQuadraticSmoothAbs object.
        
        :param x: The absolute X coordinate for the end point of this path segment.
        :param y: The absolute Y coordinate for the end point of this path segment.
        :returns: A stand-alone, parentless SVGPathSegCurvetoQuadraticSmoothAbs object.'''
        ...
    
    def create_svg_path_seg_curveto_quadratic_smooth_rel(self, x : float, y : float) -> aspose.svg.paths.SVGPathSegCurvetoQuadraticSmoothRel:
        '''Returns a stand-alone, parentless SVGPathSegCurvetoQuadraticSmoothRel object.
        
        :param x: The relative X coordinate for the end point of this path segment.
        :param y: The relative Y coordinate for the end point of this path segment.
        :returns: A stand-alone, parentless SVGPathSegCurvetoQuadraticSmoothRel object.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def nearest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def farthest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        '''Corresponds to attribute ‘transform’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def path_length(self) -> aspose.svg.datatypes.SVGAnimatedNumber:
        ...
    
    @property
    def path_seg_list(self) -> aspose.svg.paths.SVGPathSegList:
        ...
    
    @path_seg_list.setter
    def path_seg_list(self, value : aspose.svg.paths.SVGPathSegList):
        ...
    
    @property
    def animated_path_seg_list(self) -> aspose.svg.paths.SVGPathSegList:
        ...
    
    ...

class SVGPatternElement(SVGElement):
    '''The SVGPatternElement interface corresponds to the ‘pattern’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def href(self) -> aspose.svg.datatypes.SVGAnimatedString:
        '''Corresponds to attribute ‘xlink:href’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def view_box(self) -> aspose.svg.datatypes.SVGAnimatedRect:
        ...
    
    @property
    def preserve_aspect_ratio(self) -> aspose.svg.datatypes.SVGAnimatedPreserveAspectRatio:
        ...
    
    @property
    def pattern_units(self) -> aspose.svg.datatypes.SVGAnimatedEnumeration:
        ...
    
    @property
    def pattern_content_units(self) -> aspose.svg.datatypes.SVGAnimatedEnumeration:
        ...
    
    @property
    def pattern_transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        ...
    
    @property
    def x(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘x’ on the given ‘pattern’ element.'''
        ...
    
    @property
    def y(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘y’ on the given ‘pattern’ element.'''
        ...
    
    @property
    def width(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘width’ on the given ‘pattern’ element.'''
        ...
    
    @property
    def height(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘height’ on the given ‘pattern’ element.'''
        ...
    
    ...

class SVGPolygonElement(SVGGeometryElement):
    '''The SVGPolygonElement interface corresponds to the ‘polygon’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def get_b_box(self) -> aspose.svg.datatypes.SVGRect:
        '''Returns the tight bounding box in current user space (i.e., after application of the ‘transform’ attribute, if any) on the geometry of all contained graphics elements, exclusive of stroking, clipping, masking and filter effects). Note that getBBox must return the actual bounding box at the time the method was called, even in case the element has not yet been rendered.
        
        :returns: An SVGRect object that defines the bounding box.'''
        ...
    
    def get_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the viewport coordinate system for the nearestViewportElement.
        
        :returns: An SVGMatrix object that defines the CTM.'''
        ...
    
    def get_screen_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the parent user agent's notice of a "pixel". For display devices, ideally this represents a physical screen pixel. For other devices or environments where physical pixel sizes are not known, then an algorithm similar to the CSS2 definition of a "pixel" can be used instead. Note that null is returned if this element is not hooked into the document tree. This method would have been more aptly named as getClientCTM, but the name getScreenCTM is kept for historical reasons.
        
        :returns: An SVGMatrix object that defines the given transformation matrix.'''
        ...
    
    def get_equivalent_path(self) -> aspose.svg.paths.SVGPathSegList:
        '''Returns a new instance instance of the :py:class:`aspose.svg.paths.SVGPathSegList` which represents :py:class:`aspose.svg.SVGGeometryElement` as path segments.
        
        :returns: A new instance instance of the :py:class:`aspose.svg.paths.SVGPathSegList`.'''
        ...
    
    def get_equivalent_path_as_i_path(self) -> aspose.svg.rendering.IPath:
        '''Returns the equivalent path as an instance of :py:class:`aspose.svg.rendering.IPath`.
        
        :returns: An instance of :py:class:`aspose.svg.rendering.IPath` representing the equivalent path.'''
        ...
    
    def get_total_length(self) -> float:
        '''Returns the user agent's computed value for the total length of the path using the user agent's distance-along-a-path algorithm, as a distance in the current user coordinate system.
        
        :returns: The total length of the path.'''
        ...
    
    def get_point_at_length(self, distance : float) -> aspose.svg.datatypes.SVGPoint:
        '''Returns the (x,y) coordinate in user space which is distance units along the path, utilizing the user agent's distance-along-a-path algorithm.
        
        :param distance: The distance along the path, relative to the start of the path, as a distance in the current user coordinate system.
        :returns: The returned point in user space.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def nearest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def farthest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        '''Corresponds to attribute ‘transform’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def path_length(self) -> aspose.svg.datatypes.SVGAnimatedNumber:
        ...
    
    @property
    def points(self) -> aspose.svg.datatypes.SVGPointList:
        '''Provides access to the base (i.e., static) contents of the ‘points’ attribute.'''
        ...
    
    @property
    def animated_points(self) -> aspose.svg.datatypes.SVGPointList:
        ...
    
    ...

class SVGPolylineElement(SVGGeometryElement):
    '''The SVGPolylineElement interface corresponds to the ‘polyline’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def get_b_box(self) -> aspose.svg.datatypes.SVGRect:
        '''Returns the tight bounding box in current user space (i.e., after application of the ‘transform’ attribute, if any) on the geometry of all contained graphics elements, exclusive of stroking, clipping, masking and filter effects). Note that getBBox must return the actual bounding box at the time the method was called, even in case the element has not yet been rendered.
        
        :returns: An SVGRect object that defines the bounding box.'''
        ...
    
    def get_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the viewport coordinate system for the nearestViewportElement.
        
        :returns: An SVGMatrix object that defines the CTM.'''
        ...
    
    def get_screen_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the parent user agent's notice of a "pixel". For display devices, ideally this represents a physical screen pixel. For other devices or environments where physical pixel sizes are not known, then an algorithm similar to the CSS2 definition of a "pixel" can be used instead. Note that null is returned if this element is not hooked into the document tree. This method would have been more aptly named as getClientCTM, but the name getScreenCTM is kept for historical reasons.
        
        :returns: An SVGMatrix object that defines the given transformation matrix.'''
        ...
    
    def get_equivalent_path(self) -> aspose.svg.paths.SVGPathSegList:
        '''Returns a new instance instance of the :py:class:`aspose.svg.paths.SVGPathSegList` which represents :py:class:`aspose.svg.SVGGeometryElement` as path segments.
        
        :returns: A new instance instance of the :py:class:`aspose.svg.paths.SVGPathSegList`.'''
        ...
    
    def get_equivalent_path_as_i_path(self) -> aspose.svg.rendering.IPath:
        '''Returns the equivalent path as an instance of :py:class:`aspose.svg.rendering.IPath`.
        
        :returns: An instance of :py:class:`aspose.svg.rendering.IPath` representing the equivalent path.'''
        ...
    
    def get_total_length(self) -> float:
        '''Returns the user agent's computed value for the total length of the path using the user agent's distance-along-a-path algorithm, as a distance in the current user coordinate system.
        
        :returns: The total length of the path.'''
        ...
    
    def get_point_at_length(self, distance : float) -> aspose.svg.datatypes.SVGPoint:
        '''Returns the (x,y) coordinate in user space which is distance units along the path, utilizing the user agent's distance-along-a-path algorithm.
        
        :param distance: The distance along the path, relative to the start of the path, as a distance in the current user coordinate system.
        :returns: The returned point in user space.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def nearest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def farthest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        '''Corresponds to attribute ‘transform’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def path_length(self) -> aspose.svg.datatypes.SVGAnimatedNumber:
        ...
    
    @property
    def points(self) -> aspose.svg.datatypes.SVGPointList:
        '''Provides access to the base (i.e., static) contents of the ‘points’ attribute.'''
        ...
    
    @property
    def animated_points(self) -> aspose.svg.datatypes.SVGPointList:
        ...
    
    ...

class SVGRadialGradientElement(SVGGradientElement):
    '''The SVGRadialGradientElement interface corresponds to the ‘radialGradient’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def href(self) -> aspose.svg.datatypes.SVGAnimatedString:
        '''Corresponds to attribute ‘xlink:href’ on the given element.'''
        ...
    
    @property
    def gradient_units(self) -> aspose.svg.datatypes.SVGAnimatedEnumeration:
        ...
    
    @property
    def gradient_transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        ...
    
    @property
    def spread_method(self) -> aspose.svg.datatypes.SVGAnimatedEnumeration:
        ...
    
    @classmethod
    @property
    def SVG_SPREADMETHOD_UNKNOWN(cls) -> int:
        '''The type is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.'''
        ...
    
    @classmethod
    @property
    def SVG_SPREADMETHOD_PAD(cls) -> int:
        '''Corresponds to value 'pad'.'''
        ...
    
    @classmethod
    @property
    def SVG_SPREADMETHOD_REFLECT(cls) -> int:
        '''Corresponds to value 'reflect'.'''
        ...
    
    @classmethod
    @property
    def SVG_SPREADMETHOD_REPEAT(cls) -> int:
        '''Corresponds to value 'repeat'.'''
        ...
    
    @property
    def cx(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘cx’ on the given ‘radialGradient’ element.'''
        ...
    
    @property
    def cy(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘cy’ on the given ‘radialGradient’ element.'''
        ...
    
    @property
    def r(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘r’ on the given ‘radialGradient’ element.'''
        ...
    
    @property
    def fx(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘fx’ on the given ‘radialGradient’ element.'''
        ...
    
    @property
    def fy(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘fy’ on the given ‘radialGradient’ element.'''
        ...
    
    @property
    def fr(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘fr’ on the given ‘radialGradient’ element.'''
        ...
    
    ...

class SVGRectElement(SVGGeometryElement):
    '''The SVGRectElement interface corresponds to the ‘rect’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def get_b_box(self) -> aspose.svg.datatypes.SVGRect:
        '''Returns the tight bounding box in current user space (i.e., after application of the ‘transform’ attribute, if any) on the geometry of all contained graphics elements, exclusive of stroking, clipping, masking and filter effects). Note that getBBox must return the actual bounding box at the time the method was called, even in case the element has not yet been rendered.
        
        :returns: An SVGRect object that defines the bounding box.'''
        ...
    
    def get_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the viewport coordinate system for the nearestViewportElement.
        
        :returns: An SVGMatrix object that defines the CTM.'''
        ...
    
    def get_screen_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the parent user agent's notice of a "pixel". For display devices, ideally this represents a physical screen pixel. For other devices or environments where physical pixel sizes are not known, then an algorithm similar to the CSS2 definition of a "pixel" can be used instead. Note that null is returned if this element is not hooked into the document tree. This method would have been more aptly named as getClientCTM, but the name getScreenCTM is kept for historical reasons.
        
        :returns: An SVGMatrix object that defines the given transformation matrix.'''
        ...
    
    def get_equivalent_path(self) -> aspose.svg.paths.SVGPathSegList:
        '''Returns a new instance instance of the :py:class:`aspose.svg.paths.SVGPathSegList` which represents :py:class:`aspose.svg.SVGGeometryElement` as path segments.
        
        :returns: A new instance instance of the :py:class:`aspose.svg.paths.SVGPathSegList`.'''
        ...
    
    def get_equivalent_path_as_i_path(self) -> aspose.svg.rendering.IPath:
        '''Returns the equivalent path as an instance of :py:class:`aspose.svg.rendering.IPath`.
        
        :returns: An instance of :py:class:`aspose.svg.rendering.IPath` representing the equivalent path.'''
        ...
    
    def get_total_length(self) -> float:
        '''Returns the user agent's computed value for the total length of the path using the user agent's distance-along-a-path algorithm, as a distance in the current user coordinate system.
        
        :returns: The total length of the path.'''
        ...
    
    def get_point_at_length(self, distance : float) -> aspose.svg.datatypes.SVGPoint:
        '''Returns the (x,y) coordinate in user space which is distance units along the path, utilizing the user agent's distance-along-a-path algorithm.
        
        :param distance: The distance along the path, relative to the start of the path, as a distance in the current user coordinate system.
        :returns: The returned point in user space.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def nearest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def farthest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        '''Corresponds to attribute ‘transform’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def path_length(self) -> aspose.svg.datatypes.SVGAnimatedNumber:
        ...
    
    @property
    def x(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘x’ on the given ‘rect’ element.'''
        ...
    
    @property
    def y(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘y’ on the given ‘rect’ element.'''
        ...
    
    @property
    def width(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘width’ on the given ‘rect’ element.'''
        ...
    
    @property
    def height(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘height’ on the given ‘rect’ element.'''
        ...
    
    @property
    def rx(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘rx’ on the given ‘rect’ element.'''
        ...
    
    @property
    def ry(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘ry’ on the given ‘rect’ element.'''
        ...
    
    ...

class SVGSVGElement(SVGGraphicsElement):
    '''A key interface definition is the SVGSVGElement interface, which is the interface that corresponds to the ‘svg’ element. This interface contains various miscellaneous commonly-used utility methods, such as matrix operations and the ability to control the time of redraw on visual rendering devices.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def get_b_box(self) -> aspose.svg.datatypes.SVGRect:
        '''Returns the tight bounding box in current user space (i.e., after application of the ‘transform’ attribute, if any) on the geometry of all contained graphics elements, exclusive of stroking, clipping, masking and filter effects). Note that getBBox must return the actual bounding box at the time the method was called, even in case the element has not yet been rendered.
        
        :returns: An SVGRect object that defines the bounding box.'''
        ...
    
    def get_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the viewport coordinate system for the nearestViewportElement.
        
        :returns: An SVGMatrix object that defines the CTM.'''
        ...
    
    def get_screen_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the parent user agent's notice of a "pixel". For display devices, ideally this represents a physical screen pixel. For other devices or environments where physical pixel sizes are not known, then an algorithm similar to the CSS2 definition of a "pixel" can be used instead. Note that null is returned if this element is not hooked into the document tree. This method would have been more aptly named as getClientCTM, but the name getScreenCTM is kept for historical reasons.
        
        :returns: An SVGMatrix object that defines the given transformation matrix.'''
        ...
    
    def pause_animations(self):
        '''Suspends (i.e., pauses) all currently running animations that are defined within the SVG document fragment corresponding to this ‘svg’ element, causing the animation clock corresponding to this document fragment to stand still until it is unpaused.'''
        ...
    
    def unpause_animations(self):
        '''Unsuspends (i.e., unpauses) currently running animations that are defined within the SVG document fragment, causing the animation clock to continue from the time at which it was suspended.'''
        ...
    
    def animations_paused(self) -> bool:
        '''Returns true if this SVG document fragment is in a paused state.
        
        :returns: Boolean indicating whether this SVG document fragment is in a paused state.'''
        ...
    
    def get_current_time(self) -> float:
        '''Returns the current time in seconds relative to the start time for the current SVG document fragment. If getCurrentTime is called before the document timeline has begun (for example, by script running in a ‘script’ element before the document's SVGLoad event is dispatched), then 0 is returned.
        
        :returns: The current time in seconds, or 0 if the document timeline has not yet begun.'''
        ...
    
    def set_current_time(self, seconds : float):
        '''Adjusts the clock for this SVG document fragment, establishing a new current time. If setCurrentTime is called before the document timeline has begun (for example, by script running in a ‘script’ element before the document's SVGLoad event is dispatched), then the value of seconds in the last invocation of the method gives the time that the document will seek to once the document timeline has begun.
        
        :param seconds: The new current time in seconds relative to the start time for the current SVG document fragment.'''
        ...
    
    def create_svg_number(self) -> aspose.svg.datatypes.SVGNumber:
        '''Creates an SVGNumber object outside of any document trees. The object is initialized to a value of zero.
        
        :returns: An SVGNumber object.'''
        ...
    
    def create_svg_length(self) -> aspose.svg.datatypes.SVGLength:
        '''Creates an SVGLength object outside of any document trees. The object is initialized to the value of 0 user units.
        
        :returns: An SVGLength object.'''
        ...
    
    def create_svg_angle(self) -> aspose.svg.datatypes.SVGAngle:
        '''Creates an SVGAngle object outside of any document trees. The object is initialized to the value 0 degrees (unitless).
        
        :returns: An SVGAngle object.'''
        ...
    
    def create_svg_point(self) -> aspose.svg.datatypes.SVGPoint:
        '''Creates an SVGPoint object outside of any document trees. The object is initialized to the point (0,0) in the user coordinate system.
        
        :returns: An SVGPoint object.'''
        ...
    
    def create_svg_matrix(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Creates an SVGMatrix object outside of any document trees. The object is initialized to the identity matrix.
        
        :returns: An SVGMatrix object.'''
        ...
    
    def create_svg_rect(self) -> aspose.svg.datatypes.SVGRect:
        '''Creates an SVGRect object outside of any document trees. The object is initialized such that all values are set to 0 user units.
        
        :returns: An SVGRect object.'''
        ...
    
    def create_svg_transform(self) -> aspose.svg.datatypes.SVGTransform:
        '''Creates an SVGTransform object outside of any document trees. The object is initialized to an identity matrix transform (SVG_TRANSFORM_MATRIX).
        
        :returns: An SVGTransform object.'''
        ...
    
    def create_svg_transform_from_matrix(self, matrix : aspose.svg.datatypes.SVGMatrix) -> aspose.svg.datatypes.SVGTransform:
        '''Creates an SVGTransform object outside of any document trees. The object is initialized to the given matrix transform (i.e., SVG_TRANSFORM_MATRIX). The values from the parameter matrix are copied, the matrix parameter is not adopted as SVGTransform::matrix.
        
        :param matrix: The transform matrix.
        :returns: An SVGTransform object.'''
        ...
    
    def get_element_by_id(self, element_id : str) -> aspose.svg.dom.Element:
        '''Searches this SVG document fragment (i.e., the search is restricted to a subset of the document tree) for an Element whose id is given by elementId. If an Element is found, that Element is returned. If no such element exists, returns null. Behavior is not defined if more than one element has this id.
        
        :param element_id: The unique id value for an element.
        :returns: The matching element.'''
        ...
    
    def create_event(self, event_type : str) -> aspose.svg.dom.events.Event:
        '''Creates an :py:class:`aspose.svg.dom.events.Event` of a type supported by the implementation.
        
        :param event_type: The eventType parameter specifies the type of :py:class:`aspose.svg.dom.events.Event` interface to be created.
        :returns: The newly created :py:class:`aspose.svg.dom.events.Event`'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def nearest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def farthest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        '''Corresponds to attribute ‘transform’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def x(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘x’ on the given ‘svg’ element.'''
        ...
    
    @property
    def y(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘y’ on the given ‘svg’ element.'''
        ...
    
    @property
    def width(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘width’ on the given ‘svg’ element.'''
        ...
    
    @property
    def height(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘height’ on the given ‘svg’ element.'''
        ...
    
    @property
    def current_scale(self) -> float:
        ...
    
    @current_scale.setter
    def current_scale(self, value : float):
        ...
    
    @property
    def current_translate(self) -> aspose.svg.datatypes.SVGPoint:
        ...
    
    @property
    def view_box(self) -> aspose.svg.datatypes.SVGAnimatedRect:
        ...
    
    @property
    def preserve_aspect_ratio(self) -> aspose.svg.datatypes.SVGAnimatedPreserveAspectRatio:
        ...
    
    @property
    def zoom_and_pan(self) -> int:
        ...
    
    @zoom_and_pan.setter
    def zoom_and_pan(self, value : int):
        ...
    
    ...

class SVGScriptElement(SVGElement):
    '''The SVGScriptElement interface corresponds to the ‘script’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def href(self) -> aspose.svg.datatypes.SVGAnimatedString:
        '''Corresponds to attribute ‘xlink:href’ on the given element.'''
        ...
    
    @property
    def type(self) -> str:
        '''Corresponds to attribute ‘type’ on the given ‘script’ element.'''
        ...
    
    @type.setter
    def type(self, value : str):
        '''Corresponds to attribute ‘type’ on the given ‘script’ element.'''
        ...
    
    @property
    def cross_origin(self) -> str:
        ...
    
    @cross_origin.setter
    def cross_origin(self, value : str):
        ...
    
    ...

class SVGSetElement(SVGAnimationElement):
    '''The SVGSetElement interface corresponds to the ‘set’ element.
    Object-oriented access to the attributes of the ‘set’ element via the SVG DOM is not available.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def target_element(self) -> aspose.svg.SVGElement:
        ...
    
    ...

class SVGStopElement(SVGElement):
    '''The SVGStopElement interface corresponds to the ‘stop’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def offset(self) -> aspose.svg.datatypes.SVGAnimatedNumber:
        '''Corresponds to attribute ‘offset’ on the given ‘radialGradient’ element.'''
        ...
    
    ...

class SVGStyleElement(SVGElement):
    '''The SVGStyleElement interface corresponds to the ‘style’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def type(self) -> str:
        '''Corresponds to attribute ‘type’ on the given element.'''
        ...
    
    @type.setter
    def type(self, value : str):
        '''Corresponds to attribute ‘type’ on the given element.'''
        ...
    
    @property
    def media(self) -> str:
        '''Corresponds to attribute ‘media’ on the given element.'''
        ...
    
    @media.setter
    def media(self, value : str):
        '''Corresponds to attribute ‘media’ on the given element.'''
        ...
    
    @property
    def title(self) -> str:
        '''Corresponds to attribute ‘title’ on the given element.'''
        ...
    
    @title.setter
    def title(self, value : str):
        '''Corresponds to attribute ‘title’ on the given element.'''
        ...
    
    @property
    def sheet(self) -> aspose.svg.dom.css.IStyleSheet:
        '''Gets the associated style sheet.'''
        ...
    
    ...

class SVGSwitchElement(SVGGraphicsElement):
    '''The SVGSwitchElement interface corresponds to the ‘switch’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def get_b_box(self) -> aspose.svg.datatypes.SVGRect:
        '''Returns the tight bounding box in current user space (i.e., after application of the ‘transform’ attribute, if any) on the geometry of all contained graphics elements, exclusive of stroking, clipping, masking and filter effects). Note that getBBox must return the actual bounding box at the time the method was called, even in case the element has not yet been rendered.
        
        :returns: An SVGRect object that defines the bounding box.'''
        ...
    
    def get_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the viewport coordinate system for the nearestViewportElement.
        
        :returns: An SVGMatrix object that defines the CTM.'''
        ...
    
    def get_screen_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the parent user agent's notice of a "pixel". For display devices, ideally this represents a physical screen pixel. For other devices or environments where physical pixel sizes are not known, then an algorithm similar to the CSS2 definition of a "pixel" can be used instead. Note that null is returned if this element is not hooked into the document tree. This method would have been more aptly named as getClientCTM, but the name getScreenCTM is kept for historical reasons.
        
        :returns: An SVGMatrix object that defines the given transformation matrix.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def nearest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def farthest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        '''Corresponds to attribute ‘transform’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    ...

class SVGSymbolElement(SVGGraphicsElement):
    '''The SVGSymbolElement interface corresponds to the ‘symbol’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def get_b_box(self) -> aspose.svg.datatypes.SVGRect:
        '''Returns the tight bounding box in current user space (i.e., after application of the ‘transform’ attribute, if any) on the geometry of all contained graphics elements, exclusive of stroking, clipping, masking and filter effects). Note that getBBox must return the actual bounding box at the time the method was called, even in case the element has not yet been rendered.
        
        :returns: An SVGRect object that defines the bounding box.'''
        ...
    
    def get_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the viewport coordinate system for the nearestViewportElement.
        
        :returns: An SVGMatrix object that defines the CTM.'''
        ...
    
    def get_screen_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the parent user agent's notice of a "pixel". For display devices, ideally this represents a physical screen pixel. For other devices or environments where physical pixel sizes are not known, then an algorithm similar to the CSS2 definition of a "pixel" can be used instead. Note that null is returned if this element is not hooked into the document tree. This method would have been more aptly named as getClientCTM, but the name getScreenCTM is kept for historical reasons.
        
        :returns: An SVGMatrix object that defines the given transformation matrix.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def nearest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def farthest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        '''Corresponds to attribute ‘transform’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def view_box(self) -> aspose.svg.datatypes.SVGAnimatedRect:
        ...
    
    @property
    def preserve_aspect_ratio(self) -> aspose.svg.datatypes.SVGAnimatedPreserveAspectRatio:
        ...
    
    ...

class SVGTSpanElement(SVGTextPositioningElement):
    '''The SVGTSpanElement interface corresponds to the ‘tspan’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def get_b_box(self) -> aspose.svg.datatypes.SVGRect:
        '''Returns the tight bounding box in current user space (i.e., after application of the ‘transform’ attribute, if any) on the geometry of all contained graphics elements, exclusive of stroking, clipping, masking and filter effects). Note that getBBox must return the actual bounding box at the time the method was called, even in case the element has not yet been rendered.
        
        :returns: An SVGRect object that defines the bounding box.'''
        ...
    
    def get_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the viewport coordinate system for the nearestViewportElement.
        
        :returns: An SVGMatrix object that defines the CTM.'''
        ...
    
    def get_screen_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the parent user agent's notice of a "pixel". For display devices, ideally this represents a physical screen pixel. For other devices or environments where physical pixel sizes are not known, then an algorithm similar to the CSS2 definition of a "pixel" can be used instead. Note that null is returned if this element is not hooked into the document tree. This method would have been more aptly named as getClientCTM, but the name getScreenCTM is kept for historical reasons.
        
        :returns: An SVGMatrix object that defines the given transformation matrix.'''
        ...
    
    def get_number_of_chars(self) -> int:
        '''Returns the total number of characters available for rendering within the current element, which includes referenced characters from ‘tref’ reference, regardless of whether they will be rendered. Effectively, this is equivalent to the length of the Node::textContent attribute from DOM Level 3 Core ([DOM3], section 1.4), if that attribute also expanded ‘tref’ elements.
        
        :returns: Total number of characters.'''
        ...
    
    def get_computed_text_length(self) -> float:
        '''The total sum of all of the advance values from rendering all of the characters within this element, including the advance value on the glyphs (horizontal or vertical), the effect of properties ‘kerning’, ‘letter-spacing’ and ‘word-spacing’ and adjustments due to attributes ‘dx’ and ‘dy’ on ‘tspan’ elements. For non-rendering environments, the user agent shall make reasonable assumptions about glyph metrics.
        
        :returns: The text advance distance.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def nearest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def farthest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        '''Corresponds to attribute ‘transform’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def text_length(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        ...
    
    @property
    def length_adjust(self) -> aspose.svg.datatypes.SVGAnimatedEnumeration:
        ...
    
    @classmethod
    @property
    def LENGTHADJUST_UNKNOWN(cls) -> int:
        '''The enumeration was set to a value that is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.'''
        ...
    
    @classmethod
    @property
    def LENGTHADJUST_SPACING(cls) -> int:
        '''Corresponds to value 'spacing'.'''
        ...
    
    @classmethod
    @property
    def LENGTHADJUST_SPACINGANDGLYPHS(cls) -> int:
        '''Corresponds to value 'spacingAndGlyphs'.'''
        ...
    
    @property
    def x(self) -> aspose.svg.datatypes.SVGAnimatedLengthList:
        '''Corresponds to attribute ‘x’ on the given element.'''
        ...
    
    @property
    def y(self) -> aspose.svg.datatypes.SVGAnimatedLengthList:
        '''Corresponds to attribute ‘y’ on the given element.'''
        ...
    
    @property
    def dx(self) -> aspose.svg.datatypes.SVGAnimatedLengthList:
        '''Corresponds to attribute ‘dx’ on the given element.'''
        ...
    
    @property
    def dy(self) -> aspose.svg.datatypes.SVGAnimatedLengthList:
        '''Corresponds to attribute ‘dy’ on the given element.'''
        ...
    
    @property
    def rotate(self) -> aspose.svg.datatypes.SVGAnimatedNumberList:
        '''Corresponds to attribute ‘rotate’ on the given element.'''
        ...
    
    ...

class SVGTextContentElement(SVGGraphicsElement):
    '''The SVGTextContentElement is inherited by various text-related interfaces, such as SVGTextElement, SVGTSpanElement, SVGTRefElement, SVGAltGlyphElement and SVGTextPathElement.
    For the methods on this interface that refer to an index to a character or a number of characters, these references are to be interpreted as an index to a UTF-16 code unit or a number of UTF-16 code units, respectively. This is for consistency with DOM Level 2 Core, where methods on the CharacterData interface use UTF-16 code units as indexes and counts within the character data.Thus for example, if the text content of a ‘text’ element is a single non-BMP character, such as U+10000, then invoking getNumberOfChars on that element will return 2 since there are two UTF-16 code units(the surrogate pair) used to represent that one character.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def get_b_box(self) -> aspose.svg.datatypes.SVGRect:
        '''Returns the tight bounding box in current user space (i.e., after application of the ‘transform’ attribute, if any) on the geometry of all contained graphics elements, exclusive of stroking, clipping, masking and filter effects). Note that getBBox must return the actual bounding box at the time the method was called, even in case the element has not yet been rendered.
        
        :returns: An SVGRect object that defines the bounding box.'''
        ...
    
    def get_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the viewport coordinate system for the nearestViewportElement.
        
        :returns: An SVGMatrix object that defines the CTM.'''
        ...
    
    def get_screen_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the parent user agent's notice of a "pixel". For display devices, ideally this represents a physical screen pixel. For other devices or environments where physical pixel sizes are not known, then an algorithm similar to the CSS2 definition of a "pixel" can be used instead. Note that null is returned if this element is not hooked into the document tree. This method would have been more aptly named as getClientCTM, but the name getScreenCTM is kept for historical reasons.
        
        :returns: An SVGMatrix object that defines the given transformation matrix.'''
        ...
    
    def get_number_of_chars(self) -> int:
        '''Returns the total number of characters available for rendering within the current element, which includes referenced characters from ‘tref’ reference, regardless of whether they will be rendered. Effectively, this is equivalent to the length of the Node::textContent attribute from DOM Level 3 Core ([DOM3], section 1.4), if that attribute also expanded ‘tref’ elements.
        
        :returns: Total number of characters.'''
        ...
    
    def get_computed_text_length(self) -> float:
        '''The total sum of all of the advance values from rendering all of the characters within this element, including the advance value on the glyphs (horizontal or vertical), the effect of properties ‘kerning’, ‘letter-spacing’ and ‘word-spacing’ and adjustments due to attributes ‘dx’ and ‘dy’ on ‘tspan’ elements. For non-rendering environments, the user agent shall make reasonable assumptions about glyph metrics.
        
        :returns: The text advance distance.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def nearest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def farthest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        '''Corresponds to attribute ‘transform’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def text_length(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        ...
    
    @property
    def length_adjust(self) -> aspose.svg.datatypes.SVGAnimatedEnumeration:
        ...
    
    @classmethod
    @property
    def LENGTHADJUST_UNKNOWN(cls) -> int:
        '''The enumeration was set to a value that is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.'''
        ...
    
    @classmethod
    @property
    def LENGTHADJUST_SPACING(cls) -> int:
        '''Corresponds to value 'spacing'.'''
        ...
    
    @classmethod
    @property
    def LENGTHADJUST_SPACINGANDGLYPHS(cls) -> int:
        '''Corresponds to value 'spacingAndGlyphs'.'''
        ...
    
    ...

class SVGTextElement(SVGTextPositioningElement):
    '''The SVGTextElement interface corresponds to the ‘text’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def get_b_box(self) -> aspose.svg.datatypes.SVGRect:
        '''Returns the tight bounding box in current user space (i.e., after application of the ‘transform’ attribute, if any) on the geometry of all contained graphics elements, exclusive of stroking, clipping, masking and filter effects). Note that getBBox must return the actual bounding box at the time the method was called, even in case the element has not yet been rendered.
        
        :returns: An SVGRect object that defines the bounding box.'''
        ...
    
    def get_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the viewport coordinate system for the nearestViewportElement.
        
        :returns: An SVGMatrix object that defines the CTM.'''
        ...
    
    def get_screen_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the parent user agent's notice of a "pixel". For display devices, ideally this represents a physical screen pixel. For other devices or environments where physical pixel sizes are not known, then an algorithm similar to the CSS2 definition of a "pixel" can be used instead. Note that null is returned if this element is not hooked into the document tree. This method would have been more aptly named as getClientCTM, but the name getScreenCTM is kept for historical reasons.
        
        :returns: An SVGMatrix object that defines the given transformation matrix.'''
        ...
    
    def get_number_of_chars(self) -> int:
        '''Returns the total number of characters available for rendering within the current element, which includes referenced characters from ‘tref’ reference, regardless of whether they will be rendered. Effectively, this is equivalent to the length of the Node::textContent attribute from DOM Level 3 Core ([DOM3], section 1.4), if that attribute also expanded ‘tref’ elements.
        
        :returns: Total number of characters.'''
        ...
    
    def get_computed_text_length(self) -> float:
        '''The total sum of all of the advance values from rendering all of the characters within this element, including the advance value on the glyphs (horizontal or vertical), the effect of properties ‘kerning’, ‘letter-spacing’ and ‘word-spacing’ and adjustments due to attributes ‘dx’ and ‘dy’ on ‘tspan’ elements. For non-rendering environments, the user agent shall make reasonable assumptions about glyph metrics.
        
        :returns: The text advance distance.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def nearest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def farthest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        '''Corresponds to attribute ‘transform’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def text_length(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        ...
    
    @property
    def length_adjust(self) -> aspose.svg.datatypes.SVGAnimatedEnumeration:
        ...
    
    @classmethod
    @property
    def LENGTHADJUST_UNKNOWN(cls) -> int:
        '''The enumeration was set to a value that is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.'''
        ...
    
    @classmethod
    @property
    def LENGTHADJUST_SPACING(cls) -> int:
        '''Corresponds to value 'spacing'.'''
        ...
    
    @classmethod
    @property
    def LENGTHADJUST_SPACINGANDGLYPHS(cls) -> int:
        '''Corresponds to value 'spacingAndGlyphs'.'''
        ...
    
    @property
    def x(self) -> aspose.svg.datatypes.SVGAnimatedLengthList:
        '''Corresponds to attribute ‘x’ on the given element.'''
        ...
    
    @property
    def y(self) -> aspose.svg.datatypes.SVGAnimatedLengthList:
        '''Corresponds to attribute ‘y’ on the given element.'''
        ...
    
    @property
    def dx(self) -> aspose.svg.datatypes.SVGAnimatedLengthList:
        '''Corresponds to attribute ‘dx’ on the given element.'''
        ...
    
    @property
    def dy(self) -> aspose.svg.datatypes.SVGAnimatedLengthList:
        '''Corresponds to attribute ‘dy’ on the given element.'''
        ...
    
    @property
    def rotate(self) -> aspose.svg.datatypes.SVGAnimatedNumberList:
        '''Corresponds to attribute ‘rotate’ on the given element.'''
        ...
    
    ...

class SVGTextPathElement(SVGTextContentElement):
    '''The SVGTextPathElement interface corresponds to the ‘textPath’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def get_b_box(self) -> aspose.svg.datatypes.SVGRect:
        '''Returns the tight bounding box in current user space (i.e., after application of the ‘transform’ attribute, if any) on the geometry of all contained graphics elements, exclusive of stroking, clipping, masking and filter effects). Note that getBBox must return the actual bounding box at the time the method was called, even in case the element has not yet been rendered.
        
        :returns: An SVGRect object that defines the bounding box.'''
        ...
    
    def get_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the viewport coordinate system for the nearestViewportElement.
        
        :returns: An SVGMatrix object that defines the CTM.'''
        ...
    
    def get_screen_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the parent user agent's notice of a "pixel". For display devices, ideally this represents a physical screen pixel. For other devices or environments where physical pixel sizes are not known, then an algorithm similar to the CSS2 definition of a "pixel" can be used instead. Note that null is returned if this element is not hooked into the document tree. This method would have been more aptly named as getClientCTM, but the name getScreenCTM is kept for historical reasons.
        
        :returns: An SVGMatrix object that defines the given transformation matrix.'''
        ...
    
    def get_number_of_chars(self) -> int:
        '''Returns the total number of characters available for rendering within the current element, which includes referenced characters from ‘tref’ reference, regardless of whether they will be rendered. Effectively, this is equivalent to the length of the Node::textContent attribute from DOM Level 3 Core ([DOM3], section 1.4), if that attribute also expanded ‘tref’ elements.
        
        :returns: Total number of characters.'''
        ...
    
    def get_computed_text_length(self) -> float:
        '''The total sum of all of the advance values from rendering all of the characters within this element, including the advance value on the glyphs (horizontal or vertical), the effect of properties ‘kerning’, ‘letter-spacing’ and ‘word-spacing’ and adjustments due to attributes ‘dx’ and ‘dy’ on ‘tspan’ elements. For non-rendering environments, the user agent shall make reasonable assumptions about glyph metrics.
        
        :returns: The text advance distance.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def nearest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def farthest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        '''Corresponds to attribute ‘transform’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def text_length(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        ...
    
    @property
    def length_adjust(self) -> aspose.svg.datatypes.SVGAnimatedEnumeration:
        ...
    
    @classmethod
    @property
    def LENGTHADJUST_UNKNOWN(cls) -> int:
        '''The enumeration was set to a value that is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.'''
        ...
    
    @classmethod
    @property
    def LENGTHADJUST_SPACING(cls) -> int:
        '''Corresponds to value 'spacing'.'''
        ...
    
    @classmethod
    @property
    def LENGTHADJUST_SPACINGANDGLYPHS(cls) -> int:
        '''Corresponds to value 'spacingAndGlyphs'.'''
        ...
    
    @property
    def href(self) -> aspose.svg.datatypes.SVGAnimatedString:
        '''Corresponds to attribute ‘xlink:href’ on the given element.'''
        ...
    
    @property
    def start_offset(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        ...
    
    @property
    def method(self) -> aspose.svg.datatypes.SVGAnimatedEnumeration:
        '''Corresponds to attribute ‘method’ on the given ‘textPath’ element.'''
        ...
    
    @property
    def spacing(self) -> aspose.svg.datatypes.SVGAnimatedEnumeration:
        '''Corresponds to attribute ‘spacing’ on the given ‘textPath’ element.'''
        ...
    
    @classmethod
    @property
    def TEXTPATH_METHODTYPE_UNKNOWN(cls) -> int:
        '''The enumeration was set to a value that is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.'''
        ...
    
    @classmethod
    @property
    def TEXTPATH_METHODTYPE_ALIGN(cls) -> int:
        '''Corresponds to value 'align'.'''
        ...
    
    @classmethod
    @property
    def TEXTPATH_METHODTYPE_STRETCH(cls) -> int:
        '''Corresponds to value 'stretch'.'''
        ...
    
    @classmethod
    @property
    def TEXTPATH_SPACINGTYPE_UNKNOWN(cls) -> int:
        '''The enumeration was set to a value that is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.'''
        ...
    
    @classmethod
    @property
    def TEXTPATH_SPACINGTYPE_AUTO(cls) -> int:
        '''Corresponds to value 'auto'.'''
        ...
    
    @classmethod
    @property
    def TEXTPATH_SPACINGTYPE_EXACT(cls) -> int:
        '''Corresponds to value 'exact'.'''
        ...
    
    ...

class SVGTextPositioningElement(SVGTextContentElement):
    '''The SVGTextPositioningElement interface is inherited by text-related interfaces: SVGTextElement, SVGTSpanElement, SVGTRefElement and SVGAltGlyphElement.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def get_b_box(self) -> aspose.svg.datatypes.SVGRect:
        '''Returns the tight bounding box in current user space (i.e., after application of the ‘transform’ attribute, if any) on the geometry of all contained graphics elements, exclusive of stroking, clipping, masking and filter effects). Note that getBBox must return the actual bounding box at the time the method was called, even in case the element has not yet been rendered.
        
        :returns: An SVGRect object that defines the bounding box.'''
        ...
    
    def get_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the viewport coordinate system for the nearestViewportElement.
        
        :returns: An SVGMatrix object that defines the CTM.'''
        ...
    
    def get_screen_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the parent user agent's notice of a "pixel". For display devices, ideally this represents a physical screen pixel. For other devices or environments where physical pixel sizes are not known, then an algorithm similar to the CSS2 definition of a "pixel" can be used instead. Note that null is returned if this element is not hooked into the document tree. This method would have been more aptly named as getClientCTM, but the name getScreenCTM is kept for historical reasons.
        
        :returns: An SVGMatrix object that defines the given transformation matrix.'''
        ...
    
    def get_number_of_chars(self) -> int:
        '''Returns the total number of characters available for rendering within the current element, which includes referenced characters from ‘tref’ reference, regardless of whether they will be rendered. Effectively, this is equivalent to the length of the Node::textContent attribute from DOM Level 3 Core ([DOM3], section 1.4), if that attribute also expanded ‘tref’ elements.
        
        :returns: Total number of characters.'''
        ...
    
    def get_computed_text_length(self) -> float:
        '''The total sum of all of the advance values from rendering all of the characters within this element, including the advance value on the glyphs (horizontal or vertical), the effect of properties ‘kerning’, ‘letter-spacing’ and ‘word-spacing’ and adjustments due to attributes ‘dx’ and ‘dy’ on ‘tspan’ elements. For non-rendering environments, the user agent shall make reasonable assumptions about glyph metrics.
        
        :returns: The text advance distance.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def nearest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def farthest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        '''Corresponds to attribute ‘transform’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def text_length(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        ...
    
    @property
    def length_adjust(self) -> aspose.svg.datatypes.SVGAnimatedEnumeration:
        ...
    
    @classmethod
    @property
    def LENGTHADJUST_UNKNOWN(cls) -> int:
        '''The enumeration was set to a value that is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.'''
        ...
    
    @classmethod
    @property
    def LENGTHADJUST_SPACING(cls) -> int:
        '''Corresponds to value 'spacing'.'''
        ...
    
    @classmethod
    @property
    def LENGTHADJUST_SPACINGANDGLYPHS(cls) -> int:
        '''Corresponds to value 'spacingAndGlyphs'.'''
        ...
    
    @property
    def x(self) -> aspose.svg.datatypes.SVGAnimatedLengthList:
        '''Corresponds to attribute ‘x’ on the given element.'''
        ...
    
    @property
    def y(self) -> aspose.svg.datatypes.SVGAnimatedLengthList:
        '''Corresponds to attribute ‘y’ on the given element.'''
        ...
    
    @property
    def dx(self) -> aspose.svg.datatypes.SVGAnimatedLengthList:
        '''Corresponds to attribute ‘dx’ on the given element.'''
        ...
    
    @property
    def dy(self) -> aspose.svg.datatypes.SVGAnimatedLengthList:
        '''Corresponds to attribute ‘dy’ on the given element.'''
        ...
    
    @property
    def rotate(self) -> aspose.svg.datatypes.SVGAnimatedNumberList:
        '''Corresponds to attribute ‘rotate’ on the given element.'''
        ...
    
    ...

class SVGTitleElement(SVGElement):
    '''The SVGTitleElement interface corresponds to the ‘title’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    ...

class SVGUseElement(SVGGraphicsElement):
    '''The SVGUseElement interface corresponds to the ‘use’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    def get_b_box(self) -> aspose.svg.datatypes.SVGRect:
        '''Returns the tight bounding box in current user space (i.e., after application of the ‘transform’ attribute, if any) on the geometry of all contained graphics elements, exclusive of stroking, clipping, masking and filter effects). Note that getBBox must return the actual bounding box at the time the method was called, even in case the element has not yet been rendered.
        
        :returns: An SVGRect object that defines the bounding box.'''
        ...
    
    def get_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the viewport coordinate system for the nearestViewportElement.
        
        :returns: An SVGMatrix object that defines the CTM.'''
        ...
    
    def get_screen_ctm(self) -> aspose.svg.datatypes.SVGMatrix:
        '''Returns the transformation matrix from current user units (i.e., after application of the ‘transform’ attribute, if any) to the parent user agent's notice of a "pixel". For display devices, ideally this represents a physical screen pixel. For other devices or environments where physical pixel sizes are not known, then an algorithm similar to the CSS2 definition of a "pixel" can be used instead. Note that null is returned if this element is not hooked into the document tree. This method would have been more aptly named as getClientCTM, but the name getScreenCTM is kept for historical reasons.
        
        :returns: An SVGMatrix object that defines the given transformation matrix.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def nearest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def farthest_viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def transform(self) -> aspose.svg.datatypes.SVGAnimatedTransformList:
        '''Corresponds to attribute ‘transform’ on the given element.'''
        ...
    
    @property
    def required_features(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def required_extensions(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def system_language(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    @property
    def x(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘x’ on the given ‘use’ element.'''
        ...
    
    @property
    def y(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘y’ on the given ‘use’ element.'''
        ...
    
    @property
    def width(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘width’ on the given ‘use’ element.'''
        ...
    
    @property
    def height(self) -> aspose.svg.datatypes.SVGAnimatedLength:
        '''Corresponds to attribute ‘height’ on the given ‘use’ element.'''
        ...
    
    @property
    def instance_root(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def href(self) -> aspose.svg.datatypes.SVGAnimatedString:
        '''Corresponds to attribute ‘xlink:href’ on the given element.'''
        ...
    
    ...

class SVGViewElement(SVGElement):
    '''The SVGViewElement interface corresponds to the ‘view’ element.'''
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.'''
        ...
    
    @overload
    def add_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the registration of event listeners on the event target.
        
        :param type: The event type for which the user is registering
        :param listener: Takes an interface implemented by the user which contains the methods to be called when the event occurs.
        :param use_capture: If true, useCapture indicates that the user wishes to initiate capture.
        After initiating capture, all events of the specified type will be dispatched to the registered
        :py:class:`aspose.svg.dom.events.IEventListener`
        before being dispatched to any Event Targets beneath them in the tree.
        Events which are bubbling upward through the tree will not trigger an :py:class:`aspose.svg.dom.events.IEventListener` designated to use capture.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.'''
        ...
    
    @overload
    def remove_event_listener(self, type : str, listener : aspose.svg.dom.events.IEventListener, use_capture : bool):
        '''This method allows the removal of event listeners from the event target.
        If an :py:class:`aspose.svg.dom.events.IEventListener` is removed from an :py:class:`aspose.svg.dom.EventTarget` while it is processing an event, it will not be triggered by the current actions.
        Event Listeners can never be invoked after being removed.
        
        :param type: Specifies the event type of the :py:class:`aspose.svg.dom.events.IEventListener` being removed.
        :param listener: The :py:class:`aspose.svg.dom.events.IEventListener` parameter indicates the :py:class:`aspose.svg.dom.events.IEventListener` to be removed.
        :param use_capture: Specifies whether the EventListener being removed was registered as a capturing listener or not.
        If a listener was registered twice, one with capture and one without, each must be removed separately.
        Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.'''
        ...
    
    @overload
    def clone_node(self) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :returns: Returns node'''
        ...
    
    @overload
    def clone_node(self, deep : bool) -> aspose.svg.dom.Node:
        '''Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent (parentNode is null) and no user data.
        
        :param deep: if set to ``true`` [deep].
        :returns: Returns node'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    @overload
    def toggle_attribute(self, qualified_name : str, force : bool) -> bool:
        '''If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName.
        If force is false, removes qualifiedName.
        
        :param qualified_name: The attribute QualifiedName.
        :param force: The force option to toggle attribute.
        :returns: Returns true if qualifiedName is now present; otherwise false.'''
        ...
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def dispatch_event(self, event : aspose.svg.dom.events.Event) -> bool:
        '''This method allows the dispatch of events into the implementations event model.
        
        :param event: Specifies the event type, behavior, and contextual information to be used in processing the event.
        :returns: The return value of :py:func:`aspose.svg.dom.EventTarget.dispatch_event` indicates whether any of the listeners which handled the event called :py:func:`aspose.svg.dom.events.Event.prevent_default`.
        If :py:func:`aspose.svg.dom.events.Event.prevent_default` was called the value is false, else the value is true.'''
        ...
    
    def has_child_nodes(self) -> bool:
        '''Returns whether this node has any children.
        
        :returns: ``true`` if has child nodes otherwise, ``false``.'''
        ...
    
    def normalize(self):
        '''Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer [XPointer] lookups) that depend on a particular document tree structure are to be used. If the parameter "normalize-characters" of the DOMConfiguration object attached to the Node.ownerDocument is true, this method will also fully normalize the characters of the Text nodes.'''
        ...
    
    def is_equal_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Tests whether two nodes are equal.
        This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with Node.isSameNode(). All nodes that are the same will also be equal, though the reverse may not be true.
        
        :param other_node: The other node.
        :returns: ``true`` if [is equal node] [the specified arg]; otherwise, ``false``.'''
        ...
    
    def is_same_node(self, other_node : aspose.svg.dom.Node) -> bool:
        '''Returns whether this node is the same node as the given one.
        This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
        
        :param other_node: The other node.
        :returns: ``true`` if [is same node] [the specified other]; otherwise, ``false``.'''
        ...
    
    def lookup_prefix(self, namespace_uri : str) -> str:
        '''Look up the prefix associated to the given namespace URI, starting from this node. The default namespace declarations are ignored by this method.
        See Namespace Prefix Lookup for details on the algorithm used by this method.
        
        :param namespace_uri: The namespace URI.
        :returns: Returns prefix'''
        ...
    
    def lookup_namespace_uri(self, prefix : str) -> str:
        '''Look up the namespace URI associated to the given prefix, starting from this node.
        
        :param prefix: The prefix.
        :returns: Returns namespace URI'''
        ...
    
    def is_default_namespace(self, namespace_uri : str) -> bool:
        '''This method checks if the specified namespaceURI is the default namespace or not.
        
        :param namespace_uri: The namespace URI.
        :returns: ``true`` if [is default namespace] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def insert_before(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Inserts the node before the existing child node child. If child is null, insert node at the end of the list of children.
        If child is a DocumentFragment object, all of its children are inserted, in the same order, before child. If the child is already in the tree, it is first removed.
        
        :param node: The new child.
        :param child: The ref child.
        :returns: Returns inserted node'''
        ...
    
    def replace_child(self, node : aspose.svg.dom.Node, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node.
        If newChild is a DocumentFragment object, oldChild is replaced by all of the DocumentFragment children, which are inserted in the same order. If the newChild is already in the tree, it is first removed.
        
        :param node: The new node.
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def remove_child(self, child : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Removes the child node indicated by oldChild from the list of children, and returns it.
        
        :param child: The old child.
        :returns: Returns node'''
        ...
    
    def append_child(self, node : aspose.svg.dom.Node) -> aspose.svg.dom.Node:
        '''Adds the node newChild to the end of the list of children of this node. If the newChild is already in the tree, it is first removed.
        
        :param node: The node to append.
        :returns: Returns node'''
        ...
    
    def get_attribute_names(self) -> List[str]:
        '''Returns the attribute names of the element as an Array of strings. If the element has no attributes it returns an empty array.
        
        :returns: Array of strings represents attribute names.'''
        ...
    
    def has_attributes(self) -> bool:
        '''Returns whether this node (if it is an element) has any attributes
        
        :returns: boolean ``true`` if this node has any attributes, ``false`` otherwise.'''
        ...
    
    def get_attribute(self, qualified_name : str) -> str:
        '''Retrieves an attribute value by name.
        
        :param qualified_name: The name of the attribute to retrieve.
        :returns: Returns attribute value'''
        ...
    
    def get_attribute_ns(self, namespace_uri : str, local_name : str) -> str:
        '''Retrieves an attribute value by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute(self, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter
        
        :param qualified_name: The attribute name.
        :param value: The value.'''
        ...
    
    def set_attribute_ns(self, namespace_uri : str, qualified_name : str, value : str):
        '''Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the qualifiedName, and its value is changed to be the value parameter.
        
        :param namespace_uri: The namespace URI.
        :param qualified_name: Name of the qualified.
        :param value: The value.'''
        ...
    
    def remove_attribute(self, qualified_name : str):
        '''Removes an attribute by name.
        
        :param qualified_name: The attribute name.'''
        ...
    
    def remove_attribute_ns(self, namespace_uri : str, local_name : str):
        '''Removes an attribute by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.'''
        ...
    
    def has_attribute(self, qualified_name : str) -> bool:
        '''Returns true when an attribute with a given name is specified on this element or has a default value, false otherwise.
        
        :param qualified_name: The attribute name.
        :returns: ``true`` if the specified name has attribute; otherwise, ``false``.'''
        ...
    
    def has_attribute_ns(self, namespace_uri : str, local_name : str) -> bool:
        '''Returns true when an attribute with a given local name and namespace URI is specified on this element or has a default value, false otherwise.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: ``true`` if [has attribute NS] [the specified namespace URI]; otherwise, ``false``.'''
        ...
    
    def get_attribute_node(self, qualified_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an attribute node by name.
        
        :param qualified_name: The attribute name.
        :returns: Returns attribute value'''
        ...
    
    def set_attribute_node(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute node. If an attribute with that name (nodeName) is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def remove_attribute_node(self, old_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Removes the specified attribute node.
        
        :param old_attr: The old attr.
        :returns: Returns attribute'''
        ...
    
    def get_attribute_node_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.dom.Attr:
        '''Retrieves an Attr node by local name and namespace URI.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns attribute'''
        ...
    
    def set_attribute_node_ns(self, new_attr : aspose.svg.dom.Attr) -> aspose.svg.dom.Attr:
        '''Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
        
        :param new_attr: The new attr.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name(self, name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all descendant Elements with a given tag name, in document order.
        
        :param name: The tag name.
        :returns: Returns attribute'''
        ...
    
    def get_elements_by_tag_name_ns(self, namespace_uri : str, local_name : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a NodeList of all the descendant Elements with a given local name and namespace URI in document order.
        
        :param namespace_uri: The namespace URI.
        :param local_name: Name of the local.
        :returns: Returns elements'''
        ...
    
    def remove(self):
        '''Removes this instance.'''
        ...
    
    def query_selector_all(self, selector : str) -> aspose.svg.collections.NodeList:
        '''Returns a NodeList of all the Elements in document, which match selector
        
        :param selector: The selector
        :returns: :py:class:`aspose.svg.collections.HTMLCollection`'''
        ...
    
    def query_selector(self, selector : str) -> aspose.svg.dom.Element:
        '''Returns the first Element in document, which match selector
        
        :param selector: The selector.
        :returns: The matched element'''
        ...
    
    def attach_shadow(self, mode : aspose.svg.dom.ShadowRootMode) -> aspose.svg.dom.ShadowRoot:
        '''Creates shadow root and attaches it to current element.
        
        :param mode: Mode in which shadow root will be created.
        :returns: Created :py:class:`aspose.svg.dom.ShadowRoot`.'''
        ...
    
    def get_elements_by_class_name(self, class_names : str) -> aspose.svg.collections.HTMLCollection:
        '''Returns a live NodeList object containing all the elements in the document that have all the classes specified in argument.
        http://www.w3.org/TR/dom/
        
        :param class_names: The string string that contains an unordered set of unique space-separated tokens representing classes (class names)
        :returns: The :py:class:`aspose.svg.dom.Element`.'''
        ...
    
    @property
    def node_type(self) -> int:
        ...
    
    @property
    def local_name(self) -> str:
        ...
    
    @property
    def namespace_uri(self) -> str:
        ...
    
    @property
    def prefix(self) -> str:
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @prefix.setter
    def prefix(self, value : str):
        '''The namespace prefix of this node, or null if it is unspecified. When it is defined to be null, setting it has no effect'''
        ...
    
    @property
    def node_name(self) -> str:
        ...
    
    @property
    def base_uri(self) -> str:
        ...
    
    @property
    def owner_document(self) -> aspose.svg.dom.Document:
        ...
    
    @property
    def parent_node(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def parent_element(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_nodes(self) -> aspose.svg.collections.NodeList:
        ...
    
    @property
    def first_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def last_child(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def previous_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def next_sibling(self) -> aspose.svg.dom.Node:
        ...
    
    @property
    def node_value(self) -> str:
        ...
    
    @node_value.setter
    def node_value(self, value : str):
        ...
    
    @property
    def text_content(self) -> str:
        ...
    
    @text_content.setter
    def text_content(self, value : str):
        ...
    
    @classmethod
    @property
    def ELEMENT_NODE(cls) -> int:
        '''An element node'''
        ...
    
    @classmethod
    @property
    def ATTRIBUTE_NODE(cls) -> int:
        '''An attribute node'''
        ...
    
    @classmethod
    @property
    def TEXT_NODE(cls) -> int:
        '''A text node'''
        ...
    
    @classmethod
    @property
    def CDATA_SECTION_NODE(cls) -> int:
        '''A cdata section node'''
        ...
    
    @classmethod
    @property
    def ENTITY_REFERENCE_NODE(cls) -> int:
        '''An entity reference node'''
        ...
    
    @classmethod
    @property
    def ENTITY_NODE(cls) -> int:
        '''An entity node'''
        ...
    
    @classmethod
    @property
    def PROCESSING_INSTRUCTION_NODE(cls) -> int:
        '''A processing instruction node'''
        ...
    
    @classmethod
    @property
    def COMMENT_NODE(cls) -> int:
        '''A comment node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_NODE(cls) -> int:
        '''A document node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_TYPE_NODE(cls) -> int:
        '''A document type node'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_FRAGMENT_NODE(cls) -> int:
        '''A document fragment node'''
        ...
    
    @classmethod
    @property
    def NOTATION_NODE(cls) -> int:
        '''A notation node'''
        ...
    
    @property
    def tag_name(self) -> str:
        ...
    
    @property
    def id(self) -> str:
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @id.setter
    def id(self, value : str):
        '''The value of the ‘id’ attribute on the given element, or the empty string if ‘id’ is not present.'''
        ...
    
    @property
    def class_name(self) -> aspose.svg.datatypes.SVGAnimatedString:
        ...
    
    @property
    def attributes(self) -> aspose.svg.collections.NamedNodeMap:
        '''A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise.'''
        ...
    
    @property
    def first_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def last_element_child(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def previous_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def next_element_sibling(self) -> aspose.svg.dom.Element:
        ...
    
    @property
    def child_element_count(self) -> int:
        ...
    
    @property
    def children(self) -> aspose.svg.collections.HTMLCollection:
        '''Returns the child elements of current element.'''
        ...
    
    @property
    def inner_html(self) -> str:
        ...
    
    @inner_html.setter
    def inner_html(self, value : str):
        ...
    
    @property
    def outer_html(self) -> str:
        ...
    
    @outer_html.setter
    def outer_html(self, value : str):
        ...
    
    @property
    def shadow_root(self) -> aspose.svg.dom.ShadowRoot:
        ...
    
    @property
    def owner_svg_element(self) -> aspose.svg.SVGSVGElement:
        ...
    
    @property
    def viewport_element(self) -> aspose.svg.SVGElement:
        ...
    
    @property
    def style(self) -> aspose.svg.dom.css.ICSSStyleDeclaration:
        '''Corresponds to attribute ‘style’ on the given element. If the user agent does not support styling with CSS, then this attribute must always have the value of null.'''
        ...
    
    @property
    def view_box(self) -> aspose.svg.datatypes.SVGAnimatedRect:
        ...
    
    @property
    def preserve_aspect_ratio(self) -> aspose.svg.datatypes.SVGAnimatedPreserveAspectRatio:
        ...
    
    @property
    def zoom_and_pan(self) -> int:
        ...
    
    @zoom_and_pan.setter
    def zoom_and_pan(self, value : int):
        ...
    
    @property
    def view_target(self) -> aspose.svg.datatypes.SVGStringList:
        ...
    
    ...

class TypedArray(aspose.svg.dom.DOMObject):
    '''TypedArray objects present an array-like view of an underlying binary data buffer.'''
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    @property
    def byte_length(self) -> int:
        ...
    
    @property
    def byte_offset(self) -> int:
        ...
    
    @property
    def length(self) -> int:
        '''Gets the length of a typed array.'''
        ...
    
    ...

class Uint8ClampedArray(TypedArray):
    '''Represents an array of 8-bit unsigned integers clamped to 0-255; if you specified a value that is out of the range of [0,255], 0 or 255 will be set instead;'''
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    @property
    def byte_length(self) -> int:
        ...
    
    @property
    def byte_offset(self) -> int:
        ...
    
    @property
    def length(self) -> int:
        '''Gets the length of a typed array.'''
        ...
    
    @classmethod
    @property
    def BYTES_PER_ELEMENT(cls) -> byte:
        '''The property represents the size in bytes of each element in an typed array.'''
        ...
    
    def __getitem__(self, key : int) -> byte:
        '''Gets or sets the :py:class:`int` at the specified index.'''
        ...
    
    def __setitem__(self, key : int, value : byte):
        ...
    
    ...

class Url(aspose.svg.dom.DOMObject):
    '''Provides an object representation of a universal identifier (URL).'''
    
    def get_platform_type(self) -> Type:
        '''This method is used to retrieve ECMAScript object :py:class:`System.Type`.
        
        :returns: The ECMAScript object :py:class:`System.Type`.'''
        ...
    
    def to_json(self) -> str:
        '''Returns a :py:class:`str` that represents this instance.
        
        :returns: A :py:class:`str` that represents this instance.'''
        ...
    
    def compare_to(self, url : aspose.svg.Url, exclude_fragments : bool) -> bool:
        '''Determines whether the specified :py:class:`aspose.svg.Url`, is equal to this instance.
        
        :param url: The :py:class:`aspose.svg.Url` to compare with this instance.
        :param exclude_fragments: Flag which indicates whether or not fragment segment is excluded
        from comparison. ``true`` if excluded, ``false`` otherwise. Default value is false.
        :returns: ``true`` if the specified :py:class:`aspose.svg.Url` is equal to this instance; otherwise, ``false``.'''
        ...
    
    @property
    def origin(self) -> str:
        '''Gets a string representation for the specified URL origin.'''
        ...
    
    @property
    def username(self) -> str:
        '''Gets a string representation for the specified URL username.'''
        ...
    
    @username.setter
    def username(self, value : str):
        '''Sets a string representation for the specified URL username.'''
        ...
    
    @property
    def password(self) -> str:
        '''Gets a string representation for the specified URL password.'''
        ...
    
    @password.setter
    def password(self, value : str):
        '''Sets a string representation for the specified URL password.'''
        ...
    
    @property
    def protocol(self) -> str:
        '''Gets a string representation for the specified URL schema.'''
        ...
    
    @protocol.setter
    def protocol(self, value : str):
        '''Sets a string representation for the specified URL schema.'''
        ...
    
    @property
    def host(self) -> str:
        '''Gets a string representation for the specified URL host.'''
        ...
    
    @host.setter
    def host(self, value : str):
        '''Sets a string representation for the specified URL host.'''
        ...
    
    @property
    def hostname(self) -> str:
        '''Gets a string representation for the specified URL hostname.'''
        ...
    
    @hostname.setter
    def hostname(self, value : str):
        '''Sets a string representation for the specified URL hostname.'''
        ...
    
    @property
    def port(self) -> str:
        '''Gets a string representation for the specified URL port.'''
        ...
    
    @port.setter
    def port(self, value : str):
        '''Sets a string representation for the specified URL port.'''
        ...
    
    @property
    def pathname(self) -> str:
        '''Gets a string representation for the specified URL path.'''
        ...
    
    @pathname.setter
    def pathname(self, value : str):
        '''Sets a string representation for the specified URL path.'''
        ...
    
    @property
    def search(self) -> str:
        '''Gets a string representation for the specified URL search segment.'''
        ...
    
    @search.setter
    def search(self, value : str):
        '''Sets a string representation for the specified URL search segment.'''
        ...
    
    @property
    def hash(self) -> str:
        '''Gets a string representation for the specified URL hash segment.'''
        ...
    
    @hash.setter
    def hash(self, value : str):
        '''Sets a string representation for the specified URL hash segment.'''
        ...
    
    @property
    def search_params(self) -> aspose.svg.IUrlSearchParams:
        ...
    
    @property
    def href(self) -> str:
        '''Gets a serialized representation for the specified URL instance.'''
        ...
    
    @href.setter
    def href(self, value : str):
        '''Sets a serialized representation for the specified URL instance.'''
        ...
    
    ...

class SVGRenderingIntent:
    '''The SVGRenderingIntent enumeration defines the enumerated list of possible values for ‘rendering-intent’ attributes or descriptors.'''
    
    @classmethod
    @property
    def RENDERING_INTENT_UNKNOWN(cls) -> SVGRenderingIntent:
        '''The type is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.'''
        ...
    
    @classmethod
    @property
    def RENDERING_INTENT_AUTO(cls) -> SVGRenderingIntent:
        '''Corresponds to a value of 'auto'.'''
        ...
    
    @classmethod
    @property
    def RENDERING_INTENT_PERCEPTUAL(cls) -> SVGRenderingIntent:
        '''Corresponds to a value of 'perceptual'.'''
        ...
    
    @classmethod
    @property
    def RENDERING_INTENT_RELATIVE_COLORIMETRIC(cls) -> SVGRenderingIntent:
        '''Corresponds to a value of 'relative-colorimetric'.'''
        ...
    
    @classmethod
    @property
    def RENDERING_INTENT_SATURATION(cls) -> SVGRenderingIntent:
        '''Corresponds to a value of 'saturation'.'''
        ...
    
    @classmethod
    @property
    def RENDERING_INTENT_ABSOLUTE_COLORIMETRIC(cls) -> SVGRenderingIntent:
        '''Corresponds to a value of 'absolute-colorimetric'.'''
        ...
    
    ...

class SVGUnitTypes:
    '''The SVGUnitTypes enumeration defines a commonly used set of constants and is a base interface used by SVGGradientElement, SVGPatternElement, SVGClipPathElement, SVGMaskElement and SVGFilterElement.'''
    
    @classmethod
    @property
    def SVG_UNIT_TYPE_UNKNOWN(cls) -> SVGUnitTypes:
        '''The type is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.'''
        ...
    
    @classmethod
    @property
    def SVG_UNIT_TYPE_USERSPACEONUSE(cls) -> SVGUnitTypes:
        '''Corresponds to value 'userSpaceOnUse'.'''
        ...
    
    @classmethod
    @property
    def SVG_UNIT_TYPE_OBJECTBOUNDINGBOX(cls) -> SVGUnitTypes:
        '''Corresponds to value 'objectBoundingBox'.'''
        ...
    
    ...

class SVGZoomAndPan:
    '''The SVGZoomAndPan enumeration defines attribute zoomAndPan and associated constants.'''
    
    @classmethod
    @property
    def SVG_ZOOMANDPAN_UNKNOWN(cls) -> SVGZoomAndPan:
        '''The enumeration was set to a value that is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.'''
        ...
    
    @classmethod
    @property
    def SVG_ZOOMANDPAN_DISABLE(cls) -> SVGZoomAndPan:
        '''Corresponds to value 'disable'.'''
        ...
    
    @classmethod
    @property
    def SVG_ZOOMANDPAN_MAGNIFY(cls) -> SVGZoomAndPan:
        '''Corresponds to value 'magnify'.'''
        ...
    
    ...

class Sandbox:
    '''A sandboxing flag set is a set of zero or more of the following flags, which are used to restrict the abilities that potentially untrusted resources.'''
    
    @classmethod
    @property
    def NONE(cls) -> Sandbox:
        '''No flag is set, every sandbox feature is accepted'''
        ...
    
    @classmethod
    @property
    def NAVIGATION(cls) -> Sandbox:
        '''This flag prevents content from navigating browsing contexts other than the sandboxed browsing context itself (or browsing contexts further nested inside it), auxiliary browsing contexts (which are protected by the sandboxed auxiliary navigation browsing context flag defined next), and the top-level browsing context (which is protected by the sandboxed top-level navigation browsing context flag defined below).
        If the sandboxed auxiliary navigation browsing context flag is not set, then in certain cases the restrictions nonetheless allow popups (new top-level browsing contexts) to be opened. These browsing contexts always have one permitted sandboxed navigator, set when the browsing context is created, which allows the browsing context that created them to actually navigate them. (Otherwise, the sandboxed navigation browsing context flag would prevent them from being navigated even if they were opened.'''
        ...
    
    @classmethod
    @property
    def AUXILIARY_NAVIGATION(cls) -> Sandbox:
        '''This flag prevents content from creating new auxiliary browsing contexts, e.g. using the target attribute, or the window.open() method.'''
        ...
    
    @classmethod
    @property
    def TOP_LEVEL_NAVIGATION(cls) -> Sandbox:
        '''This flag prevents content from navigating their top-level browsing context and prevents content from closing their top-level browsing context.
        When the sandboxed top-level navigation browsing context flag is not set, content can navigate its top-level browsing context, but other browsing contexts are still protected by the sandboxed navigation browsing context flag and possibly the sandboxed auxiliary navigation browsing context flag.'''
        ...
    
    @classmethod
    @property
    def PLUGINS(cls) -> Sandbox:
        '''This flag prevents content from instantiating plugins, whether using the embed element, the object element, the applet element, or through navigation of a nested browsing context, unless those plugins can be secured.'''
        ...
    
    @classmethod
    @property
    def ORIGIN(cls) -> Sandbox:
        '''This flag forces content into a unique origin, thus preventing it from accessing other content from the same origin.'''
        ...
    
    @classmethod
    @property
    def FORMS(cls) -> Sandbox:
        '''This flag blocks form submission.'''
        ...
    
    @classmethod
    @property
    def POINTER_LOCK(cls) -> Sandbox:
        '''This flag disables the Pointer Lock API.'''
        ...
    
    @classmethod
    @property
    def SCRIPTS(cls) -> Sandbox:
        '''This flag blocks script execution.'''
        ...
    
    @classmethod
    @property
    def AUTOMATIC_FEATURES(cls) -> Sandbox:
        '''This flag blocks features that trigger automatically, such as automatically playing a video or automatically focusing a form control.'''
        ...
    
    @classmethod
    @property
    def FULLSCREEN(cls) -> Sandbox:
        '''This flag prevents content from using the requestFullscreen() method.'''
        ...
    
    @classmethod
    @property
    def DOCUMENT_DOMAIN(cls) -> Sandbox:
        '''This flag prevents content from using the document.domain feature to change the effective script origin.'''
        ...
    
    @classmethod
    @property
    def IMAGES(cls) -> Sandbox:
        '''This flag disables image loading.'''
        ...
    
    ...

